#ifndef lint
/*static char yysccsid[] = "from: @(#)yaccpar	1.9 (Berkeley) 02/21/93";*/
static char yyrcsid[] = "$Id: skeleton.c,v 1.2 1997/06/23 02:51:17 tdukes Exp $";
#endif
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING (yyerrflag!=0)
#define YYPREFIX "yy"
#line 2 "pars.yacc"

/* $Id: pars.yacc,v 1.4 1995/06/30 22:32:11 pturner Exp pturner $
 * 
 * evaluate expressions, commands, parameter files
 * 
 */

#define PARS			

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#ifdef VMS
#  include "missing_math.h"
#  ifdef MULTINET
#     include "multinet_root:[multinet.include.sys]param.h"
#  endif
#else
#  include <sys/param.h>
#endif
#include "globals.h"
#include "protos.h"
#include "ps.h"
#include "defines.h"

#ifndef M_PI
#     define M_PI  3.14159265358979323846
#endif

#ifndef TRUE
#     define TRUE 1
#endif

#ifndef FALSE
#     define FALSE 0
#endif

int signgam = 0;	/* needed for lgamma() */

double result, resx, resy;	/* return value if expression */

double rnorm(double mean, double sdev);
double fx(double x);
double normp(double b, double *s);
double invnorm(double p);
double invt(double p, int n);
double *getvptr(int gno, int setno, int v);
double vmin(double *x, int n);
double vmax(double *x, int n);
void yyerror(char *s);

static int interr;

static double *freelist[100]; 	/* temporary vectors */
static int fcnt;		/* number allocated */

int naxis = 0;	/* current axis */
int curline, curbox, curellipse, curstring, curleg, curgrid;

int gotbatch, gotparams, gotread; /* these guys attempt to avoid reentrancy problems */
int readtype, readsrc, readxformat;
char batchfile[256], paramfile[256], readfile[256];

static char f_string[512];	/* buffer for string to parse */
static int pos = 0;
static double *aa, *bb, *cc, *dd, *xx, *yy;
static int setindex, lxy, ls;
static int setsetno;
static int whichgraph;
static int whichset;

extern int change_gno;
extern int change_type;

#line 81 "pars.yacc"
typedef union {
    double val;
    long ival;
    double *ptr;
    long func;
    long pset;
    char *str;
} YYSTYPE;
#line 100 "y.tab.c"
#define ABS 257
#define ACOS 258
#define ASIN 259
#define ATAN 260
#define ATAN2 261
#define CEIL 262
#define COS 263
#define DEG 264
#define DX 265
#define DY 266
#define ERF 267
#define ERFC 268
#define EXP 269
#define FLOOR 270
#define HYPOT 271
#define INDEX 272
#define INT 273
#define INVN 274
#define INVT 275
#define IRAND 276
#define JDAY 277
#define JDAY0 278
#define LGAMMA 279
#define LN 280
#define LOG 281
#define LOGISTIC 282
#define MAXP 283
#define MINP 284
#define MOD 285
#define NORM 286
#define NORMP 287
#define PI 288
#define RAD 289
#define RAND 290
#define RNORM 291
#define SETNO 292
#define SIN 293
#define SQR 294
#define SQRT 295
#define TAN 296
#define INUM 297
#define VX1 298
#define VX2 299
#define VY1 300
#define VY2 301
#define WX1 302
#define WX2 303
#define WY1 304
#define WY2 305
#define DELAYP 306
#define DOUBLEBUFFER 307
#define DOWN 308
#define ABSOLUTE 309
#define ABORT 310
#define ACTIVATE 311
#define ACTIVE 312
#define ALT 313
#define ALTERNATE 314
#define ALTXAXIS 315
#define ALTYAXIS 316
#define ANGLE 317
#define ANNOTATE 318
#define APPEND 319
#define AREA 320
#define ARRANGE 321
#define ARROW 322
#define ASCENDING 323
#define AUTO 324
#define AUTOSCALE 325
#define AUTOTICKS 326
#define AVG 327
#define AXIS 328
#define AXES 329
#define BACKBUFFER 330
#define BACKGROUND 331
#define BAR 332
#define BATCH 333
#define BLOCK 334
#define BIN 335
#define BOTH 336
#define BOTTOM 337
#define BOX 338
#define BOXPLOT 339
#define CD 340
#define CELLS 341
#define CENTER 342
#define CHAR 343
#define CHRSTR 344
#define CLEAR 345
#define CLICK 346
#define CMAP 347
#define COLOR 348
#define COMMENT 349
#define COPY 350
#define CYCLE 351
#define DECIMAL 352
#define DEF 353
#define DEFAULT 354
#define DELETE 355
#define DEVICE 356
#define DESCENDING 357
#define DFT 358
#define DIFFERENCE 359
#define DISK 360
#define DRAW2 361
#define DROP 362
#define DXDX 363
#define DXP 364
#define DYDY 365
#define DYP 366
#define ECHO 367
#define EDIT 368
#define ELSE 369
#define END 370
#define ERRORBAR 371
#define EXIT 372
#define EXPONENTIAL 373
#define FALSEP 374
#define FFT 375
#define FILEP 376
#define FILL 377
#define FIND 378
#define FIXEDPOINT 379
#define FLUSH 380
#define FOCUS 381
#define FOLLOWS 382
#define FONTP 383
#define FOREGROUND 384
#define FORMAT 385
#define FRONTBUFFER 386
#define FRAMEP 387
#define GETP 388
#define GRAPH 389
#define GRAPHNO 390
#define GRAPHS 391
#define GRAPHTYPE 392
#define GRID 393
#define HARDCOPY 394
#define HBAR 395
#define HBOXPLOT 396
#define HGAP 397
#define HIDDEN 398
#define HORIZONTAL 399
#define HPGLL 400
#define HPGLP 401
#define HISTO 402
#define IF 403
#define IGNORE 404
#define IHL 405
#define IMAGE 406
#define IN 407
#define INIT 408
#define INOUT 409
#define INTEGRATE 410
#define INTERP 411
#define INVDFT 412
#define INVFFT 413
#define JUST 414
#define KILL 415
#define LABEL 416
#define LAYOUT 417
#define LEAVE 418
#define LEFT 419
#define LEGEND 420
#define LENGTH 421
#define LEVEL 422
#define LEVELS 423
#define LINE 424
#define LINESTYLE 425
#define LINETO 426
#define LINEWIDTH 427
#define LINK 428
#define LOAD 429
#define LOCATOR 430
#define LOCTYPE 431
#define LOGX 432
#define LOGY 433
#define LOGXY 434
#define MAJOR 435
#define MIFL 436
#define MIFP 437
#define MINOR 438
#define MISSINGP 439
#define MOVE 440
#define MOVE2 441
#define MOVETO 442
#define NEGATE 443
#define NO 444
#define NONE 445
#define NORMAL 446
#define NXY 447
#define OFF 448
#define OFFSETX 449
#define OFFSETY 450
#define ON 451
#define OP 452
#define ORIENT 453
#define OUT 454
#define PAGE 455
#define PARA 456
#define PARALLEL 457
#define PARAMETERS 458
#define PARAMS 459
#define PATTERN 460
#define PERIMETER 461
#define PERP 462
#define PERPENDICULAR 463
#define PIE 464
#define PIPE 465
#define PLACE 466
#define POINT 467
#define POLAR 468
#define POLY 469
#define POWER 470
#define PREC 471
#define PREPEND 472
#define PRINT 473
#define PS 474
#define PSCOLORP 475
#define PSMONOP 476
#define PSCOLORL 477
#define PSMONOL 478
#define PUSH 479
#define POP 480
#define PUTP 481
#define RAWSPICE 482
#define READ 483
#define REDRAW 484
#define REGRESS 485
#define REGNUM 486
#define REGIONS 487
#define RENDER 488
#define REVERSE 489
#define RIGHT 490
#define RISER 491
#define ROT 492
#define RUNAVG 493
#define RUNMED 494
#define RUNSTD 495
#define RUNMIN 496
#define RUNMAX 497
#define SAMPLE 498
#define SAVEALL 499
#define SCALE 500
#define SCIENTIFIC 501
#define SET 502
#define SETNUM 503
#define SETS 504
#define SIGN 505
#define SIZE 506
#define SKIP 507
#define SLEEP 508
#define SLICE 509
#define SMITH 510
#define SORT 511
#define SOURCE 512
#define SPEC 513
#define SPECIFIED 514
#define SPECTRUM 515
#define STACK 516
#define STACKEDBAR 517
#define STACKEDHBAR 518
#define STACKEDLINE 519
#define STAGGER 520
#define START 521
#define STARTTYPE 522
#define STATUS 523
#define STOP 524
#define STRING 525
#define SUBTITLE 526
#define SWAPBUFFER 527
#define SYMBOL 528
#define TICKP 529
#define TICKLABEL 530
#define TICKMARKS 531
#define TIME 532
#define TITLE 533
#define TO 534
#define TOP 535
#define TRUEP 536
#define TYPE 537
#define UP 538
#define VELOCITY 539
#define VERTICAL 540
#define VGAP 541
#define VIEW 542
#define WITH 543
#define WORLD 544
#define WRITE 545
#define X 546
#define X0 547
#define X1 548
#define XAXES 549
#define XAXIS 550
#define XCOR 551
#define XMAX 552
#define XMIN 553
#define XY 554
#define XYARC 555
#define XYBOX 556
#define XYBOXPLOT 557
#define XYFIXED 558
#define XYHILO 559
#define XYRT 560
#define XYSEG 561
#define XYSTRING 562
#define XYDX 563
#define XYDY 564
#define XYDXDX 565
#define XYDYDY 566
#define XYDXDY 567
#define XYX2Y2 568
#define XYXX 569
#define XYYY 570
#define XYZ 571
#define XYZW 572
#define XYUV 573
#define TSV 574
#define Y 575
#define Y0 576
#define Y1 577
#define Y2 578
#define Y3 579
#define Y4 580
#define Y5 581
#define YAXES 582
#define YAXIS 583
#define YES 584
#define YMAX 585
#define YMIN 586
#define ZEROXAXIS 587
#define ZEROYAXIS 588
#define ABOVE 589
#define BELOW 590
#define POLYI 591
#define POLYO 592
#define GENERAL 593
#define DDMMYY 594
#define YYMMDD 595
#define MMDDYY 596
#define MMYY 597
#define MMDD 598
#define MONTHDAY 599
#define DAYMONTH 600
#define MONTHS 601
#define MONTHSY 602
#define MONTHL 603
#define DAYOFWEEKS 604
#define DAYOFWEEKL 605
#define DAYOFYEAR 606
#define HMS 607
#define MMDDHMS 608
#define MMDDYYHMS 609
#define YYMMDDHMS 610
#define DEGREESLON 611
#define DEGREESMMLON 612
#define DEGREESMMSSLON 613
#define MMSSLON 614
#define DEGREESLAT 615
#define DEGREESMMLAT 616
#define DEGREESMMSSLAT 617
#define MMSSLAT 618
#define DOT 619
#define STAR 620
#define PLUS 621
#define CROSS 622
#define CIRCLE 623
#define SQUARE 624
#define DIAMOND 625
#define TRIANGLE1 626
#define TRIANGLE2 627
#define TRIANGLE3 628
#define TRIANGLE4 629
#define SPLINE 630
#define LANDSCAPE 631
#define PORTRAIT 632
#define FREE 633
#define FIXED 634
#define STATUSBAR 635
#define LOCATORBAR 636
#define TOOLBAR 637
#define VAR 638
#define NUMBER 639
#define FITPARM 640
#define OR 641
#define AND 642
#define GT 643
#define LT 644
#define LE 645
#define GE 646
#define EQ 647
#define NE 648
#define UMINUS 649
#define NOT 650
#define ELLIPSE 651
#define ACOSH 652
#define ASINH 653
#define ATANH 654
#define COSH 655
#define SINH 656
#define TANH 657
#define ASPLINE 658
#define BIASED 659
#define UNBIASED 660
#define BEGIN 661
#define INCREMENT 662
#define SD 663
#define DESCRIPTION 664
#define SAVEASCII 665
#define SAVEBINARY 666
#define SAVE 667
#define SFORMAT 668
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   39,   39,   39,   39,   39,   39,   39,
   39,   39,   18,   18,   18,   18,   18,   18,   18,   18,
   19,   19,   19,   19,   19,   19,   19,   19,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   36,   36,   23,   23,   23,   23,   23,   23,
   23,   28,   28,   28,   28,   28,   28,   28,   28,   28,
   28,   28,   28,   28,   28,   28,   28,   28,   28,   28,
   28,   28,   28,   28,   28,   21,   21,   21,   21,   21,
   21,   21,   21,   21,   21,   21,   21,   21,   32,   32,
   32,   32,   20,   20,   20,   20,   20,   20,   38,   40,
   40,   40,   40,   40,   40,   40,   40,   40,   40,   40,
   40,   40,   40,   40,   40,   40,   40,   40,   40,   40,
   40,   40,   40,   40,   40,   40,   40,   40,   37,   37,
   37,   37,   37,   37,   41,   41,   41,   41,   41,   41,
   43,   43,   43,   44,   44,   44,   44,   44,   44,   44,
   42,   42,   42,   42,   42,   45,   45,   49,   49,   49,
   49,   49,   49,   49,   49,   49,   49,   49,   49,   49,
   49,   49,   49,   49,   49,   49,   49,   49,   49,   49,
   49,   49,   49,   49,   49,   49,   49,   49,   46,   46,
   50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
   50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
   50,   50,   50,   50,   50,   50,   50,   50,   50,   50,
   50,   50,   50,   50,   47,   47,   47,   47,   47,   47,
   47,   47,   47,   47,   47,   48,   48,   48,   48,   22,
   22,   22,   22,   22,   22,   25,   25,   25,   25,   25,
    8,    8,    9,    9,   29,   29,   29,   29,   29,   30,
   30,   30,   30,    2,    2,   27,   27,   26,   26,   26,
   16,   16,   16,   16,   16,   15,   15,   15,   31,   31,
   35,   35,   10,   10,   13,   13,   13,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   14,   14,   14,   17,
   17,   17,   17,   17,   17,   11,   11,   34,   34,   33,
   33,    7,    7,    7,    7,    7,    7,    7,    7,    7,
    4,    4,    4,    4,    4,    6,    5,    5,    5,    5,
    5,    5,    5,    5,    5,    5,    5,    5,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,
};
short yylen[] = {                                         2,
    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    3,    4,    3,    2,    3,    1,    4,
    4,    3,    1,    1,    1,    1,    1,    1,    1,    1,
    2,    3,    3,    3,    3,    9,    5,    4,    1,    3,
    2,    2,    1,    3,    8,    1,    3,    2,    2,    2,
    4,    4,    6,    2,    2,    2,    7,    2,    2,    3,
    3,    2,    2,    2,    1,    2,    2,    2,    2,    2,
    2,    2,    4,    6,    3,    5,    3,    5,    3,    5,
    5,    7,    5,    7,    4,    4,    8,    4,    8,    2,
    2,    3,    3,    2,    2,    1,    4,    7,    6,    6,
    6,   10,   10,    8,   10,    6,    4,   10,    1,    2,
    2,    2,    1,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    3,    3,    4,    3,    3,    4,    3,
    3,    5,    2,    4,    4,    6,    2,    1,    1,    1,
    2,   17,    2,    2,    2,    3,    2,    2,    8,    3,
    3,    3,    3,    3,    4,    4,    2,    2,    2,    3,
    2,    2,    8,    3,    3,    3,    3,    3,    4,    4,
    2,    2,    3,    2,    2,    2,    8,    3,    3,    3,
    3,    3,    4,    4,    2,    2,    2,    3,    2,    2,
    4,    3,    3,    3,    3,    3,    3,    4,    3,    3,
    4,    5,    4,    4,    5,    3,    3,    3,    3,    4,
    3,    4,    4,    3,    8,    3,    3,    3,    3,    5,
    8,    3,    3,    3,    3,    2,    3,    3,    3,    3,
    2,    3,    3,    3,    3,    2,    2,    4,    2,    3,
    3,    3,    3,    3,    3,    4,    5,    5,    4,    4,
    4,    4,    3,    3,    4,    3,    3,    3,    3,    4,
    2,    3,    3,    3,    3,    3,    4,    2,    3,    4,
    4,    3,    3,    3,    4,    4,    3,    5,    6,    6,
    4,    4,    1,    1,    3,    3,    3,    3,    3,    3,
    4,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    2,    1,
    1,    2,    2,    2,    2,    2,    3,    3,    3,    3,
    3,    3,    3,    3,    2,    2,    3,    3,    2,    3,
    3,    3,    3,    3,    4,    4,    4,    2,    1,    2,
    1,    2,    3,    2,    1,    1,    1,    1,    1,    1,
    2,    2,    2,    1,    2,    2,    2,    2,    3,    2,
    2,    2,    2,    2,    1,    1,    2,    1,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    1,    2,
    2,    3,    3,    2,    2,    3,    3,    3,    3,    3,
    3,    3,    3,    2,    2,    2,    2,    3,    1,    2,
    1,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    3,    3,    3,    3,    2,    2,    3,
    2,    2,    2,    3,    1,    2,    2,    2,    2,    4,
    2,    3,    2,    2,    2,    1,    2,    2,    2,    3,
    1,    1,    2,    2,    2,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    6,    6,    8,    5,   10,    5,    3,    3,    3,    5,
    5,    7,    5,    7,    3,    3,    5,    7,    1,    1,
    3,    5,    1,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    4,    4,    4,    4,    4,    4,    4,
    4,    6,    4,    4,    4,    1,    4,    4,    4,    4,
    6,    6,    6,    6,    1,    1,    4,    4,    6,    6,
    4,    4,    4,    4,    8,    6,    6,    6,    4,    4,
    1,    1,    1,    6,    6,    6,    6,    4,    4,    4,
    4,    4,    4,    5,    3,    3,    3,    3,    3,    3,
    3,    3,    2,    3,    2,    1,    1,    4,    3,    4,
    6,    8,    5,    7,    3,    5,    3,    1,    7,    5,
    3,    3,    3,    3,    3,    3,    3,    4,    4,    4,
    4,    4,    4,    4,    6,    4,    4,    4,    1,    4,
    4,    4,    4,    6,    3,    3,    3,    3,    3,    3,
    3,    3,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    4,    4,    6,    4,    8,   14,
    4,    4,    4,    8,    6,    6,    6,    4,    4,    1,
    1,    1,    6,    4,    4,    4,    4,    4,    4,    5,
    3,    3,    3,    3,    3,    3,    3,    3,    2,    3,
    2,
};
short yydefred[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  741,
  742,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  733,  734,  735,  736,  737,  738,  739,  740,    0,
    0,    0,    0,  377,  378,    0,    0,    0,  113,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  140,
    0,    0,  500,    0,    0,    0,   46,  501,   96,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  502,  503,    0,    0,  698,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  138,  139,    0,
    0,   39,    0,    0,  495,  497,  496,  499,  498,    0,
    0,  482,    0,    0,    0,    0,   43,    0,    0,   65,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  572,
  574,    0,  375,    0,  573,  575,  576,  577,  578,  579,
  580,    0,  376,  379,  380,    0,    0,    0,    0,    0,
  686,  687,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  371,   13,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   67,  524,  523,   62,   68,
    0,    0,    0,    0,  112,  110,  111,    0,    0,    0,
    0,    0,    0,  492,  491,  384,  381,   64,    0,  313,
  312,  314,  315,  292,  293,  294,  295,  296,  297,  298,
  299,  300,  301,  302,  303,  304,  305,  306,  307,  308,
  309,  310,  311,    0,    0,    0,    0,    0,    0,    0,
    0,  719,    0,    0,    0,    0,    0,  743,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  760,  761,  762,    0,  744,    0,    0,    0,    0,
    0,  157,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  147,   41,  144,  174,  143,  186,  158,  237,    0,
   54,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   17,    0,    0,    0,   42,  119,  118,  115,  117,
  116,  528,  529,  530,  531,  532,  534,  533,  535,  536,
  537,  538,  539,  540,  541,  542,  543,  544,  545,  546,
  547,  548,  549,  550,  551,  552,  553,  554,  555,  556,
  122,   63,    0,    0,    0,    0,    0,    0,  261,   69,
    0,    0,    0,    0,    0,    0,  483,    0,    0,    0,
  268,    0,  485,  484,    0,  374,    0,    0,    0,    0,
   94,   95,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  239,
    0,    0,  185,    0,    0,    0,    0,    0,  175,   56,
   55,    0,    0,    0,  114,    0,    0,    0,  561,  564,
    0,    0,  563,  565,  562,  560,   59,   58,    0,   30,
   29,   28,   27,   26,   25,   23,   24,    0,    0,    0,
   70,    0,    0,  123,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   31,  137,    0,    0,    0,    0,
    0,    0,   66,    0,  506,  507,  120,    0,  141,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  189,
  231,    0,    0,    0,    0,    0,    0,  226,    0,    0,
    0,    0,  121,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   71,    0,   72,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  382,
    0,  383,    0,   48,   50,   49,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  171,    0,
    0,    0,    0,    0,    0,  161,    0,    0,    0,    0,
    0,    0,    0,  236,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    5,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    6,    0,    2,    3,    4,
    0,    0,    0,    8,  489,    0,    0,    0,  488,    0,
  341,  486,  487,    0,    0,  490,    0,    0,    0,    0,
  340,    0,  339,   10,    7,    0,    0,    9,   11,   12,
    0,    0,    0,    0,  395,  370,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   77,
    0,   40,    0,  385,  388,  390,  387,  386,   44,  127,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  153,    0,  510,    0,  154,    0,  151,  152,  567,  566,
  150,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  209,    0,  211,  207,  208,    0,
  284,  283,  206,  214,    0,    0,    0,  265,  266,  263,
  264,  262,    0,    0,  272,    0,    0,    0,    0,    0,
  277,  273,  269,    0,  320,  326,  321,  327,  317,  318,
  319,  324,  328,  322,  323,  316,  325,  274,  725,  726,
  727,  728,  729,  730,  731,  732,    0,    0,  373,   18,
    0,    0,    0,   92,   93,    0,    0,    0,    0,  245,
    0,  259,  256,  243,  241,  244,  257,  258,  240,    0,
  242,    0,    0,    0,    0,    0,  182,  181,  180,  179,
  178,    0,   61,    0,    0,    0,    0,    0,   60,  330,
  331,  329,  332,   47,    0,    0,   14,   22,    0,    0,
  124,  125,    0,  130,  128,    0,    0,   33,    0,   34,
   35,  335,  336,  333,  334,  337,  338,   32,    0,    0,
    0,   79,   75,    0,    0,    0,  589,  697,    0,    0,
  570,  571,    0,    0,    0,  194,  199,  196,  197,  193,
  192,  195,    0,  234,  232,  235,  233,    0,    0,    0,
    0,    0,    0,  200,  229,  227,  230,  228,    0,  289,
  286,  288,  287,  290,  285,  223,  222,  225,  224,    0,
  146,  173,  188,  160,    0,    0,    0,    0,    0,  131,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  167,    0,    0,  168,  165,  166,  164,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  780,  684,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  520,  519,  521,  522,
  695,  701,    0,  368,    0,    0,    0,    0,    0,  493,
  494,    0,  356,    0,  345,    0,  344,  359,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  342,    0,  355,
    0,    0,    0,    0,    0,  476,  394,    0,  465,    0,
    0,    0,    0,    0,    0,  393,    0,    0,    0,    0,
  527,    0,    0,  525,    0,    0,    0,    0,    0,    0,
  526,    0,    0,    0,    0,  398,  409,    0,  396,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  431,    0,  429,    0,  625,  709,  626,  711,  628,
  713,  630,    0,    0,  716,  633,  717,  634,  720,  637,
  721,  638,  722,  639,  723,  640,    0,    0,  107,  745,
  647,  746,  648,    0,    0,    0,    0,    0,  751,  652,
  752,  653,  753,  654,    0,    0,    0,    0,    0,    0,
    0,    0,  758,  659,  759,  660,    0,    0,  764,  668,
  766,  670,  767,  671,  768,  672,    0,   97,  389,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  155,
  156,    0,  689,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   86,  210,  212,  213,    0,    0,  267,  282,  270,  271,
  275,    0,    0,  281,    0,  276,    0,    0,    0,    0,
    0,    0,  238,    0,    0,    0,  249,    0,  246,    0,
  250,  251,  255,  260,    0,  183,  184,    0,   38,    0,
    0,   88,    0,    0,   15,   20,   21,  126,  129,    0,
    0,    0,    0,    0,   73,    0,    0,    0,    0,    0,
    0,  568,  569,   85,    0,  198,    0,    0,    0,  203,
  201,  204,    0,  291,    0,    0,    0,  134,    0,    0,
    0,    0,    0,    0,  169,  170,    0,  710,  627,  712,
  629,  714,  631,  718,  635,  765,  669,  769,  673,    0,
    0,    0,    0,  360,  363,  362,    0,    0,  364,  515,
  512,  513,  514,  511,  361,  357,  358,  348,  350,    0,
  347,  354,  353,    0,  351,    0,    0,    0,  477,  478,
  479,    0,  474,  473,  518,  517,  516,  471,  467,  466,
  475,  468,  469,    0,  410,    0,    0,  405,  414,  408,
  415,    0,    0,    0,    0,    0,    0,  399,    0,    0,
    0,    0,    0,    0,  400,    0,    0,  424,  411,  427,
  425,  426,    0,  397,  446,  437,    0,  462,  461,  436,
  435,  459,  447,  439,  441,  440,  463,  443,  444,  442,
  445,  450,  434,  438,  558,  559,  557,  451,  448,  449,
    0,    0,    0,    0,  432,  433,  458,    0,  430,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   78,  708,    0,    0,  748,    0,    0,    0,  688,
    0,  690,    0,    0,    0,  278,    0,    0,    0,   80,
   76,    0,    0,    0,  590,  696,    0,    0,  132,    0,
  247,  248,    0,    0,    0,    0,    0,    0,    0,    0,
   83,    0,  591,    0,    0,    0,  693,  700,    0,    0,
    0,  202,  205,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  366,  365,    0,    0,
    0,  472,    0,  416,  422,  420,  418,  412,  417,  423,
  421,  419,  413,    0,  460,  455,  454,  457,  456,  464,
  715,  632,    0,  642,  643,  641,    0,  650,    0,    0,
    0,    0,  755,  656,  756,  657,  757,  658,    0,  665,
  666,  664,    0,    0,    0,    0,    0,    0,    0,    0,
  106,  279,    0,    0,   74,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   99,    0,    0,    0,   53,
    0,    0,  136,    0,    0,    0,    0,    0,    0,    0,
    0,  100,  101,    0,    0,    0,    0,    0,  724,  747,
  763,    0,  691,    0,    0,    0,   84,    0,  592,    0,
    0,  694,  699,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   57,  504,  505,    0,    0,    0,
    0,  749,    0,  754,  655,    0,    0,   45,   87,    0,
    0,  104,    0,   89,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  692,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  105,    0,  108,  102,  103,    0,
    0,    0,    0,    0,    0,  750,    0,    0,    0,    0,
};
short yydgoto[] = {                                     175,
 1045, 1698,  693,  178,  179,  180,  331,  246, 1084,  229,
  781,  391, 1137, 1478, 1418, 1395,  468,  479,  182,  928,
  848,  183,  184,  185,  652,  775,  507,  274,  186,  187,
 1071,  904,  943, 1344, 1072,  813,  188,  189,  190,  653,
  191,  666,  192,  247, 1138, 1163, 1116, 1107, 1139, 1164,
};
short yysindex[] = {                                   5590,
   14,   21,  147,  188,  190,  216,  239,  264,    0,    0,
    0,  276,  296,  308,  317,  349,    0,  350,  353,  371,
  394,  404,  405,  412,  417,  419,  426,  442,  445,  446,
  451,  453,    0,    0,    0,  456,    0,  457,  459,  462,
  463,    0,    0,    0,    0,    0,    0,    0,    0, -526,
 -364, -364, -363,    0,    0, -294,  -67, -483,    0, 1682,
 -364,  157,12807, 6648,  162, -197, -126, -125, -361,    0,
  -86, -124,    0,  477, 9448,  186,    0,    0,    0,  -39,
13313, -364, 1228,  191, 3209,  967,  178,  517,    4,  519,
    0,    0, -359, 5998,    0, 6973,  -78,  -75, -384,  -73,
 -300, -356, 9448, -159,   22,  853,  143,    0,    0,  236,
13378,    0,  544,  -21,    0,    0,    0,    0,    0,  242,
   12,    0,  -45,   92, -304, -516,    0, 6323, -259,    0,
 9448,   87, -189,12807,  604, 8445,  -89, 8529, -145,    0,
    0, 1682,    0,  578,    0,    0,    0,    0,    0,    0,
    0, 1682,    0,    0,    0,  581, -300, -300, -300,  367,
    0,    0, 9849, 9849, 7298,  590,  608,  612,  614,  638,
  640,  655,  271, 9849,    0,   25,   83,  618,  687,  688,
  416,  689, 3746,  691,  692,  673,  682,  693,  713,  722,
  -19,    0,    0, 9849, 9849, 9849, 9849, 9849, 9849, 9849,
 9849, 9849, 9849, 9849, 9849, 9898, 9849, 9849,   95,   96,
   97, 9849, 9849, 9849, 9849, 9849, 9849, 9849, 9849, 9849,
 9849, 9849, 9849, 9849, 9849,    0,    0,    0,    0,    0,
  694,   98,  695, -300,    0,    0,    0,  232,  118,  133,
 -300,  136,  141,    0,    0,    0,    0,    0,  145,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  438,  746,  763,  765,  775,  781,  786,
  788,    0,  790,  798,  814,  816,  817,    0,  818,  819,
  820,  821,  822,  824,  825,  826,  827,  830,  837,  839,
  840,    0,    0,    0,  841,    0,  842,  843,  844,  847,
  170,    0,  -14,  846,  249,  251, -467,  849,  851,  807,
 9448, 9448,  865,  867,  878,  879,  883,  884, 9448, 3138,
  -34,    0,    0,    0,    0,    0,    0,    0,    0,  889,
    0,  882,  401,  444,  318, -501,  329,  341,  450, -503,
  643,    0,  455,  846, 3160,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  634,  354, -300,  355,  358,  362,    0,    0,
  484, -366,  483,  674, -364, -300,    0,  486,  588, -120,
    0,  499,    0,    0,  -19,    0,  365,  502,  370,  503,
    0,    0,  512,  515,  356,  510,  384,  386,  388,  391,
  393,  397,  399, -467,  403,  423, 9448, 9448, 3495,    0,
 -451,  441,    0,  846,  443,  447, -467, 3803,    0,    0,
    0, -300,  509,  449,    0,  994,  511, 4163,    0,    0,
  454,   31,    0,    0,    0,    0,    0,    0, 9448,    0,
    0,    0,    0,    0,    0,    0,    0,  663,  700, -178,
    0,  711, -296,    0,  721,  -46,  580,  478, 9448,  482,
  485, -337, 9448, 1343,    0,    0,  487,  501,  -28, 9448,
 -312,  556,    0, -238,    0,    0,    0, 9448,    0,  579,
  504,  737,  516,  846,  522,  524, -467,  525, 5668,    0,
    0,  526,  528,  529,  530, 5713,  -43,    0,  532,  533,
  536,  537,    0,  557,  540, -300,  541,  547, -467,  551,
  552,  566,  576,  577, 6116,  584,    0,  586,    0,  591,
  592, 9448, 9448, 9448, 9448, 6138,  751,  -74, 9448,    0,
  598,    0,  635,    0,    0,    0, 9849, 9448, 1108, 1110,
 1168,  807, 1133, 1169,  -34, 1133, 1169,  594,    0,   11,
  846,  596,  599, -467, 6155,    0, 9849, 9849, 9849, 9849,
 9849, 9849,  736,    0, 1836, 2115, 9448, 9448, 9448, 9448,
 9448, 9448, 9448, 9448, 9849, 9849, 9849, 9849, 9448, 9849,
    0, 9448, 9849, 9849, 9849, 9849, 9849, 9849, 9849, 9849,
 9849, 9849, 9849, 9849, 9849,    0, 9849,    0,    0,    0,
 9849, -267, 9448,    0,    0,  896,  726, -306,    0,13313,
    0,    0,    0, 9448,  606,    0,  607, 7623,12807, 9448,
    0,  609,    0,    0,    0,  749,  752,    0,    0,    0,
  202,  893,13360,13351,    0,    0, 2791, 2690, 3622, 4267,
 4358, 5405, 6342, 6974, 6364, 9436, 6398, 8871, 6410, 9284,
 6440,11871, 6465,12053, 6474,12329, 6769,12448, 6672,12939,
  279, 6786,12502, 6797,12510, 7093,12947, 1208, 1221, 1222,
 7112,12519, 7121,12527, 7299,12536, 7332,12956, 7343,12964,
 7610,12979, 7648,12992, 7360,12544, 7624,12569, 8260,13004,
 7685,12577, 8121,12586, 8417,12594, 8446,12619,  764,    0,
  629,    0,  630,    0,    0,    0,    0,    0,    0,    0,
 9448, 9448, 9448, 9448, 9448, 9448, 9448, 9448, 9448, 9448,
 9448, 9448, 9448, 9448, 9448,  631, 9448, 9448, 9448, 9448,
 9448, 9448, 9448, 9448, 9448, 9448, 9448, 9448, 9448, 9448,
    0,  632,    0,  633,    0,  274,    0,    0,    0,    0,
    0, 1343,  914, 9448, 1133, 1133, 9448, 9448, 9448, 9448,
 9448, 9448, 8479, 9448, 9448, 9448, 9448, 9448, 9448, 9448,
  639,  771,  782,  645,    0,  649,    0,    0,    0,  652,
    0,    0,    0,    0, 1248, 9448,  654,    0,    0,    0,
    0,    0,  656, -303,    0,  658,13313,  659,  660, 9448,
    0,    0,    0,  661,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  574,  664,    0,    0,
 1250, 1258, 1260,    0,    0,  667,   44,  669,  670,    0,
  675,    0,    0,    0,    0,    0,    0,    0,    0,  969,
    0,11880,11880, 9448,  676,  677,    0,    0,    0,    0,
    0, 9448,    0,  927, 1275,  823,  838, 9448,    0,    0,
    0,    0,    0,    0, 8488,  978,    0,    0,  684,  685,
    0,    0,  984,    0,    0,  986, 1299,    0, 8513,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 8595, 1283,
 1304,    0,    0, 1010, 8804, 1310,    0,    0, 1300,  506,
    0,    0, -270, 8815,  724,    0,    0,    0,    0,    0,
    0,    0, 9448,    0,    0,    0,    0, 9448,  858,  728,
  729,  730, 1321,    0,    0,    0,    0,    0,  741,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 9448,
    0,    0,    0,    0,11880,11880,11880,11880, 9448,    0,
 1026, 1039, 8826, 1342, 1344,12275,13036, 8501, 9849,  809,
  914,    0,  755,  757,    0,    0,    0,    0, 9448, 8880,
12627, 8895,12675, 8910,12707, 8919,12741, 9267,12750, 9276,
12804, 1353,    0,    0, 4015, 1157, 2101, 2101, 2101, 2101,
 2101, 2101, 1107,  418, 1107,  418,  252,  255,  252,  255,
  258,  252,  255, 9311,12275, 2974, 1179,   49,   49,   49,
   49,   49,   49, 1107,  418, 1107,  418,  305,  255,  305,
  255,  305,  255,13014,12275,13036,    0,    0,    0,    0,
    0,    0, 9320,    0,  759,  760,  761, -275, -180,    0,
    0, -326,    0,  766,    0,11880,    0,    0, -364,  770,
 9448,  787,  789,  791, 9448,  793,11880,    0, 9359,    0,
 1359, 1360,  802,  804,  805,    0,    0,  921,    0,  806,
  808, -298,  -62,  811, 8930,    0, -300, 9448, 9448, -300,
    0,  813,  828,    0,  848, 7795, 8120, 9448, 9448, -180,
    0,  857,  860, -301, 1385,    0,    0,13360,    0,  869,
 1102,  942,  870,  871,12824,  874, -298, -380,  875, -316,
 -180,  880, 1109, -257,  885,  886, 8998, 9399, -279,  887,
 1411,    0,13351,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 9448, 9849,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 9849, 9849,    0,    0,
    0,    0,    0,  888,  891,    0,  892,  898,    0,    0,
    0,    0,    0,    0, 9448, 9448, 9448, 9849, 9448, 9849,
 9448, 9849,    0,    0,    0,    0, 9849, 9849,    0,    0,
    0,    0,    0,    0,    0,    0,  899,    0,    0, 9344,
 9717, 9728, 9745, 9762, 9790, 9805, 9971, 9999,10167,10178,
10189,10201,10212,10234, 1415,10249,10262,10273,10287,10376,
10417,10449,10472,10481,10526,10535,10558,10585,10612,    0,
    0, 1412,    0,  189,10621,10635,10644,10658,10681,10690,
10704, 1115, 1115,  258,  258,  258,10713,10899, 1413,  928,
    0,    0,    0,    0,  900,11880,    0,    0,    0,    0,
    0,13313, 1419,    0,10908,    0,  901,  904,  -28, 9448,
 -310, 1194,    0, 9448,  906,  961,    0, -326,    0,  907,
    0,    0,    0,    0,11880,    0,    0,10921,    0, 9448,
  931,    0,11880, 9448,    0,    0,    0,    0,    0,  908,
 9448, 9448, 9448,  909,    0, 9448,  963, 9448, 9849, -267,
 9448,    0,    0,    0, 9448,    0,11880,10932,  912,    0,
    0,    0,  913,    0,10943,10988, 1084,    0, 9448,  982,
 9448, 1427, 1475,  189,    0,    0,11005,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 9448,
 9448, 9849, 1462,    0,    0,    0,  917,  918,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,11880,
    0,    0,    0,11880,    0, 9448,  919,  922,    0,    0,
    0,  924,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,11041,    0,11880,11880,    0,    0,    0,
    0,  925, -300,  930,  935,  936,11880,    0,  939, -300,
  940,  941,  943,11880,    0,11880,11880,    0,    0,    0,
    0,    0, 9448,    0,    0,    0,  944,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 -277,11880, -273,11880,    0,    0,    0, 1184,    0,11095,
12812,11149,12831,11176,12848, 1512, 1519, 1537, 1541,11325,
11334,11348,12867,11357,12886,11371,12894,11380,12903,11394,
12922,    0,    0, 9448,  947,    0, 9448, 1194, 9448,    0,
 9448,    0,  951, 1204, 1556,    0,  959, 9448, 1555,    0,
    0, 1256,11403, 1557,    0,    0,  762,11416,    0, 1558,
    0,    0, 9448,11433, 1214,11880, 1565,11476,11880,11880,
    0,11880,    0,11880,12275,13036,    0,    0,11444,11560,
  968,    0,    0, 9448, 9448, 1264,11574, 1566,11618, 9448,
 1194, 9448,11627,11880,13036, 9448,    0,    0,11880, 1568,
 1570,    0, 9448,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,11880,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  975,  977,
 9448, 9448,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,11654, 1576,11663,  205,11682,11707, 1574, 1577,
    0,    0,11880,  981,    0, 9448, 1119, 9849, -267, 9448,
 9448,  985,11716, 9448, 1580,    0, 9448, 1569, 9448,    0,
11740,11762,    0, 1285, -234, 9448,11880,  205,11794, 9448,
11880,    0,    0,11880, 1590, 1599,11803,11817,    0,    0,
    0, 9448,    0, 9448, 1007, 1144,    0,11880,    0,12275,
13036,    0,    0,11826,11839, 1611, 9448,11880, 1151,11861,
 9448,11893, 9448, 9448,    0,    0,    0, 1614,12062, 9448,
12089,    0, 1020,    0,    0,12098,11880,    0,    0, 1603,
 1021,    0,11880,    0, 9448,11880, 9448,11880,11880, 1035,
 1038,11880, 1041, 1637,    0, 9448, 1641,11880,12117, 1642,
 1645, 1646, 1050,11880,    0, 9448,    0,    0,    0, 1652,
12130, 1051, 9448, 1657,12186,    0, 9448,12195, 9448,11880,
};
short yyrindex[] = {                                   1699,
    0,    0,    0,    0,    0,    0,    0,    0,   -4,    0,
    0,    0,    0,    0,    0,    0,   64,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   73,  319,  328,    0,  406,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1690,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1692,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 5147,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  731,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  777,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1693,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1694,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1698,    0,    0,    0,    0,    0,
    0,    0, 1700, 1704,    0,    0,    0,    0,    0,    0,
12240,    0,    0,    0,    0,    0,    0,  253,    0,    0,
    0,    0,    0, 1707,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1709,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1711,    0, 1713,    0, 1723,
 1726,    0,    0,    0,    0,    0,    0, 1728,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1217, 1348, 1439, 1970, 1799, 1809,    0,    0,    0,
 1732,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1737,    0, 1739,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1308, 1591,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 6285,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1742, 1751,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1753,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1024,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1150,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1754, 1756, 1757, 1766,    0,    0,
    0,    0,    0,    0,    0, 1767, 1768,    0,    0,    0,
    0,    0, 1737, 1739,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 4580, 3513, 3662, 3844, 4005, 4179,
 4218, 4431,  201, 1668, 1710, 1993,  431, 1926, 1687, 2205,
 1870, 2337, 2359,    0,  573,   40,    5,  268,  337,  344,
  357,  366,  377, 2282, 2967, 3036, 3106, 2484, 2650, 2760,
 2779, 2860, 2951,    0, 1779, 1780,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1796,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1797,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1798,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1800,    0,  769,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  792,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 2852, 3129, 2149, 2428, 2707,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1801,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1802,    0,    0,    0,    0,    0,
    0,    0, 1806,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1807,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1808,    0,    0,    0,
    0, 1525,    0, 2058,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 2673,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1810,
    0,    0,    0, 1820,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 4973, 5007,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 5115,    0,    0,    0,
    0,    0,    0, 5152,    0, 5189, 5271,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 4821,    0, 4832,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 3054,    0,    0,    0,
    0,    0,    0,    0,    0, 1821,    0,    0, 1823, 1824,
    0, 1825,    0, 1828, 1829, 1837,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 4793,  575,    0,    0,    0, 1838,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 5297,    0,    0,    0,    0,    0,    0,
    0,    0,  831,    0,    0,    0,  859,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 1140,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1845,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 2874,    0,    0,
    0,    0,    0,    0,    0,    0, 1856, 2082,    0,    0,
 1858,    0,    0, 1859,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1860,    0, 1861,
 1866,    0,    0,    0,    0,    0,    0, 1872,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1874,    0,    0, 3046,
    0,    0, 1875,    0,    0, 1876,    0, 1877, 1878,    0,
    0, 1881,    0,    0,    0,    0,    0, 1882,    0,    0,
    0,    0,    0, 1884,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1885,
};
short yygindex[] = {                                      0,
    1,    0,  324,    0,    0,    0,   69,  932, -853,  -52,
  474, -637,    0,    0,  750,-1051,    0, 1418,    0,    0,
    0,    0,    0,    0,    0, 1318, -481,  -98,    0,    0,
-1336,    0,    0,    0,-1333,    0,    0,    0,    0,    0,
 1814, 1486, 1816,   89,    0,    0,    0,    0,  767,  743,
};
#define YYTABLESIZE 13999
short yytable[] = {                                     230,
  176,  913, 1085, 1557,  916,  636, 1558,  227,  248,  227,
  806,  632,  486, 1310,  681, 1067, 1068,  934, 1464,  235,
 1289, 1080, 1451,  193,  494, 1468,  231,  508,  342,  392,
  421,  422,  719,  456,  611,  533,  636,  636,  636,  636,
  636, 1080,  636, 1415, 1485,  681, 1596,  912,  681,  682,
 1598, 1475, 1342,  636,  885,  505,  800,  502,  636, 1069,
  194,  609,  681,  505,  330,  236,  607,  605,  181,  606,
  452,  608,  501,  645,  779,  355,  780,  936, 1448, 1534,
  682,  922,  661,  682,  521,  886, 1343,  612,  522,  636,
  623,  621,  626,  622,  439,  624,  448,  682,  237, 1472,
  743,  453, 1469,  458,  645,  645,  645,  645,  645,  760,
  645,  627,  226,  661,  661,  661,  661,  661,  610,  661,
 1416,  645,  509,  523,  623,  621,  645,  622,  519,  624,
  661,  526, 1465, 1081, 1470,  661,  545,  807,  556,  232,
  334,  343,  625,  423,  424,  627,  457,  244,  459, 1387,
  245, 1388,  923, 1081,  528, 1390, 1391,  645,  529, 1466,
  506,  811,  812,  573,  576,  585,  661,  524,  506,  228,
  824,  228,  244, 1471,  595,  245,  625,  849,  850,  851,
  852,  853,  854,  855,  856, 1476,  195,  887, 1477, 1292,
  937, 1417, 1535,  530,  667,  669,  671,  673,  675,  677,
  679,  681,  683,  685,  687,  689,  692,  694,  696, 1290,
  603, 1452,  701,  703,  705,  707,  709,  711,  713,  715,
  717,  719,  721,  723,  725,  727,  335,  196, 1396,  197,
  560,  575,  575, 1486, 1340, 1597, 1082,  531, 1392, 1599,
  562,  603,  575,  604,  603,  604,  525,  460,  546,  461,
 1639,  924,  925,  926,  927,  198,  344,  462,  603,  463,
  557,  345,  575,  575,  575,  575,  575,  575,  575,  575,
  575,  575,  575,  575,  575,  575,  575,  675,  199, 1519,
  575,  575,  575,  575,  575,  575,  575,  575,  575,  575,
  575,  575,  575,  575,  464, 1672,  346,  915,  576,  959,
  547,  991, 1682,  200,  960, 1683,  357,  941,  675, 1393,
  992,  675,  661,  505,  612,  201,  532,  627,  336, 1189,
  612,  785,  786,  177, 1001,  675,  488,  337,  662,  793,
  465,  505, 1083,  772,  548,  202,  942,  663,  347,  961,
  348,  609,  358,  576,  233,  610,  676,  203,  625,  825,
  359,  798,  832,  677, 1394,  761,  204,  558, 1003,  662,
  662,  662,  662,  662,  762,  662,  678,  612,  663,  663,
  663,  663,  663,  497,  663,  679,  662,  676,  466,  559,
  676,  662,  857,  962,  677,  663,  680,  677,  205,  206,
  663, 1080,  207, 1419,  676, 1070,  662,  678,  610, 1420,
  678,  677,  489,  490,  244,  491,  679,  245,  244,  679,
  208,  245,  662,  549,  678,  646,  234,  680,  506,  244,
  680,  663,  245,  679, 1696, 1697,  244,  567,  244,  245,
  773,  245,  498,  209,  680,  550,  506,  882,  883,  499,
  603,  349,  744,  210,  211,  774,  646,  646,  646,  646,
  646,  212,  646,  338, 1541,  773,  213,  568,  214,  623,
  908,  632,  360,  646,  624,  215,  339,  704,  646,  905,
 1004,  603,  612,  612,  603,  612,  631,  612,  500,  467,
  627,  216,  909,  910,  217,  218,  574,  577,  603,  919,
  219,  244,  220,  929,  245,  221,  222,  596,  223,  646,
  935,  224,  225, 1081,  249,  333,  633, 1461,  944,  663,
  664,  625,  340,  341,  352,  492,  353,  668,  670,  672,
  674,  676,  678,  680,  682,  684,  686,  688,  690,  356,
  695,  697,  493,  417,  400,  702,  704,  706,  708,  710,
  712,  714,  716,  718,  720,  722,  724,  726,  728, 1103,
 1098, 1340,  985,  986,  987,  988,  418,  419,  420,  993,
  450,  551,  930,  451,  454,  469, 1339,  996,  998,  480,
  940,  849,  850,  851,  852,  853,  854,  855,  856,  481,
  350,  351,  603,  487,  674,  496, 1308, 1010, 1012, 1014,
 1016, 1018, 1020,  503,  504,  963, 1341, 1025, 1026, 1027,
 1028, 1029, 1030, 1031, 1032, 1033, 1035, 1037, 1039, 1041,
 1042,  527, 1044,  603,  594,  674,  603,  561,  674, 1302,
  563, 1054, 1056, 1058, 1060, 1062, 1104,  628, 1105,  587,
  603, 1065,  674, 1073, 1301,  575,  636,  636,  636,  636,
  636,  636,  636,  636, 1086,  681,  681,  588, 1097,  244,
 1099,  589,  245,  590, 1526,  575,  575,  575,  575,  575,
  575,  900,  901,  902,  903,  597,  598,  599,  600,  601,
  602,  603,  604,  575,  575,  575,  575,  591,  575,  592,
  682,  575,  575,  575,  575,  575,  575,  575,  575,  575,
  575,  575,  575,  575,  593,  575,  629,  630,  634,  575,
  654,  655,  658,  866,  645,  645,  645,  645,  645,  645,
  645,  645,  656,  661,  661,  661,  661,  661,  661,  661,
  661,  657,  659,  613,  614,  615,  616,  617,  618,  619,
  620,  660,  867,  698,  699,  700,  730,  733,  731,  729,
  599, 1230, 1231, 1232, 1233, 1234, 1235, 1236, 1237, 1238,
 1239, 1240, 1241, 1242, 1243, 1244,  734, 1246, 1247, 1248,
 1249, 1250, 1251, 1252, 1253, 1254, 1255, 1256, 1257, 1258,
 1259,  735,  599,  599,  737,  599, 1262,  599,  624,  738,
  868,  740,  869,  739, 1265,  741,  600, 1266, 1267, 1268,
 1269, 1270, 1271,  599, 1272, 1273, 1274, 1275, 1276, 1277,
 1278,  651,  742,  244,  743,  708,  245, 1639,  771,  624,
  624,  624,  624,  624,  744,  624, 1286, 1532,  600,  600,
  745,  600, 1638,  600,  599,  746,  624,  747,  748,  748,
 1295,  624,  651,  651,  651,  651,  651,  749,  651,  600,
  644,  604,  604,  604,  604,  604,  604,  604,  604,  651,
 1263, 1264, 1640,  750,  651,  751,  752,  753,  754,  755,
  756,  757,  624,  758,  759,  760,  761,  724,  649,  762,
  600,  644,  644,  644,  644,  644,  763,  644,  764,  765,
  766,  767,  768,  769, 1315,  651,  770,  777,  644,  778,
  997,  776, 1318,  644,  782,  747,  783,  784, 1323,  649,
  649,  649,  649,  649,  787,  649,  788,  879,  675,  675,
 1011, 1013, 1015, 1017, 1019, 1021,  649,  789,  790,  835,
  891,  649,  791,  792,  644,  534,  836,  802, 1034, 1036,
 1038, 1040,  801, 1043,  803, 1297, 1046, 1047, 1048, 1049,
 1050, 1051, 1052, 1053, 1055, 1057, 1059, 1061, 1063,  804,
 1064,  535,  649, 1347, 1066,  810,  805,  815, 1348,  662,
  662,  662,  662,  662,  662,  662,  662,  808,  663,  663,
  663,  663,  663,  663,  663,  663,  938,  676,  676,  809,
 1355,  817,  837,  838,  677,  677,  814,  823,  826, 1356,
  951,  834,  818,  820, 1298,  332,  821,  678,  678,  692,
  822, 1299,  858,  860,  861,  863,  679,  679,  862, 1367,
  864,  361,  974,  865,  399,  871,  411,  680,  680,  839,
  840,  841,  872,  536,  873,  440,  874,  449,  537,  875,
  538,  876,  455,  689,  539,  877, 1398,  878,  470,  896,
 1300,  880,  894,  907,  897,  495,  646,  646,  646,  646,
  646,  646,  646,  646,  911,  842,  471, 1008,  827,  520,
  689,  881,  472,  473,  914,  689,  689,  575,  689, 1364,
  689,  612,  612,  612,  612,  612,  612,  612,  612,  888,
  947,  889,  917,  939,  945,  890,  689,  895,  564,  565,
  566, 1400,  899,  969,  990, 1404,  586,  843,  474,  475,
  994,  140,  141,  540,  844,  845,  849,  850,  851,  852,
  853,  854,  855,  856,  651, 1424,  918,  689, 1426, 1427,
  920,  244,  665,  921,  245,  931, 1437, 1444, 1446, 1447,
  145,  146,  147,  148,  149,  150,  151,  995,  476,  932,
  477,  846,  946,  609,  828,  847, 1075,  999,  607,  667,
 1076,  609, 1077,  608,  948, 1000,  796, 1482, 1484,  601,
  949,  797,  950,  952,  954,  732,  955,  956,  957,  612,
  965,  966,  736, 1490,  967,  968,  763,  612,  970,  972,
  667,  667,  667,  667,  667,  973,  667, 1492, 1494,  975,
  976,  601,  601,  609,  601,  612,  601,  667,  796,  794,
  610,  795,  667,  797,  977, 1500, 1501, 1502,  798, 1504,
  829, 1506,  601, 1001,  978,  979, 1078, 1508, 1510,  612,
  623,  621,  981,  622,  982,  624,  599,  830,  470,  983,
  984,  627, 1002,  667, 1006, 1108, 1109, 1007, 1022, 1074,
 1110,  627,  575,  601, 1087, 1088,  471, 1100, 1196,  412,
  798, 1101,  472,  473, 1102,  575,  575,  599,  599,  599,
  599,  599, 1079,  599, 1197, 1198, 1227, 1228, 1229, 1245,
 1260, 1261,  625, 1280,  599, 1111,  575, 1279,  575,  599,
  575,   54,   55, 1282, 1281,  575,  575, 1283,  474,  475,
 1284, 1285, 1287, 1304, 1288,   60, 1291, 1293, 1294, 1296,
 1533, 1305, 1303, 1306, 1538, 1307, 1112, 1311, 1312, 1113,
  599, 1363, 1314, 1313, 1316, 1317, 1319,  781, 1320, 1114,
 1544, 1325, 1326, 1327, 1546, 1321,  819, 1328,  476, 1329,
  477, 1548, 1549, 1550,  938,  831, 1552,  833, 1554, 1555,
 1322, 1559, 1330, 1333,  781, 1560,  665, 1334,  781,  781,
  781,  781,  781, 1335,  781, 1337,  870,  603, 1115, 1567,
 1338, 1569, 1346, 1349, 1353,  781, 1350, 1351, 1352, 1357,
 1537,  599,  599,  599,  599,  599,  599,  599,  599, 1354,
 1573, 1574, 1358,  893,  781, 1360,  478, 1361,  603,  781,
  781,  603,  781, 1365,  781, 1366, 1380, 1384, 1385, 1386,
  781,  781, 1407, 1408, 1397,  603, 1579,  575, 1399,  624,
  624,  624,  624,  624,  624,  624,  624,  600,  600,  600,
  600,  600,  600,  600,  600, 1401, 1412, 1402, 1453, 1403,
  933, 1405,  651,  651,  651,  651,  651,  651,  651,  651,
 1409,  781, 1410, 1411, 1413, 1456, 1414, 1457,  685, 1421,
  575, 1429, 1474, 1594, 1488, 1516, 1523, 1518,  964,  140,
  141, 1524, 1527, 1540, 1545, 1553, 1430,  971, 1566,  413,
  414,  644,  644,  644,  644,  644,  644,  644,  644,  685,
  685,  685,  685,  685, 1568,  685, 1431, 1570,  145,  146,
  147,  148,  149,  150,  151, 1449,  685, 1491, 1450,  649,
  649,  649,  649,  649,  649,  649,  649, 1455, 1458, 1459,
 1493, 1495, 1462, 1467, 1623,  142,  143, 1625, 1473, 1627,
 1571, 1628, 1576, 1479, 1480, 1487, 1496, 1600, 1633, 1497,
 1498, 1503,  685, 1505,  688, 1507, 1499, 1512, 1525, 1529,
 1509, 1511, 1530, 1643, 1539, 1542, 1547, 1551,  152,  153,
 1562, 1563, 1607,  154,  155, 1577, 1578, 1580,  393, 1608,
 1581,  688, 1582, 1584, 1651, 1652,  688,  688, 1586,  688,
 1657,  688, 1659, 1587, 1588,  394, 1661, 1589, 1591, 1592,
 1609, 1593, 1595, 1664, 1610, 1624, 1626,  688,  781, 1629,
  781,  781, 1106, 1630, 1136, 1162, 1631, 1632, 1634, 1635,
  779, 1642, 1637, 1645,  395, 1646, 1650, 1653, 1662, 1655,
 1663, 1667, 1668, 1665, 1536, 1666, 1670, 1675,  688, 1677,
  781, 1679, 1676, 1686,  781, 1689,  781,  779, 1695, 1691,
 1702,  779,  779,  779,  779,  779, 1678,  779, 1680, 1658,
 1684, 1685, 1703,  781, 1688, 1708, 1709, 1690,  779, 1692,
  781, 1712,  396, 1714,  397,  781, 1699, 1720, 1724, 1727,
 1701,  781, 1556, 1726,  689,  689,  689,  689,  689,  689,
  689,  689, 1706, 1730, 1707,  244, 1731,  606,  245, 1732,
 1733, 1735, 1737,  779,  779, 1738, 1739, 1713, 1740, 1744,
  781, 1716,  781, 1718, 1719, 1742,  603, 1746,    1,  109,
 1722,   19,  369,  148,  781, 1575,  575,  372,  606,   90,
  606,  606,  606,   91,  781, 1728,  176, 1729,  190,  603,
  145,  781,  172,  705,  781,  606, 1734,  603,  616,  616,
  603,  616,  187,  616,  781,  159, 1741,  133,  781,  140,
  141,  162,  781, 1745,  603,  781,  509, 1748,  508, 1750,
  603,  253,  608,  603,  608,  781,  781,  781,  781,  781,
  254,  781,   16,  217,  398,  216,  219,  603,  145,  146,
  147,  148,  149,  150,  151,  218,  595,  587,  781,  781,
  667,  667,  667,  667,  667,  667,  667,  667,  596,  588,
  601,  601,  601,  601,  601,  601,  601,  601, 1309,  599,
  600,  601,  602,  603,  604,  343,  346,  391,  603,  392,
   51,  252,  781,  781,  781,   52,  191,  135,  683,  352,
  781,  615,  616,  617,  618,  619,  620,  781,  781,  349,
  220,  781,   37,  586,   81,  779,  781,  584,  597,  603,
  779,  779,  603,  779,  781,  779,  593,  367,  781,  683,
  683,  683,  683,  683,  280,  683,  603,  599,  599,  599,
  599,  599,  599,  599,  599,  581,  683,  582,  470,   82,
  598,  779,  609,  779,  779,  594, 1023,  607,  605,  706,
  606,   98,  608,  149,  177,  583,  221,  215,  140,  141,
  163,   36,  779,  585,  142,  906, 1463, 1005,  612,  415,
  859,  416,  683,  779, 1454, 1489,  706,  779,    0,  779,
  706,  706,  706,  706,  706,    0,  706,  145,  146,  147,
  148,  149,  150,  151,    0,    0,  779,  706,    0,  610,
    0,    0,    0,  779,    0,  614,    0,    0,  779,    0,
    0,    0,    0,    0,  779,    0,  781,    0,  781,  781,
  781,  781,  781,  781,  781,  781,    0,    0,    0,    0,
    0, 1681,  706,    0,    0,    0,  614,  614,  614,  614,
  614,    0,  614,  779,    0,  779,    0,    0,    0,  600,
    0,    0,    0,  614,    0,    0,    0,  779,  781,  781,
  781,  781,  781,  781,  781,  781,    0,  779,    0,    0,
    0,    0,  610,    0,  779,    0,    0,  779,    0, 1389,
  600,  600,  600,  600,  600,    0,  600,  779,    0,    0,
    0,  779,    0,    0,  238,  779,    0,  600,  779,  239,
    0,    0,  600,  610,    0,  610,  610,  610,  779,  779,
  779,  779,  779,    0,  779,    0,    0,    0, 1425,    0,
  610, 1428,    0,    0,    0,    0,    0, 1438, 1445,    0,
    0,  779,  779,  600,  240,    0,    0,  601,    0, 1136,
    0,    0,    0,    0,  241,    0,    0,    0,    0,  685,
  685,  685,  685,  685,  685,  685,  685,    0,    0,    0,
    0,  602,    0,    0, 1162,  779,  779,  779,  601,  601,
  601,  601,  601,  779,  601,    0,  242,    0,  243,    0,
  779,  779,    0,    0,  779,  601,    0,    0,    0,  779,
  601,    0,  602,  602,  602,  602,  602,  779,  602,  244,
    0,  779,  245,    0,    0,    0,    0,  609,    0,  602,
    0,    0,  796,  794,  602,  795,    0,  797,    0,    0,
  706,  601,  706,  706,    0, 1024,  623,  621,  704,  622,
    0,  624,    0,  612,    0,  688,  688,  688,  688,  688,
  688,  688,  688,    0,    0,  602,    0,  627,    0,    0,
    0,    0,  706,    0,    0,  704,  706,    0,  706,  704,
  704,  704,  704,  704,  798,  704,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  706,  704,    0,  625,    0,
    0,    0,  706,    0,  618,    0,    0,  706,    0,    0,
    0,    0,    0,  706,    0,    0,    0,    0,    0,  779,
 1531,  779,  779,  779,  779,  779,  779,  779,  779,    0,
    0,  704,    0,    0,    0,  618,  618,  618,  618,  618,
    0,  618,  706,    0,  706,    0,    0,    0,    0,    0,
    0,    0,  618,    0,    0,    0,  706,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  706,    0,    0,    0,
    0,    0,    0,  706,    0,    0,  706,    0,    0,    0,
    0,  603,    0,    0,    0,    0,  706,    0,    0,    0,
  706,    0,    0,    0,  706,    0,    0,  706,  606,  606,
  606,  606,  606,  606,  606,  606,    0,  706,  706,  706,
  706,  706,  603,  706,  607,  603,  607,  616,  616,  616,
  616,  616,  616,  616,  616,    0,    0,    0,    0,  603,
  706,  706,    0,    0,    0,    0,  603,    0,    0,    0,
  608,  608,  608,  608,  608,  608,  608,  608,    0,    0,
    0,    0,    0,    0, 1585,    0,    0,    0,  621,    0,
    0, 1590,    0,  707,  706,  706,  706,  603,  620,  620,
  603,  620,  706,  620,    0,    0,    0,    0,    0,  706,
  706,    0,    0,  706,  603,    0,    0,    0,  706,  621,
  621,  621,  621,  621,    0,  621,  706,    0,    0,    0,
  706,    0,    0,    0,    0,    0,  621,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  704,
    0,  704,  704,    0,    0,    0,    0,  705,    0,  779,
  779,  779,  779,  779,  779,  779,  779,    0,    0,  683,
  683,  683,  683,  683,  683,  683,  683,    0,    0,    0,
    0,  704,    0,    0,  705,  704,    0,  704,  705,  705,
  705,  705,  705,    0,  705,    0,  597,  598,  599,  600,
  601,  602,  603,  604,  704,  705,    0,    0,    0,    0,
    0,  704,    0,  603,    0,    0,  704,    0,    0,    0,
    0,    0,  704,    0,    0,    0,    0,    0,  706,    0,
  706,  706,  706,  706,  706,  706,  706,  706,    0,    0,
  705,    0,    0,    0,  603,  615,  615,  603,  615,    0,
  615,  704,    0,  704,    0,    0,    0,    0,    0,    0,
    0,  603,    0,    0,    0,  704,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  704,    0,    0,    0,    0,
    0,    0,  704,    0,    0,  704,  614,  614,  614,  614,
  614,  614,  614,  614,    0,  704,    0,    0,    0,  704,
    0,    0,    0,  704,    0,    0,  704,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  704,  704,  704,  704,
  704,    0,  704,    0,    0,    0,    0,    0,    0,    0,
  600,  600,  600,  600,  600,  600,  600,  600,    0,  704,
  704,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  610,  610,  610,  610,  610,  610,  610,
  610,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  704,  704,  704,    0,    0,    0,  613,
    0,  704,    0,    0,    0,    0,    0,    0,  704,  704,
    0,    0,  704,    0,    0,    0,    0,  704,    0,    0,
    0,    0,  690,    0,    0,  704,    0,    0,    0,  704,
  613,  613,  613,  613,  613,    0,  613,    0,  601,  601,
  601,  601,  601,  601,  601,  601,    0,  613,  705,  690,
  705,  705,    0,    0,  690,  690,  707,  690,    0,  690,
    0,    0,  602,  602,  602,  602,  602,  602,  602,  602,
 1166,  623,  621,    0,  622,  690,  624,    0,    0,    0,
  705,    0,    0,  707,  705,    0,  705,  707,  707,  707,
  707,  707,  627,  707,    0,  613,  614,  615,  616,  617,
  618,  619,  620,  705,  707,    0,  690,    0,    0,  603,
  705,    0,    0,    0,    0,  705,    0,    0,    0,    0,
    0,  705,    0,  625,    0,    0,    0,  704,  617,  704,
  704,  704,  704,  704,  704,  704,  704,    0,    0,  707,
  603,  619,  619,  603,  619,    0,  619,    0,    0,    0,
  705,    0,  705,    0,    0,    0,    0,  603,    0,  617,
  617,  617,  617,  617,  705,  617,    0,  609,    0,    0,
    0, 1165,  607,  605,  705,  606,  617,  608,    0,    0,
    0,  705,    0,    0,  705,  618,  618,  618,  618,  618,
  618,  618,  618,  612,  705,    0,    0,    0,  705,    0,
    0,  702,  705,    0,    0,  705,    0,    0,    0,  603,
    0,    0,    0,    0,    0,  705,  705,  705,  705,  705,
    0,  705,    0,  691,  610,    0,    0,    0,    0,    0,
    0,    0,  702,    0,  702,  702,  702,    0,  705,  705,
  603,  622,  622,  603,  622,    0,  622,    0,    0,  702,
  691,    0,    0,    0,    0,  691,  691,  603,  691,    0,
  691,    0,  607,  607,  607,  607,  607,  607,  607,  607,
    0,    0,  705,  705,  705,    0,  691,    0,    0,    0,
  705,    0,    0,    0,  702,    0,    0,  705,  705,    0,
    0,  705,    0,    0,    0,    0,  705,    0,    0,    0,
  623,    0,    0,    0,  705,    0,    0,  691,  705,    0,
    0,    0,    0,    0,    0,    0,  605,  620,  620,  620,
  620,  620,  620,  620,  620,    0,    0,  707,    0,  707,
  707,  623,  623,  623,  623,  623,    0,  623,    0,  621,
  621,  621,  621,  621,  621,  621,  621,  605,  623,  605,
  605,  605,    0,    0,    0,  623,  621,    0,  622,  707,
  624,    0,    0,  707,  605,  707,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  627,    0,    0,    0,
    0,    0,  707,    0,    0,  603,    0,    0,    0,  707,
    0,    0,    0,    0,  707,  692,    0,    0,    0,    0,
  707,    0,    0,  602,    0,    0,  705,  625,  705,  705,
  705,  705,  705,  705,  705,  705,  603,    0,  611,  603,
  611,    0,  692,    0,    0,    0,    0,  692,  692,  707,
  692,  707,  692,  603,    0,  602,  602,    0,  602,    0,
  602,    0,    0,  707,    0,    0,    0,    0,  692,    0,
    0,    0,    0,  707,    0,  609,  602,    0,    0,    0,
  707,    0,    0,  707,  615,  615,  615,  615,  615,  615,
  615,  615,  702,  707,  702,  702,    0,  707,  703,  692,
    0,  707,    0,    0,  707,    0,  609,  602,  609,  609,
  609,    0,    0,    0,  707,  707,  707,  707,  707,    0,
  707,    0,    0,  609,  702,    0,    0,    0,  702,  703,
  702,  703,  703,  703,  609,    0,    0,  707,  707,  796,
  794,  799,  795,    0,  797,    0,  703,  702,    0,    0,
    0,    0,    0,    0,  702,    0,  609,    0,    0,  702,
  612,  796,  794,  816,  795,  702,  797,    0,    0,    0,
    0,  707,  707,  707,    0,    0,    0,    0,    0,  707,
    0,  703,  612,    0,    0,    0,  707,  707,    0,    0,
  707,  798,    0,    0,  702,  707,  702,    0,    0,    0,
    0,    0,    0,  707,    0,    0,    0,  707,  702,    0,
    0,    0,    0,  798,  410,    0,    0,    0,  702,    0,
    0,    0,    0,    0,    0,  702,    0,    0,  702,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  702,    0,
    0,    0,  702,    0,    0,    0,  702,    0,    0,  702,
  613,  613,  613,  613,  613,  613,  613,  613,    0,  702,
  702,  702,  702,  702,    0,  702,    0,    0,    0,    0,
    0,    0,    0,  690,  690,  690,  690,  690,  690,  690,
  690,    0,  702,  702,    0,    0,    0,    0,    0,    0,
  613,  614,  615,  616,  617,  618,  619,  620,    0,    0,
    0,    0,    0,    0,    0,  707,    0,  707,  707,  707,
  707,  707,  707,  707,  707,    0,  702,  702,  702,    0,
    0,    0,    0,    0,  702,    0,    0,    0,    0,    0,
    0,  702,  702,    0,    0,  702,    0,    0,    0,    0,
  702,    0,    0,    0,    0,    0,    0,    0,  702,    0,
    0,    0,  702,    0,    0,    0,    0,    0,    0,    0,
  619,  619,  619,  619,  619,  619,  619,  619,    0,  703,
    0,  703,  703,    0,    0,    0,    0,    0,    0,  617,
  617,  617,  617,  617,  617,  617,  617,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
    0,  703,    0,    0,    0,  703,    0,  703,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  703,    0,    0,    0,    0,    0,
    0,  703,    0,    0,    0,    0,  703,    0,    0,    0,
    0,    0,  703,    0,    0,    0,    0,    0,    0,    0,
  702,  401,  702,  702,  702,  702,  702,  702,  702,  702,
  622,  622,  622,  622,  622,  622,  622,  622,    0,    0,
    0,  703,    0,  703,  691,  691,  691,  691,  691,  691,
  691,  691,  777,    0,    0,  703,    0,    0,    0,    0,
    0,  609,    0,  402,    0,  703,  796,  794,  884,  795,
  403,  797,  703,    0,    0,  703,    0,    0,    0,    0,
    0,    0,    0,  777,    0,  703,  777,  612,    0,  703,
    0,    0,    0,  703,    0,    0,  703,    0,    0,    0,
  777,    0,    0,    0,    0,    0,  703,  703,  703,  703,
  703,    0,  703,    0,    0,    0,    0,  404,  798,    0,
    0,  623,  623,  623,  623,  623,  623,  623,  623,  703,
  703,    0,    0,    0,    0,  777,  405,  605,  605,  605,
  605,  605,  605,  605,  605,  614,  615,  616,  617,  618,
  619,  620,    0,    0,  406,    0,    0,    0,    0,    0,
    0,    0,    0,  703,  703,  703,    0,    0,    0,    0,
    0,  703,    0,    0,    0,    0,    0,    0,  703,  703,
    0,    0,  703,    0,    0,    0,  244,  703,  609,  245,
    0,    0, 1167,  607,  605,  703,  606,    0,  608,  703,
    0,  771,    0,    0,    0,    0,  611,  611,  611,  611,
  611,  611,  611,  611,  612,    0,  692,  692,  692,  692,
  692,  692,  692,  692,  602,  602,  602,  602,  602,  602,
  602,  602,  771,    0,    0,  771,    0,    0,    0,    0,
    0,    0,  407,    0,    0,  610,    0,    0,    0,  771,
    0,    0,    0,    0,    0,  408,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  409,  609,  609,  609,  609,
  609,  609,  609,  609,  771,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  703,    0,  703,
  703,  703,  703,  703,  703,  703,  703,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
    0,    0,    0,  777,    0,  777,  777,    0,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  777,    0,    0,    0,  777,
    0,  777,    0,    0,    0,    0,    0,    0,    0,  609,
    0,    0,    0,    0,  796,  794,  892,  795,  777,  797,
    0,    0,    0,  772,    0,  777,    0,    0,    0,    0,
  777,    0,    0,    0,    0,  612,  777,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  772,    0,    0,  772,    0,    0,
    0,    0,    0,    0,    0,  777,  798,  777,    0,    0,
    0,  772,    0,    0,    0,    0,    0,    0,    0,  777,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  777,
    0,    0,    0,    0,    0,    0,  777,    0,    0,  777,
    0,    0,    0,    0,    0,    0,  772,    0,    0,  777,
    0,    0,  771,  777,  771,  771,    0,  777,    0,    0,
  777,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  777,  777,  777,  777,  777,    0,  777,    0,    0,    0,
    0,    0,    0,    0,  771,    0,    0,    0,  771,    0,
  771,    0,    0,  777,  777,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  771,    0,    0,
    0,    0,    0,    0,  771,    0,    0,    0,    0,  771,
    0,    0,    0,    0,  773,  771,    0,  777,  777,  777,
    0,    0,    0,    0,    0,  777,    0,    0,    0,    0,
    0,    0,  777,  777,    0,    0,  777,    0,    0,    0,
    0,  777,    0,    0,  771,  773,  771,    0,  773,  777,
    0,  609,    0,  777,    0,    0,  796,  794,  771,  795,
    0,  797,  773,    0,    0,    0,    0,    0,  771,    0,
    0,    0,    0,    0,    0,  771,    0,  612,  771,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  771,    0,
    0,    0,  771,  635,  636,    0,  771,  773,    0,  771,
    0,    0,    0,    0,    0,    0,    0,    0,  798,  771,
  771,  771,  771,  771,    0,  771,  637,    0,    0,    0,
    0,    0,  638,    0,  772,    0,  772,  772,  639,    0,
  640,    0,  771,  771,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,    0,    0,    0,    0,  641,
    0,  777,    0,  777,  777,    0,  772,    0,    0,    0,
  772,    0,  772,    0,    0,    0,  771,  771,  771,    0,
  642,    0,  643,    0,  771,    0,    0,    0,    0,  772,
    0,  771,  771,    0,  644,  771,  772,    0,  774,    0,
  771,  772,    0,  244,    0,    0,  245,  772,  771,  609,
    0,    0,  771,    0,  796,  794,  898,  795,    0,  797,
    0,    0,    0,    0,    0,    0,  645,    0,    0,  774,
    0,    0,  774,    0,    0,  612,  772,  775,  772,    0,
    0,    0,    0,    0,    0,    0,  774,    0,    0,    0,
  772,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  772,  646,  647,    0,    0,    0,  798,  772,  775,    0,
  772,  775,  597,  598,  599,  600,  601,  602,  603,  604,
  772,  774,    0,  648,  772,  775,    0,    0,  772,    0,
    0,  772,  649,    0,    0,  773,    0,  773,  773,    0,
    0,  772,  772,  772,  772,  772,    0,  772,    0,    0,
  771,    0,  771,  771,    0,    0,    0, 1168,  623,  621,
  775,  622,    0,  624,  772,  772,  650,  773,    0,    0,
    0,  773,    0,  773,    0,    0,    0,    0,    0,  627,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  773,    0,    0,    0,    0,    0,    0,  773,  772,  772,
  772,    0,  773,    0,    0,    0,  772,    0,  773,    0,
  625,    0,    0,  772,  772,    0,    0,  772,    0,    0,
    0,    0,  772,    0,    0,    0,    0,    0,    0,    0,
  772,    0,    0,    0,  772,    0,    0,  773,    0,  773,
    0,    0,    0,    0,  609,    0,    0,    0, 1169,  607,
  605,  773,  606,    0,  608,    0,    0,    0,    0,    0,
    0,  773,    0,    0,    0,    0,    0,    0,  773,    0,
  612,  773,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  773,    0,    0,    0,  773,    0,    0,    0,  773,
  776,    0,  773,  597,  598,  599,  600,  601,  602,  603,
  604,  610,  773,  773,  773,  773,  773,    0,  773,  774,
    0,  774,  774,    0,    0,    0,    0,    0,    0,    0,
    0,  776,    0,    0,  776,  773,  773,    0,    0,    0,
    0,    0,  772,    0,  772,  772,    0,    0,  776,    0,
    0,  774,    0,    0,    0,  774,    0,  774,  775,    0,
  775,  775,    0,    0,    0,    0,    0,    0,    0,  773,
  773,  773,    0,    0,  774,    0,    0,  773,    0,    0,
    0,  774,    0,  776,  773,  773,  774,    0,  773,    0,
  775,    0,  774,  773,  775,    0,  775,    0,    0,    0,
    0,  773,    0,    0,    0,  773,    0,    0,    0,    0,
    0,    0,    0,  775,    0,    0,    0,    0,    0,    0,
  775,  774,    0,  774,    0,  775,    0,    0,    0,    0,
    0,  775,    0,    0,    0,  774,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  774,    0,    0,    0,  778,
    0,    0,  774,    0,    0,  774,    0,    0,    0,    0,
  775,    0,  775,    0,    0,  774,    0,    0,    0,  774,
    0,    0,    0,  774,  775,    0,  774,    0,    0,    0,
  778,    0,    0,  778,  775,    0,  774,  774,  774,  774,
  774,  775,  774,    0,  775,    0,    0,  778,    0,    0,
    0,    0,    0,  773,  775,  773,  773,    0,  775,  774,
  774,    0,  775,    0,    0,  775,  598,  599,  600,  601,
  602,  603,  604,    0,    0,  775,  775,  775,  775,  775,
    0,  775,  778,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  774,  774,  774,    0,    0,  775,  775,
    0,  774,    0,    0,    0,    0,    0,    0,  774,  774,
    0,    0,  774,    0,    0,    0,    0,  774,    0,    0,
    0,  776,    0,  776,  776,  774,    0,    0,    0,  774,
    0,    0,  775,  775,  775,    0,    0,    0,    0,    0,
  775,    0,    0,    0,    0,    0,    0,  775,  775,    0,
    0,  775,    0,  776,    0,    0,  775,  776,    0,  776,
    0,    0,    0,    0,  775,    0,    0,    0,  775,    0,
    0,    0,    0,    0,    0,    0,  776,    0,    0,    0,
    0,    0,    0,  776,    0,    0,    0,    0,  776,    0,
    0,    0,    0,    0,  776,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  770,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,  776,    0,  776,    0,  774,    0,  774,
  774,    0,    0,    0,    0,    0,    0,  776,    0,    0,
  452,    0,    0,  770,    0,    0,  770,  776,    0,    0,
    0,  453,    0,    0,  776,    0,    0,  776,    0,    0,
  770,    0,    0,    0,    0,    0,  775,  776,  775,  775,
  778,  776,  778,  778,    0,  776,    0,    0,  776,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  776,  776,
  776,  776,  776,    0,  776,  770,    0,    0,    0,    0,
    0,    0,  778,    0,    0,    0,  778,    0,  778,    0,
    0,  776,  776,    0,    0,    0,    0,  613,  614,  615,
  616,  617,  618,  619,  620,  778,    0,    0,    0,    0,
    0,    0,  778,    0,    0,    0,    0,  778,    0,    0,
    0,    0,    0,  778,    0,  776,  776,  776,    0,    0,
    0,    0,    0,  776,    0,    0,    0,    0,    0,    0,
  776,  776,    0,    0,  776,    0,    0,    0,    0,  776,
    0,    0,  778,    0,  778,    0,    0,  776,    0,    0,
    0,  776,    0,    0,    0,    0,  778,    0,    0,    0,
    0,    0,  407,    0,    0,    0,  778,    0,    0,    0,
    0,    0,    0,  778,    0,    0,  778,    0,  597,  598,
  599,  600,  601,  602,  603,  604,  778,    0,    0,    0,
  778,    0,    0,    0,  778,    0,  406,  778,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  778,  778,  778,
  778,  778,    0,  778,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  778,  778,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  776,
    0,  776,  776,  770,    0,  770,  770,    0,    0,    0,
    0,    0,    0,    0,  778,  778,  778,    0,    0,    0,
    0,    0,  778,    0,    0,    0,    0,    0,    0,  778,
  778,    0,    0,  778,    0,  770,    0,    0,  778,  770,
    0,  770,    0,    0,    0,    0,  778,    0,    0,    0,
  778,    0,    0,    0,  401,    0,    0,    0,  770,    0,
    0,    0,    0,    0,    0,  770,    0,  452,    0,  452,
  770,    0,    0,    0,    0,    0,  770,    0,  453,    0,
  453,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  402,    0,  452,    0,    0,    0,    0,  452,    0,
    0,    0,    0,    0,  453,  770,    0,  770,    0,  453,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  770,
    0,    0,    0,    0,    0,    0,    0,    0,  403,  770,
    0,    0,    0,  452,    0,  452,  770,    0,    0,  770,
    0,    0,    0,    0,  453,    0,  453,  452,  778,  770,
  778,    0,    0,  770,    0,    0,    0,  770,  453,    0,
  770,    0,    0,    0,  452,    0,    0,  452,    0,    0,
  770,  770,  770,  770,  770,  453,  770,  452,  453,    0,
    0,  452,    0,  407,    0,  407,  407,    0,  453,    0,
    0,    0,  453,  770,  770,    0,    0,    0,  452,    0,
    0,  452,  452,    0,    0,    0,    0,    0,    0,  453,
  404,    0,  453,  453,    0,  407,    0,  406,    0,  406,
  406,  452,  452,    0,    0,    0,    0,  770,  770,  770,
    0,    0,  453,  453,    0,  770,  428,    0,  407,    0,
    0,    0,  770,  770,    0,    0,  770,    0,    0,  406,
  407,  770,    0,    0,    0,  452,  407,  452,    0,  770,
    0,    0,    0,  770,    0,    0,  453,    0,  453,    0,
  452,  452,  406,    0,  452,    0,    0,    0,    0,    0,
    0,  453,  453,    0,  406,  453,    0,  452,    0,    0,
  406,  452,    0,    0,    0,    0,    0,    0,  453,    0,
    0,    0,  453,    0,    0,    0,    0,    0,    0,  407,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  401,    0,  401,  401,  407,
    0,    0,    0,    0,    0,    0,    0,  407,    0,    0,
  407,    0,    0,  406,    0,    0,    0,    0,    0,    0,
  407,  407,  407,  407,  407,    0,  407,  401,    0,    0,
    0,  770,  402,  406,  402,  402,    0,    0,    0,    0,
    0,  406,    0,    0,  406, 1170,  623,  621,    0,  622,
  401,  624,    0,    0,  406,  406,  406,  406,  406,  452,
  406,    0,  401,    0,  402,    0,    0,  627,  401,  403,
  453,  403,  403,    0,    0,    0,    0,    0,  407,    0,
    0,    0,    0,    0,    0,  407,    0,  402,    0,    0,
    0,    0,    0,    0,  481,  481,    0,    0,  625,  402,
    0,  403,    0,    0,    0,  402,    0,    0,    0,  407,
    0,    0,  406,    0,    0,    0,    0,  481,    0,  406,
    0,  401,    0,  481,  403,    0,    0,    0,    0,  481,
    0,  481,    0,    0,    0,    0,  403,    0,    0,    0,
    0,  401,  403,  406,    0,    0,    0,    0,    0,  401,
  481,  404,  401,  404,  404,    0,    0,    0,  402,    0,
    0,    0,  401,  401,  401,  401,  401,    0,  401,    0,
    0,  481,    0,  481,    0,    0,    0,  428,  402,  428,
  428,    0,    0,  404,    0,  481,  402,    0,    0,  402,
    0,    0,    0,    0,  481,  403,    0,  481,    0,  402,
  402,  402,  402,  402,    0,  402,  404,    0,    0,  428,
    0,  407,    0,    0,    0,  403,    0,  481,  404,    0,
  401,    0,    0,  403,  404,    0,  403,  401,    0,  174,
    0,    0,  428,    0,  163,    0,  403,  403,  403,  403,
  403,    0,  403,    0,  428,  406,    0,    0,    0,    0,
  428,  401,  481,  481,    0,    0,    0,  402,    0,    0,
    0,    0,    0,    0,  402,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  481,    0,    0,  404,    0,    0,
    0,    0,    0,  481,    0,    0,    0,    0,  402,    0,
    0,    0,    0,    0,  403,    0,    0,  404,    0,    0,
    0,  403,    0,  428,  609,  404,    0,    0,  404,  796,
  794,  953,  795,    0,  797,    0,    0,  481,  404,  404,
  404,  404,  404,  428,  404,  403,    0,    0,    0,    0,
  612,  428,    0,    0,  428,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  428,  428,  428,  428,  428,  609,
  428,    0,    0,  401,  796,  794,  958,  795,    0,  797,
    0,  798,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  612,  404,    0,    0,    0,
    0,    0,    0,  404,    0,    0,    0,    0,    0,    0,
  402,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  428,    0,    0,    0,  798,  404,    0,  428,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  403,    0,    0,
    0,    0,    0,  428,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    1,    2,    3,    4,    5,
    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,
   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,
   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,
   36,   37,   38,   39,   40,   41,    0,   42,   43,   44,
   45,   46,   47,   48,   49,   50,   51,    0,    0,   52,
   53,    0,    0,    0,   54,   55,    0,    0,    0,  404,
   56,    0,    0,   57,   58,   59,    0,    0,   60,   61,
   62,    0,    0,   63,    0,    0,    0,   64,    0,   65,
    0,    0,    0,    0,   66,  428,   67,   68,    0,   69,
   70,    0,    0,   71,    0,   72,    0,   73,   74,    0,
   75,    0,    0,    0,    0,    0,   76,    0,    0,    0,
    0,   77,    0,    0,   78,    0,    0,    0,    0,   79,
   80,    0,    0,    0,   81,   82,   83,   84,    0,   85,
   86,    0,    0,   87,    0,    0,    0,    0,    0,    0,
    0,   88,    0,    0,    0,   89,    0,    0,    0,    0,
   90,   91,   92,    0,   93,    0,    0,    0,    0,   94,
   95,    0,    0,   96,   97,    0,   98,   99,  100,  101,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  102,
  103,    0,    0,    0,    0,    0,    0,  329,    0,    0,
    0,    0,  321,    0,  104,  613,  614,  615,  616,  617,
  618,  619,  620,    0,    0,    0,    0,  105,    0,    0,
    0,    0,  106,  107,    0,    0,    0,    0,  108,  109,
  110,    0,  111,  112,  113,  114,    0,    0,    0,    0,
    0,    0,  115,  116,  117,  118,  119,    0,  120,    0,
    0,    0,  121,  122,    0,    0,    0,  123,    0,    0,
  124,  125,    0,    0,    0,  126,    0,    0,    0,    0,
    0,    0,  127,    0,  128,  129,  130,  131,    0,    0,
    0,  132,  133,    0,    0,    0,  134,    0,  135,    0,
    0,  136,  137,  138,  139,  140,  141,    0,  142,  143,
  144,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  609,    0,    0,    0,    0,  796,  794,  980,
  795,    0,  797,    0,  145,  146,  147,  148,  149,  150,
  151,  152,  153,    0,  609,    0,  154,  155,  612,  796,
  794,  989,  795,    0,  797,    0,    0,    0,    0,    0,
    0,  609,    0,    0,    0,    0,  796,  794, 1009,  795,
  612,  797,    0,    0,    0,    0,    0,    0,    0,  798,
    0,    0,    0,    0,    0,    0,    0,  612,    0,  156,
    0,    0,    0,    0,  157,  158,  159,  160,  161,  162,
    0,  798,    0,    0,    0,    0,    0,    0,    0,  164,
  165,  166,  167,  168,  169,  170,  171,  172,  798,    0,
    0,    0,    0,  173,  275,  276,  277,  278,  279,  280,
  281,  282,   10,   11,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,   22,   23,  293,  294,  295,  296,
  297,  298,  299,  300,  301,  302,  303,  304,  305,  306,
  307,  308,  309,  310,    0,   42,   43,   44,   45,   46,
   47,   48,   49,    0,    0,    0,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  425,    0,    0,    0,    0,
  426,    0,    0,    0,    0,  427,    0,    0,    0,    0,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,  329,    0,    0,    0,    0,  321,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  609,    0,
  428,    0, 1171,  607,  605,    0,  606,  354,  608,    0,
    0,    0,    0,    0,  429,    0,    0,    0,    0,    0,
  609,    0,    0,    0,  612,  607,  605, 1173,  606,    0,
  608,    0,    0,    0,  430,    0,    0,    0,  431,    0,
    0,    0,  432,    0,  433,    0,  612,    0,  434,    0,
    0,    0,    0,    0,  609,  610,    0,    0, 1175,  607,
  605,    0,  606,    0,  608,  244,  609,    0,  245,    0,
 1177,  607,  605,    0,  606,    0,  608,  610,    0,    0,
  612,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  612,    0,    0,    0,  609,    0,    0,    0,
 1179,  607,  605,  318,  606,    0,  608,    0,    0,    0,
    0,  610,    0,    0,    0,    0,    0,    0,    0,    0,
  319,  609,  612,  610,    0, 1181,  607,  605,    0,  606,
  609,  608,    0,    0, 1183,  607,  605,    0,  606,    0,
  608,    0,  435,    0,    0,    0,    0,  612,    0,    0,
    0,    0,    0,  610,    0,    0,  612,    0,  436,    0,
    0,    0,    0,  140,  141,  437,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  610,    0,
    0,    0,    0,    0,    0,    0,    0,  610,    0,    0,
    0,    0,  145,  146,  438,  148,  149,  150,  151,  275,
  276,  277,  278,  279,  280,  281,  282,   10,   11,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,   22,
   23,  293,  294,  295,  296,  297,  298,  299,  300,  301,
  302,  303,  304,  305,  306,  307,  308,  309,  310,    0,
   42,   43,   44,   45,   46,   47,   48,   49,    0,    0,
    0,    0,  480,  480,    0,  320,  161,  162,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  322,    0,  323,
  324,  325,  326,  327,  328,  480,    0,    0,    0,    0,
    0,  480,    0,    0,    0,  510,    0,  480,    0,  480,
  511,    0,    0,    0,    0,  512,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  329,  480,    0,
    0,    0,  321,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  513,    0,    0,  609,  480,
    0,  480,  514,  607,  605, 1187,  606,    0,  608,    0,
    0,    0,    0,  480,    0,    0,    0,    0,    0,    0,
    0,    0,  480,    0,  612,  480,  515,    0,    0,    0,
    0,    0,    0,   95,    0,    0,    0,    0,    0,  516,
    0,    0,    0,  517,    0,  480,  597,  598,  599,  600,
  601,  602,  603,  604,    0,  610,    0,    0,    0,    0,
  244,    0,    0,  245,    0,    0,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
  480,  480,    0,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,  609,    0,    0,  318, 1185,
  607,  605,  480,  606,  518,  608,    0,    0,    0,    0,
    0,  480,  609,    0,    0,  319, 1190,  607,  605,    0,
  606,  612,  608,  609,    0,    0,    0, 1192,  607,  605,
    0,  606,    0,  608,    0,    0,    0,    0,  612,    0,
    0,    0,    0,    0,    0,  480,    0,    0,    0,  612,
    0,    0,  610,    0,    0,    0,    0,    0,  140,  141,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  610,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  610,    0,    0,    0,    0,    0,    0,  145,  146,  147,
  148,  149,  150,  151,  275,  276,  277,  278,  279,  280,
  281,  282,   10,   11,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,   22,   23,  293,  294,  295,  296,
  297,  298,  299,  300,  301,  302,  303,  304,  305,  306,
  307,  308,  309,  310,    0,   42,   43,   44,   45,   46,
   47,   48,   49,    0,    0,    0,    0,    0,    0,    0,
  320,  161,  162,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  322,    0,  323,  324,  325,  326,  327,  328,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,    0,    0,  311,    0,    0,    0,    0,
  312,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,  329,    0, 1172,  623,  621,  321,  622,    0,
  624,    0,    0,    0,  313,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  627,  314,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  625,   95,    0,
    0,    0,  315,    0,  316,    0,    0,    0,  317,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,    0,    0,  244,    0,    0,  245,    0,
    0,    0,    0,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,    0,    0,    0,    0,    0,    0,  609,
    0,    0,    0,  318,  607,  605, 1194,  606,    0,  608,
    0,    0,    0,    0,    0,    0,    0,    0,  609,    0,
  319,    0, 1199,  607,  605,  612,  606,  609,  608,    0,
    0, 1201,  607,  605,    0,  606,    0,  608,    0,    0,
    0,    0,    0,    0,  612,    0,    0,    0,    0,    0,
    0,    0,    0,  612,    0,    0,  610,    0,    0,    0,
    0,    0,    0,  140,  141,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  610,    0,    0,    0,    0,
    0,    0,    0,    0,  610,    0,    0,    0,    0,    0,
    0,    0,  145,  146,  147,  148,  149,  150,  151,  275,
  276,  277,  278,  279,  280,  281,  282,   10,   11,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,   22,
   23,  293,  294,  295,  296,  297,  298,  299,  300,  301,
  302,  303,  304,  305,  306,  307,  308,  309,  310,    0,
   42,   43,   44,   45,   46,   47,   48,   49,    0,    0,
    0,    0,    0,    0,    0,  320,  161,  162,    0,    0,
    0,    0,    0,    0,  441,    0,    0,  322,    0,  323,
  324,  325,  326,  327,  328,    0,    0,    0,    0,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
  442,    0,    0,    0,    0,  443,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  609,    0,  329,    0, 1203,
  607,  605,  321,  606,    0,  608,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  612,  444,    0,    0,    0,    0,    0,  609,    0,
    0,    0,    0,  607,  605, 1205,  606,    0,  608,  609,
    0,    0,    0,    0,  607,  605, 1207,  606,    0,  608,
    0,    0,  610,   95,  612,    0,  609,  445,    0,  446,
 1213,  607,  605,  447,  606,  612,  608,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0,    0,    0,
  244,    0,  612,  245,    0,  610,  597,  598,  599,  600,
  601,  602,  603,  604,    0,    0,  610,  597,  598,  599,
  600,  601,  602,  603,  604,    0,    0,    0,    0,    0,
    0,    0,    0,  610,    0,    0,    0,    0,  318,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  319,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  140,  141,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  145,  146,  147,
  148,  149,  150,  151,  275,  276,  277,  278,  279,  280,
  281,  282,   10,   11,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,   22,   23,  293,  294,  295,  296,
  297,  298,  299,  300,  301,  302,  303,  304,  305,  306,
  307,  308,  309,  310,    0,   42,   43,   44,   45,   46,
   47,   48,   49,    0,    0,    0,    0,    0,    0,    0,
  320,  161,  162,    0,  613,  614,  615,  616,  617,  618,
  619,  620,  322,    0,  323,  324,  325,  326,  327,  328,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  578,  609,    0,    0,    0,
  579,  607,  605, 1209,  606,    0,  608,    0,    0,    0,
  609,    0,  329,    0, 1215,  607,  605,  321,  606,    0,
  608,    0,  612,    0,  580,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  609,    0,  612,  581,    0,  607,
  605, 1211,  606,    0,  608,    0,    0,    0,    0,    0,
    0,    0,    0,  610,    0,    0,    0,    0,    0,    0,
  612,    0,    0,    0,    0,    0,    0,  610,   95,    0,
    0,  609,  582,    0,  583, 1219,  607,  605,  584,  606,
    0,  608,    0,  597,  598,  599,  600,  601,  602,  603,
  604,  610,    0,    0,    0,  244,    0,  612,  245,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  610,    0,
    0,    0,    0,  318,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  319,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  329,    0,    0,    0,    0,  321,
    0,    0,    0,  140,  141,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  145,  146,  147,  148,  149,  150,  151,  275,
  276,  277,  278,  279,  280,  281,  282,   10,   11,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,   22,
   23,  293,  294,  295,  296,  297,  298,  299,  300,  301,
  302,  303,  304,  305,  306,  307,  308,  309,  310,    0,
   42,   43,   44,   45,   46,   47,   48,   49,    0,    0,
    0,    0,    0,    0,    0,  320,  161,  162,    0,  597,
  598,  599,  600,  601,  602,  603,  604,  322,    0,  323,
  324,  325,  326,  327,  328,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1089, 1090,    0,    0,    0,    0,
 1091,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,    0,    0,    0,    0,    0, 1092,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,  354,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   95,    0,    0,    0, 1093,    0, 1094,
    0,  275,  276,  277,  278,  279,  280,  281,  282,   10,
   11,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,   22,   23,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,  308,  309,
  310,    0,   42,   43,   44,   45,   46,   47,   48,   49,
    0,    0,    0,    0,    0,    0,    0,    0,  318,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  319,    0,    0, 1095, 1096,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1432,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  609,    0,  329,
    0, 1221,  607,  605,  321,  606,    0,  608,  140,  141,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  612,  354,    0,    0, 1433,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  145,  146,  147,
  148,  149,  150,  151,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  610,   95,    0,    0,    0, 1434,
    0, 1435,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  244,    0,    0,  245,    0,    0,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
  320,  161,  162,    0,  597,  598,  599,  600,  601,  602,
  603,  604,  322,    0,  323,  324,  325,  326,  327,  328,
  318,    0,    0,    0,    0,    0,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,  609,  319,    0,    0,
 1436,  607,  605, 1217,  606,    0,  608,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  612,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,    0,    0,    0,    0,    0,
  140,  141,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  610,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  145,
  146,  147,  148,  149,  150,  151,  275,  276,  277,  278,
  279,  280,  281,  282,   10,   11,  283,  284,  285,  286,
  287,  288,  289,  290,  291,  292,   22,   23,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
  305,  306,  307,  308,  309,  310,    0,   42,   43,   44,
   45,   46,   47,   48,   49,    0,    0,    0,    0,    0,
    0,    0,  320,  161,  162,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  322,    0,  323,  324,  325,  326,
  327,  328,    0,  609,    0,    0,    0, 1223,  607,  605,
    0,  606,    0,  608,    0,    0,    0, 1439,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  612,
    0,    0,  609,    0,  329,    0, 1225,  607,  605,  321,
  606,    0,  608,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  612,  354,
  610,    0, 1440,    0,    0,  609,    0,    0,    0, 1023,
  796,  794,    0,  795,  609,  797,    0,    0,    0,  796,
  794, 1324,  795,    0,  797,    0,    0,  609,    0,  610,
   95,  612,  796,  794, 1441,  795, 1442,  797,    0,  609,
  612,    0,    0,    0,  796,  794, 1331,  795,    0,  797,
    0,    0,    0,  612,    0,    0,    0,  244,  329,    0,
  245,    0,  798,  321,    0,  612,    0,    0,    0,    0,
    0,  798,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1362,  798,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  318,  798,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  319,    0,    0, 1443,    0,    0,    0,    0,
    0,  609,    0,    0,    0,    0,  796,  794, 1332,  795,
    0,  797,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  612,    0,    0,
    0,    0,    0,    0,    0,  140,  141,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  798,    0,
    0,    0,    0,    0,  145,  146,  147,  148,  149,  150,
  151,  275,  276,  277,  278,  279,  280,  281,  282,   10,
   11,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,   22,   23,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,  308,  309,
  310,    0,   42,   43,   44,   45,   46,   47,   48,   49,
    0,    0,    0,    0,    0,    0,    0,  320,  161,  162,
    0,  597,  598,  599,  600,  601,  602,  603,  604,  322,
    0,  323,  324,  325,  326,  327,  328,    0,    0,    0,
    0,    0,    0,    0,    0,  275,  276,  277,  278,  279,
  280,  281,  282,   10,   11,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,   22,   23,  293,  294,  295,
  296,  297,  298,  299,  300,  301,  302,  303,  304,  305,
  306,  307,  308,  309,  310,    0,   42,   43,   44,   45,
   46,   47,   48,   49,  354,    0,    0,    0,    0,    0,
  609,    0,    0,    0,    0,  796,  794, 1336,  795,    0,
  797,  609,    0,    0,    0,    0,  796,  794, 1345,  795,
    0,  797,  609,    0,    0,   95,  612,  796,  794, 1359,
  795,    0,  797,    0,    0,    0,    0,  612,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  612,    0,
    0,    0,    0,    0,    0,    0,    0,  798,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,  798,    0,
    0, 1176,  623,  621,    0,  622,  609,  624,  354,  798,
 1368,  607,  605,    0,  606,    0,  608,    0,    0,    0,
  318,  609,    0,  627,    0, 1370,  607,  605,    0,  606,
    0,  608,  612,    0,    0,    0,  609,  319,    0,   95,
 1372,  607,  605,    0,  606,  609,  608,  612,    0, 1374,
  607,  605,    0,  606,  625,  608,    0,    0,    0,  329,
    0,    0,  612,  610,  321,    0,    0,    0,    0,    0,
    0,  612,    0,    0,    0,    0,    0,    0,  610,    0,
  140,  141,    0,    0,    0,    0,  541,  542,    0,    0,
    0,    0,    0,  610,    0,    0,    0,    0,    0,    0,
    0,    0,  610,    0,  318,    0,    0,    0,    0,  145,
  146,  147,  148,  149,  150,  151,    0,    0,    0,  543,
  544,  319,    0,    0,    0,    0,    0,  329,    0,    0,
    0,    0,  321,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  140,  141,    0,    0,    0,    0,
  552,  553,  320,  161,  162,    0,  597,  598,  599,  600,
  601,  602,  603,  604,  322,    0,  323,  324,  325,  326,
  327,  328,    0,  145,  146,  147,  148,  149,  150,  151,
    0,    0,    0,  554,  555,    0,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,    0,    0,  320,  161,  162,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  322,    0,
  323,  324,  325,  326,  327,  328,  275,  276,  277,  278,
  279,  280,  281,  282,   10,   11,  283,  284,  285,  286,
  287,  288,  289,  290,  291,  292,   22,   23,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
  305,  306,  307,  308,  309,  310,    0,   42,   43,   44,
   45,   46,   47,   48,   49,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1422,  275,  276,  277,  278,  279,  280,
  281,  282,   10,   11,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,   22,   23,  293,  294,  295,  296,
  297,  298,  299,  300,  301,  302,  303,  304,  305,  306,
  307,  308,  309,  310,    0,   42,   43,   44,   45,   46,
   47,   48,   49,  609,    0,    0,    0, 1376,  607,  605,
    0,  606,  609,  608,    0,    0, 1378,  607,  605,  354,
  606,    0,  608,    0, 1178,  623,  621,    0,  622,  612,
  624,    0,    0,    0,    0,    0,    0,    0,  612,    0,
    0,    0,    0,    0,    0,    0,  627,  609,    0,    0,
   95,    0,  796,  794,    0,  795,  609,  797,    0,    0,
  610,  796,  794,    0,  795,    0,  797,    0, 1381,  610,
    0,    0,    0,  612,    0,    0,    0,  625,    0,    0,
  609,    0,  612,    0, 1513,  796,  794,  354,  795,    0,
  797,    0,    0,    0,    0,  609,    0,    0,    0,    0,
  796,  794, 1406,  795,  798,  797,  612,    0,    0,    0,
    0,    0, 1383,  798,    0,  318,    0,    0,   95,    0,
    0,  612,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  319,    0,    0,    0,    0,  798,  329,    0,
    0,    0, 1423,  321,  597,  598,  599,  600,  601,  602,
  603,  604,  798,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,    0,  597,  598,  599,  600,
  601,  602,  603,  604,    0,  140,  141,  623,  621, 1174,
  622,    0,  624,  318,    0,    0,    0,  329,    0,    0,
    0,    0,  321,    0,    0,    0,    0,    0,  627,    0,
  319,    0,    0,    0,  145,  146,  147,  148,  149,  150,
  151,  613,  614,  615,  616,  617,  618,  619,  620,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,  625,
    0,    0,    0,    0, 1481,  597,  598,  599,  600,  601,
  602,  603,  604,  140,  141,    0,    0,    0,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,  597,
  598,  599,  600,  601,  602,  603,  604,  320,  161,  162,
    0,    0,  145,  146,  147,  148,  149,  150,  151,  322,
    0,  323,  324,  325,  326,  327,  328,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  320,  161,  162,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  322,    0,  323,
  324,  325,  326,  327,  328,  275,  276,  277,  278,  279,
  280,  281,  282,   10,   11,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,   22,   23,  293,  294,  295,
  296,  297,  298,  299,  300,  301,  302,  303,  304,  305,
  306,  307,  308,  309,  310,    0,   42,   43,   44,   45,
   46,   47,   48,   49,  275,  276,  277,  278,  279,  280,
  281,  282,   10,   11,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,   22,   23,  293,  294,  295,  296,
  297,  298,  299,  300,  301,  302,  303,  304,  305,  306,
  307,  308,  309,  310,    0,   42,   43,   44,   45,   46,
   47,   48,   49,  609,    0,    0,    0, 1167,  796,  794,
    0,  795,    0,  797,  609,    0,    0,    0, 1169,  796,
  794,    0,  795,    0,  797,    0,    0,    0,    0,  612,
    0,  609,    0,    0,    0, 1171,  796,  794,  354,  795,
  612,  797,    0,    0,    0,    0,    0,    0,  609,    0,
    0,    0,    0,  796,  794, 1173,  795,  612,  797,    0,
  798,    0,    0,    0,    0,    0,    0,    0,    0,   95,
    0,  798,    0,    0,  612,    0,  609,    0,    0,    0,
 1175,  796,  794,    0,  795,    0,  797,  354,  798,    0,
    0,  609,    0,    0,    0, 1177,  796,  794,    0,  795,
    0,  797,  612,    0,    0,  798,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  612,   95,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  798,  318,    0,    0,    0,  174,    0,
    0,    0,    0,  163,    0,    0,    0,    0,  798,    0,
    0,  319,    0,    0,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,  597,  598,  599,  600,
  601,  602,  603,  604,  613,  614,  615,  616,  617,  618,
  619,  620,    0,  318,    0, 1483,    0,  174,    0,    0,
    0,    0,  163,    0,  140,  141,    0,    0,    0,    0,
  319,  597,  598,  599,  600,  601,  602,  603,  604,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,  145,  146,  147,  148,  149,  150,  151,
    0,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,  140,  141,    0,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,  609,    0,    0,
    0, 1179,  796,  794,    0,  795,    0,  797,    0,    0,
    0,    0,  145,  146,  147,  148,  149,  150,  151,    0,
    0,    0,    0,  612,    0,  609,  320,  161,  162, 1181,
  796,  794,    0,  795,    0,  797,    0,    0,  322,    0,
  323,  324,  325,  326,  327,  328,    0,    0,    0,    0,
    0,  612,    0,    0,  798,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  613,  614,  615,  616,
  617,  618,  619,  620,    0,  320,  161,  162,    0,    0,
    0,    0,  798,    0,    0,    0,    0,  322,    0,  323,
  324,  325,  326,  327,  328,    2,    3,    4,    5,    6,
    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,
   17,  569,   19,   20,   21,   22,   23,   24,   25,   26,
   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,
   37,   38,   39,   40,   41,    0,   42,   43,   44,   45,
   46,   47,   48,   49,    2,    3,    4,    5,    6,    7,
    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,
  569,   19,   20,   21,   22,   23,   24,   25,   26,   27,
   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,
   38,   39,   40,   41,    0,   42,   43,   44,   45,   46,
   47,   48,   49,  609,    0,    0,    0, 1183,  796,  794,
    0,  795,    0,  797,  609,    0,    0,    0, 1185,  796,
  794,    0,  795,    0,  797,  609,    0,    0,    0,  612,
  796,  794, 1514,  795,    0,  797,    0,  609,  570,    0,
  612, 1190,  796,  794,    0,  795,    0,  797,  609,    0,
    0,  612, 1192,  796,  794,    0,  795,    0,  797,    0,
  798,    0,    0,  612,    0,    0,    0,    0,    0,   95,
  609,  798,    0,    0,  612,  796,  794, 1515,  795,    0,
  797,    0,  798,    0,    0,  609,    0,  570,    0, 1199,
  796,  794,    0,  795,  798,  797,  612,    0,  609,    0,
    0,    0, 1201,  796,  794,  798,  795,    0,  797,  609,
    0,  612,    0, 1203,  796,  794,    0,  795,   95,  797,
    0,    0,    0,  609,  612,    0,    0,  798,  796,  794,
 1205,  795,    0,  797,  318,  612,    0,    0,    0,    0,
    0,    0,  798,    0,    0,    0,    0,    0,    0,  612,
    0,  571,    0,    0,    0,  798,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,  798,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
  798,    0,    0,  318,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,  140,  141,    0,    0,    0,    0,
  691,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,  609,    0,    0,    0,    0,  796,  794, 1207,
  795,    0,  797,  145,  146,  147,  148,  149,  150,  151,
  597,  598,  599,  600,  601,  602,  603,  604,  612,    0,
    0,    0,    0,  140,  141,  597,  598,  599,  600,  601,
  602,  603,  604,  609,    0,    0,    0,    0,  796,  794,
 1209,  795,    0,  797,    0,    0,    0,    0,    0,  798,
    0,    0,  145,  146,  147,  148,  149,  150,  151,  612,
    0,    0,    0,    0,    0,  609,  572,  161,  162,    0,
  796,  794, 1211,  795,    0,  797,    0,    0,  164,    0,
  166,  167,  168,  169,  170,  171,    0,    0,  609,    0,
  798,  612, 1213,  796,  794,    0,  795,  609,  797,    0,
    0, 1215,  796,  794,    0,  795,    0,  797,    0,    0,
    0,    0,    0,    0,  612,  572,  161,  162,    0,    0,
    0,    0,  798,  612,    0,    0,    0,  164,    0,  166,
  167,  168,  169,  170,  171,    0,    0,    0,    0,    0,
    0,    0,  609,    0,    0,  798,    0,  796,  794, 1517,
  795,  609,  797,    0,  798, 1219,  796,  794,    0,  795,
    0,  797,    0,    0,    0,    0,    0,    0,  612,    0,
    0,    0,    0,    0,  609,    0,    0,  612, 1221,  796,
  794,    0,  795,    0,  797,    0,    0,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,  798,
  612,  609,    0,    0,    0, 1223,  796,  794,  798,  795,
    0,  797,    0,    0,    0,    0,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,  612,  609,    0,
    0,  798, 1225,  796,  794,    0,  795,  609,  797,    0,
    0,    0,  796,  794,    0,  795,    0,  797,    0,    0,
    0,  609,    0,    0,  612, 1368,  796,  794,  798,  795,
  609,  797,    0,  612, 1370,  796,  794,    0,  795,    0,
  797,    0,    0,    0,  609,    0,    0,  612, 1372,  796,
  794,    0,  795,    0,  797,  798,  612,    0,    0,    0,
    0,    0,    0, 1520,  798,    0,    0,  609,    0,    0,
  612, 1374,  796,  794,    0,  795,  609,  797,  798,    0,
 1376,  796,  794,    0,  795,    0,  797,  798,    0,    0,
  609,    0,    0,  612, 1378,  796,  794,    0,  795,  609,
  797,  798,  612,    0,  796,  794, 1521,  795,    0,  797,
    0,    0,    0,    0,    0,    0,  612,    0,    0,    0,
    0,    0,    0,    0,  798,  612,    0,    0,    0,    0,
    0,    0,    0,  798,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  798,    0,    0,
    0,    0,    0,    0,    0,    0,  798,  597,  598,  599,
  600,  601,  602,  603,  604,    0,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,    0,    0,    0,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0,    0,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,  609,    0,    0,    0,    0,
  796,  794,    0,  795,  609,  797,    0,    0,    0,  796,
  794, 1528,  795,    0,  797,    0,    0,  609,    0,    0,
    0,  612,  796,  794, 1543,  795,    0,  797,  609,    0,
  612,    0,    0,  796,  794, 1561,  795,    0,  797,  609,
    0,    0,    0,  612,  796,  794, 1564,  795,    0,  797,
    0, 1522,  798,    0,  612,    0,    0,    0,    0,    0,
    0,  798,    0,    0,    0,  612,    0,    0,    0,    0,
    0,    0,    0,    0,  798,    0,  597,  598,  599,  600,
  601,  602,  603,  604,  609,  798,    0,    0,    0,  796,
  794, 1565,  795,    0,  797,    0,  798,    0,    0,    0,
    0,  609,    0,    0,    0,    0,  796,  794, 1572,  795,
  612,  797,    0,    0,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,    0,  612,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  609,    0,    0,
    0,  798,  796,  794, 1583,  795,    0,  797,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0,  798,    0,
    0,    0,    0,  612,    0,    0,    0,    0,    0,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
    0,  609,    0,    0,  798, 1601,  796,  794,    0,  795,
    0,  797,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  612,    0,    0,
    0,    0,    0,    0,    0,    0,  597,  598,  599,  600,
  601,  602,  603,  604,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,  609,    0,    0,  798, 1603,
  607,  605,    0,  606,    0,  608,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
    0,  612,  609,    0,    0,    0, 1605,  607,  605,    0,
  606,    0,  608,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,    0,    0,    0,    0,  612,    0,
    0,    0,  610,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,  597,  598,  599,  600,  601,  602,  603,  604,  610,
    0,    0,    0,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,    0,    0,    0,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,  597,  598,  599,  600,  601,  602,  603,
  604,  609,    0,    0,    0,    0,  796,  794, 1611,  795,
  609,  797,    0,    0,    0,  796,  794, 1612,  795,    0,
  797,    0,    0,    0,  609,    0,    0,  612, 1613,  796,
  794,    0,  795,  609,  797,    0,  612, 1615,  796,  794,
    0,  795,    0,  797,    0,    0,    0,  609,    0,    0,
  612, 1617,  796,  794,    0,  795,  609,  797,  798,  612,
 1619,  607,  605,    0,  606,    0,  608,  798,    0,    0,
  609,    0,    0,  612, 1621,  607,  605,    0,  606,  609,
  608,  798,  612,    0,  796,  794, 1636,  795,    0,  797,
  798,    0,  609,    0,    0,    0,  612,  796,  794, 1641,
  795,    0,  797,    0,  798,  612,    0,    0,    0,  609,
    0,    0,    0,  610,  796,  794, 1644,  795,  612,  797,
  609,    0,    0,    0,    0,  796,  794,  610,  795,    0,
  797,    0,    0,    0,    0,  612,  798,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  612,    0,    0,  798,
    0,    0,  609,    0,    0,    0,    0,  796,  794, 1647,
  795,    0,  797,    0,    0,    0,  798,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1648,  798,  612,  597,
  598,  599,  600,  601,  602,  603,  604,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,  798,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,    0,    0,  609,    0,    0,    0,
    0,  796,  794, 1649,  795,    0,  797,    0,    0,    0,
  609,    0,    0,    0,    0,  796,  794, 1654,  795,    0,
  797,    0,  612,    0,    0,    0,    0,    0,  597,  598,
  599,  600,  601,  602,  603,  604,  612,    0,    0,    0,
    0,    0,    0,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,  798,  609,    0,    0,    0,    0,  796,
  794, 1656,  795,  609,  797,    0,    0,  798,  796,  794,
 1660,  795,    0,  797,    0,    0,    0,    0,    0,    0,
  612,  597,  598,  599,  600,  601,  602,  603,  604,  612,
  609,    0,    0,    0, 1669,  796,  794,    0,  795,  609,
  797,    0,    0, 1671,  796,  794,    0,  795,    0,  797,
    0,  798,    0,    0,    0,    0,  612,    0,  609,    0,
  798,    0,    0,  796,  794,  612,  795,    0,  797,    0,
    0,    0,    0,    0,    0,  597,  598,  599,  600,  601,
  602,  603,  604,  609,  612,    0,    0,  798,  796,  794,
 1674,  795,  609,  797,    0,    0,  798,  796,  794, 1687,
  795,    0,  797,    0,    0,    0,    0,    0,    0,  612,
    0,    0,    0,    0, 1673,  798,  609,    0,  612,    0,
    0,  796,  794, 1693,  795,    0,  797,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0,  609,    0,
  798,    0,  612,  796,  794, 1694,  795,    0,  797,  798,
    0,    0,    0,    0,    0,    0,  597,  598,  599,  600,
  601,  602,  603,  604,  612,    0,    0,    0,    0,    0,
  609,    0,    0,  798,    0,  796,  794, 1700,  795,  609,
  797,    0,    0, 1704,  796,  794,    0,  795,    0,  797,
    0,    0,    0,  609,    0,  798,  612, 1705,  796,  794,
    0,  795,  609,  797,    0,  612,    0,  796,  794,    0,
  795,    0,  797,    0,    0,  609,    0,    0,    0,  612,
  796,  794, 1711,  795,    0,  797,    0,  798,  612,    0,
    0,    0,    0,    0,    0,    0,  798,  609,    0,    0,
    0,  612,  796,  794, 1715,  795,    0,  797,    0,    0,
  798, 1180,  623,  621,    0,  622,  609,  624, 1710,  798,
    0,  796,  794,  612,  795,    0,  797,    0,    0,  609,
    0,    0,  798,  627,  796,  794, 1717,  795,    0,  797,
    0,    0,  612,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  798,  612,    0,    0,    0,    0,
    0,    0,    0,    0,  625,  597,  598,  599,  600,  601,
  602,  603,  604,  798,  597,  598,  599,  600,  601,  602,
  603,  604,    0,    0,    0,    0,  798,    0,  597,  598,
  599,  600,  601,  602,  603,  604,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,    0,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,    0,    0,  597,  598,  599,  600,
  601,  602,  603,  604,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0, 1182,  623,  621,    0,  622,  609,  624,
    0,    0,    0,  796,  794, 1721,  795,    0,  797,    0,
    0,    0,    0,    0,    0,  627,  597,  598,  599,  600,
  601,  602,  603,  604,  612,  609,    0,    0,    0,    0,
  796,  794, 1723,  795,  609,  797,    0,    0,    0,  796,
  794,    0,  795,    0,  797,    0,  625,    0,    0,    0,
    0,  612,    0,  609,    0,  798,    0,    0,  796,  794,
  612,  795,    0,  797,    0,    0,  609,    0,    0,    0,
    0,  796,  794, 1743,  795,    0,  797,    0,    0,  612,
    0,    0,  798,    0,    0,    0,    0,    0,    0,    0,
 1725,  798,  612,    0,    0,    0,    0,    0,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
  798,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,  609,  798,    0,    0,    0,  796,  794, 1747,
  795,  609,  797,    0,    0,    0,  796,  794, 1749,  795,
    0,  797,    0,    0,    0,    0,    0,    0,  612,    0,
    0,    0,    0,    0,    0,    0,    0,  612,  597,  598,
  599,  600,  601,  602,  603,  604,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,  698,    0,    0,  798,
    0,  698,  698,  698,  698,    0,  698,    0,  798,    0,
    0,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,  698,  597,  598,  599,  600,  601,  602,  603,
  604,  609,    0,    0,    0,    0,  607,  605,    0,  606,
    0,  608,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,  698,    0,    0,    0,  612,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,  597,  598,  599,  600,
  601,  602,  603,  604,    0,    0,    0,    0,  610, 1184,
  623,  621,    0,  622,    0,  624,    0,    0,    0,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,  627,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  625,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  597,  598,  599,  600,  601,  602,
  603,  604,    0,  597,  598,  599,  600,  601,  602,  603,
  604,    0,    0,    0,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,  597,  598,  599,  600,
  601,  602,  603,  604,    0,    0,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,    0, 1186,  623,
  621,    0,  622,    0,  624,    0,    0,    0,    0,    0,
    0,  597,  598,  599,  600,  601,  602,  603,  604,    0,
  627,  613,  614,  615,  616,  617,  618,  619,  620,    0,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0,    0,    0,  597,  598,  599,  600,  601,  602,  603,
  604,  625, 1191,  623,  621,    0,  622,    0,  624,    0,
 1193,  623,  621,    0,  622,    0,  624,    0,    0, 1200,
  623,  621,    0,  622,  627,  624,    0, 1202,  623,  621,
    0,  622,  627,  624,    0,    0, 1204,  623,  621,    0,
  622,  627,  624,    0, 1214,  623,  621,    0,  622,  627,
  624,    0,    0,    0,    0,  625,    0,    0,  627,    0,
    0,    0,    0,  625,    0,    0,  627,    0,    0, 1216,
  623,  621,  625,  622,    0,  624,    0, 1220,  623,  621,
  625,  622,    0,  624,    0,    0, 1222,  623,  621,  625,
  622,  627,  624,    0, 1224,  623,  621,  625,  622,  627,
  624,    0,    0,    0,    0, 1736,    0,    0,  627,    0,
    0,    0,    0,    0,    0,    0,  627,    0,    0, 1226,
  623,  621,  625,  622,    0,  624,    0, 1369,  623,  621,
  625,  622,    0,  624,    0,    0,    0,    0,    0,  625,
    0,  627,    0,    0,    0,    0,    0,  625,    0,  627,
    0,    0,    0,  613,  614,  615,  616,  617,  618,  619,
  620,    0,  597,  598,  599,  600,  601,  602,  603,  604,
    0,    0,  625,    0,    0, 1371,  623,  621,    0,  622,
  625,  624,    0,    0,    0,    0,    0,    0,    0,  597,
  598,  599,  600,  601,  602,  603,  604,  627,  597,  598,
  599,  600,  601,  602,  603,  604,    0, 1373,  623,  621,
    0,  622,    0,  624,    0,    0,    0,  597,  598,  599,
  600,  601,  602,  603,  604,    0,    0,    0,  625,  627,
  597,  598,  599,  600,  601,  602,  603,  604,    0,    0,
    0, 1375,  623,  621,    0,  622,    0,  624,    0,    0,
 1377,  623,  621,    0,  622,    0,  624,    0,    0,    0,
  625,    0,    0,  627,    0,    0,    0,    0,    0,    0,
    0,    0,  627,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  597,  598,  599,  600,
  601,  602,  603,  604,  625,  597,  598,  599,  600,  601,
  602,  603,  604,  625, 1379,  623,  621,    0,  622,    0,
  624,    0, 1602,  623,  621,    0,  622,    0,  624,    0,
    0,    0,    0,    0,    0,    0,  627,    0,    0,    0,
    0, 1604,  623,  621,  627,  622,    0,  624,    0,    0,
  698,  698,  698,  698,  698,  698,  698,  698, 1606,  623,
  621,    0,  622,  627,  624,    0,    0,  625,    0,    0,
    0,    0,    0,    0,    0,  625,    0, 1614,  623,  621,
  627,  622,    0,  624,    0,  597,  598,  599,  600,  601,
  602,  603,  604,    0,  625,    0, 1616,  623,  621,  627,
  622,    0,  624,    0, 1618,  623,  621,    0,  622,    0,
  624,  625,    0, 1620,  623,  621,    0,  622,  627,  624,
    0,    0,    0,    0,    0,    0,  627,    0,    0,    0,
  625,    0, 1622,  623,  621,  627,  622,    0,  624,  613,
  614,  615,  616,  617,  618,  619,  620,    0,    0,  625,
  623,  621, 1188,  622,  627,  624,    0,  625,  623,  621,
 1195,  622,    0,  624,    0,    0,  625,  623,  621, 1206,
  622,  627,  624,    0,    0,  623,  621, 1208,  622,  627,
  624,    0,    0,    0,    0,  625,    0,    0,  627,    0,
  623,  621, 1210,  622,    0,  624,  627,    0,    0,    0,
    0,    0,  625,  623,  621, 1212,  622,    0,  624,    0,
  625,  627,    0,    0,    0,  623,  621, 1218,  622,  625,
  624,    0,    0,    0,  627,  623,  621,  625,  622,    0,
  624,    0,    0,    0,    0,    0,  627,    0,    0,    0,
    0, 1382,  625,    0,    0,    0,  627,  623,  621,    0,
  622,    0,  624,    0,    0,  625,    0,    0,  613,  614,
  615,  616,  617,  618,  619,  620,    0,  625,  627,    0,
    0,    0,    0,    0,    0,    0,    0,  625,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  625,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  250,  613,  614,  615,  616,  617,  618,  619,  620,
  613,  614,  615,  616,  617,  618,  619,  620,    0,  613,
  614,  615,  616,  617,  618,  619,  620,  613,  614,  615,
  616,  617,  618,  619,  620,  362,  613,  614,  615,  616,
  617,  618,  619,  620,  613,  614,  615,  616,  617,  618,
  619,  620,    0,    0,    0,    0,  363,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  613,
  614,  615,  616,  617,  618,  619,  620,  613,  614,  615,
  616,  617,  618,  619,  620,    0,  613,  614,  615,  616,
  617,  618,  619,  620,  613,  614,  615,  616,  617,  618,
  619,  620,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  251,    0,    0,    0,    0,    0,  613,
  614,  615,  616,  617,  618,  619,  620,  613,  614,  615,
  616,  617,  618,  619,  620,  252,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  253,    0,
    0,    0,    0,  364,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  613,  614,  615,  616,  617,
  618,  619,  620,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  613,  614,  615,
  616,  617,  618,  619,  620,    0,    0,    0,    0,    0,
  254,  255,  256,  257,    0,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  613,  614,  615,  616,  617,  618,  619,  620,    0,
  613,  614,  615,  616,  617,  618,  619,  620,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  365,  366,  367,  368,
  369,  370,  371,  372,  373,  374,  375,  376,  377,  378,
  379,  380,  381,  382,  383,  384,  385,  386,  387,  388,
  389,  390,    0,    0,  613,  614,  615,  616,  617,  618,
  619,  620,  613,  614,  615,  616,  617,  618,  619,  620,
    0,    0, 1460,    0,    0,    0,    0,    0,    0,    0,
    0,  613,  614,  615,  616,  617,  618,  619,  620,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  613,  614,
  615,  616,  617,  618,  619,  620,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  613,  614,  615,
  616,  617,  618,  619,  620,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  613,  614,  615,  616,
  617,  618,  619,  620,  613,  614,  615,  616,  617,  618,
  619,  620,    0,  613,  614,  615,  616,  617,  618,  619,
  620,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  613,  614,  615,  616,  617,  618,  619,  620,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  613,
  614,  615,  616,  617,  618,  619,  620,  613,  614,  615,
  616,  617,  618,  619,  620,    0,  613,  614,  615,  616,
  617,  618,  619,  620,  613,  614,  615,  616,  617,  618,
  619,  620,    0,    0,    0,    0,    0,    0,    0,  613,
  614,  615,  616,  617,  618,  619,  620,    0,    0,    0,
    0,    0,  613,  614,  615,  616,  617,  618,  619,  620,
 1117,    0, 1118, 1119,  613,  614,  615,  616,  617,  618,
  619,  620,    0,    0,  613,  614,  615,  616,  617,  618,
  619,  620,    0,    0,  362,    0,    0, 1140,    0, 1141,
    0,    0, 1120,    0,    0,    0,  613,  614,  615,  616,
  617,  618,  619,  620,    0,  363,    0,    0,    0,    0,
    0,    0,    0, 1142,    0, 1121,    0,    0, 1143,    0,
    0,    0,    0,    0,    0,    0,    0, 1122,    0,    0,
  482,  483,  250, 1123,    0,    0,    0,    0,    0,    0,
    0,  484,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1144,    0, 1145,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1146,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1147,    0, 1124, 1148,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1149,    0,    0,
    0, 1150,  364,  485,    0,    0, 1125,    0,    0,    0,
    0,    0,    0,    0, 1126,    0,    0, 1127,  244,    0,
    0,  245, 1151,    0,    0,    0,    0,  244, 1128, 1129,
  245, 1130,    0, 1131,    0,    0,    0,    0,    0,    0,
    0, 1152, 1153,    0,  251,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  252,    0,    0,    0,
    0,    0,    0,    0,    0, 1154,    0, 1155,    0,  253,
    0,    0,    0,    0,    0, 1132,    0,    0,    0,    0,
 1156, 1157, 1133,    0, 1158,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1159,    0,    0,
    0, 1160,    0,    0,    0,    0, 1134,    0,    0,    0,
    0,    0,    0,    0,    0,  365,  366,  367,  368,  369,
  370,  371,  372,  373,  374,  375,  376,  377,  378,  379,
  380,  381,  382,  383,  384,  385,  386,  387,  388,  389,
  390,  254,  255,  256,  257,    0,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1161,
    0,    0,    0,    0,    0,    0,    0,    0, 1135,
};
short yycheck[] = {                                      52,
    0,  483,  640, 1340,  486,   10, 1340,  374,   61,  374,
  512,   46,  111,  867,   10,  283,  284,  499,  399,  503,
  324,  348,  324,   10,   46,  342,  390,  544,  390,   82,
  390,  391,   37,  390,   10,  134,   41,   42,   43,   44,
   45,  348,   47,  342,  324,   41,  324,  344,   44,   10,
  324,  309,  323,   58,  506,  360,   91,   46,   63,  327,
   40,   37,   58,  360,   64,  549,   42,   43,    0,   45,
  455,   47,   61,   10,  542,   75,  544,  390, 1130,  390,
   41,  419,   10,   44,  344,  537,  357,   63,  348,   94,
   42,   43,   10,   45,   94,   47,   96,   58,  582, 1151,
   37,  486,  419,  103,   41,   42,   43,   44,   45,   37,
   47,   63,  639,   41,   42,   43,   44,   45,   94,   47,
  419,   58,  639,  383,   42,   43,   63,   45,  128,   47,
   58,  131,  513,  460,  451,   63,  136,  639,  138,  503,
  338,  503,   94,  503,  504,   63,  503,  448,  308,  425,
  451,  427,  490,  460,  344,  336,  337,   94,  348,  540,
  465,  665,  666,  163,  164,  165,   94,  427,  465,  536,
  537,  536,  448,  490,  174,  451,   94,  298,  299,  300,
  301,  302,  303,  304,  305,  443,   40,  639,  446,  827,
  503,  490,  503,  383,  194,  195,  196,  197,  198,  199,
  200,  201,  202,  203,  204,  205,  206,  207,  208,  513,
   10,  513,  212,  213,  214,  215,  216,  217,  218,  219,
  220,  221,  222,  223,  224,  225,  424,   40, 1082,   40,
  142,  163,  164,  513,   46,  513,  543,  427,  419,  513,
  152,   41,  174,   43,   44,   45,  506,  407,  338,  409,
   46,  589,  590,  591,  592,   40,  343,  417,   58,  419,
  406,  348,  194,  195,  196,  197,  198,  199,  200,  201,
  202,  203,  204,  205,  206,  207,  208,   10,   40,   91,
  212,  213,  214,  215,  216,  217,  218,  219,  220,  221,
  222,  223,  224,  225,  454,   91,  383,  344,   46,  343,
  390,  376, 1639,   40,  348, 1639,  346,  546,   41,  490,
  385,   44,  332,  360,   63,   40,  506,   63,  516,   41,
   63,  321,  322,    0,   46,   58,  348,  525,   10,  329,
  490,  360,  639,  348,  424,   40,  575,   10,  425,  383,
  427,   37,  382,   91,  639,   94,   10,   40,   94,  402,
  390,   94,  405,   10,  535,   37,   40,  503,  348,   41,
   42,   43,   44,   45,   37,   47,   10,   63,   41,   42,
   43,   44,   45,  362,   47,   10,   58,   41,  538,  525,
   44,   63,  503,  427,   41,   58,   10,   44,   40,   40,
   63,  348,   40,  456,   58,  663,  416,   41,   94,  462,
   44,   58,  424,  425,  448,  427,   41,  451,  448,   44,
   40,  451,   94,  503,   58,   10,  484,   41,  465,  448,
   44,   94,  451,   58,  659,  660,  448,   61,  448,  451,
  445,  451,  421,   40,   58,  525,  465,  437,  438,  428,
   10,  528,   37,   40,   40,  460,   41,   42,   43,   44,
   45,   40,   47,  651, 1308,  445,   40,   91,   40,   42,
  639,   46,  502,   58,   47,   40,  664,   37,   63,  469,
  460,   41,   42,   43,   44,   45,   61,   47,  467,  639,
   63,   40,  661,  662,   40,   40,  163,  164,   58,  489,
   40,  448,   40,  493,  451,   40,   40,  174,   40,   94,
  500,   40,   40,  460,  348,  344,   91, 1145,  508,  529,
  530,   94,  639,  639,  639,  537,   40,  194,  195,  196,
  197,  198,  199,  200,  201,  202,  203,  204,  205,  344,
  207,  208,  554,  356,  344,  212,  213,  214,  215,  216,
  217,  218,  219,  220,  221,  222,  223,  224,  225,  348,
  649,   46,  552,  553,  554,  555,   40,  554,   40,  559,
  639,  651,  494,  639,  638,  544,   61,  567,  568,  427,
  502,  298,  299,  300,  301,  302,  303,  304,  305,  344,
  667,  668,   10,   40,   10,  344,  543,  587,  588,  589,
  590,  591,  592,  639,  503,  639,   91,  597,  598,  599,
  600,  601,  602,  603,  604,  605,  606,  607,  608,  609,
  610,  525,  612,   41,  344,   41,   44,   40,   44,   46,
   40,  621,  622,  623,  624,  625,  425,   10,  427,   40,
   58,  631,   58,  633,   61,  567,  641,  642,  643,  644,
  645,  646,  647,  648,  644,  641,  642,   40,  648,  448,
  650,   40,  451,   40, 1292,  587,  588,  589,  590,  591,
  592,  631,  632,  633,  634,  641,  642,  643,  644,  645,
  646,  647,  648,  605,  606,  607,  608,   40,  610,   40,
  641,  613,  614,  615,  616,  617,  618,  619,  620,  621,
  622,  623,  624,  625,   40,  627,   10,   10,   10,  631,
   10,   10,   10,  348,  641,  642,  643,  644,  645,  646,
  647,  648,   40,  641,  642,  643,  644,  645,  646,  647,
  648,   40,   10,  641,  642,  643,  644,  645,  646,  647,
  648,   10,  377,  639,  639,  639,  639,  506,   44,   46,
   10,  741,  742,  743,  744,  745,  746,  747,  748,  749,
  750,  751,  752,  753,  754,  755,  639,  757,  758,  759,
  760,  761,  762,  763,  764,  765,  766,  767,  768,  769,
  770,  639,   42,   43,  639,   45,  503,   47,   10,  639,
  425,  344,  427,  639,  784,   40,   10,  787,  788,  789,
  790,  791,  792,   63,  794,  795,  796,  797,  798,  799,
  800,   10,   40,  448,   40,   37,  451,   46,  639,   41,
   42,   43,   44,   45,   40,   47,  816, 1299,   42,   43,
   40,   45,   61,   47,   94,   40,   58,   40,   37,   40,
  830,   63,   41,   42,   43,   44,   45,   40,   47,   63,
   10,  641,  642,  643,  644,  645,  646,  647,  648,   58,
  782,  783,   91,   40,   63,   40,   40,   40,   40,   40,
   40,   40,   94,   40,   40,   40,   40,   37,   10,   40,
   94,   41,   42,   43,   44,   45,   40,   47,   40,   40,
   40,   40,   40,   40,  884,   94,   40,  639,   58,  639,
  567,   46,  892,   63,   46,   37,   46,   91,  898,   41,
   42,   43,   44,   45,   40,   47,   40,  434,  641,  642,
  587,  588,  589,  590,  591,  592,   58,   40,   40,  332,
  447,   63,   40,   40,   94,  322,  339,   46,  605,  606,
  607,  608,   44,  610,  534,  362,  613,  614,  615,  616,
  617,  618,  619,  620,  621,  622,  623,  624,  625,  506,
  627,  348,   94,  953,  631,  506,  639,  503,  958,  641,
  642,  643,  644,  645,  646,  647,  648,  639,  641,  642,
  643,  644,  645,  646,  647,  648,  421,  641,  642,  639,
  980,  348,  395,  396,  641,  642,  344,  504,  506,  989,
  517,  506,  639,  639,  421,   64,  639,  641,  642,  999,
  639,  428,  504,  639,  503,  503,  641,  642,  639, 1009,
  499,   80,  539,  499,   83,  506,   85,  641,  642,  432,
  433,  434,  639,  420,  639,   94,  639,   96,  425,  639,
  427,  639,  101,   10,  431,  639, 1089,  639,  376,   46,
  467,  639,  534,  344,  534,  114,  641,  642,  643,  644,
  645,  646,  647,  648,  344,  468,  394,  584,  385,  128,
   37,  639,  400,  401,  344,   42,   43,  999,   45, 1001,
   47,  641,  642,  643,  644,  645,  646,  647,  648,  639,
  344,  639,  503,  528,  506,  639,   63,  639,  157,  158,
  159, 1091,  639,  537,  344, 1095,  165,  510,  436,  437,
  503,  546,  547,  500,  517,  518,  298,  299,  300,  301,
  302,  303,  304,  305,  183, 1115,  639,   94, 1118, 1119,
  639,  448,  191,  639,  451,  639, 1126, 1127, 1128, 1129,
  575,  576,  577,  578,  579,  580,  581,  503,  476,  639,
  478,  554,  639,   37,  471,  558,  421,   40,   42,   10,
  425,   37,  427,   47,  639,   46,   42, 1157, 1158,   10,
  639,   47,  639,  639,  639,  234,  639,  639,  639,   63,
  639,  639,  241, 1173,  639,  639,   37,   63,  639,  639,
   41,   42,   43,   44,   45,  639,   47, 1187, 1188,  639,
  639,   42,   43,   37,   45,   63,   47,   58,   42,   43,
   94,   45,   63,   47,  639, 1205, 1206, 1207,   94, 1209,
  537, 1211,   63,   46,  639,  639,  491, 1217, 1218,   63,
   42,   43,  639,   45,  639,   47,   10,  554,  376,  639,
  639,   63,  639,   94,  639,  343,  344,  639,  503,  344,
  348,   63, 1174,   94,  639,  639,  394,  639,   41,  283,
   94,  503,  400,  401,  503, 1187, 1188,   41,   42,   43,
   44,   45,  537,   47,   44,   44,  503,  639,  639,  639,
  639,  639,   94,  503,   58,  383, 1208,  639, 1210,   63,
 1212,  315,  316,  639,  503, 1217, 1218,  639,  436,  437,
  639,   44,  639,   44,  639,  329,  639,  639,  639,  639,
 1300,   44,  639,   44, 1304,  639,  414,  639,  639,  417,
   94,  503,  344,  639,  639,  639,  390,   10,   44,  427,
 1320,  344,  639,  639, 1324,  503,  395,  344,  476,  344,
  478, 1331, 1332, 1333,  421,  404, 1336,  406, 1338, 1339,
  503, 1341,   44,   61,   37, 1345,  415,   44,   41,   42,
   43,   44,   45,  344,   47,   46,  425,   10,  466, 1359,
   61, 1361,  639,  506,   44,   58,  639,  639,  639,  344,
 1302,  641,  642,  643,  644,  645,  646,  647,  648,  639,
 1380, 1381,  344,  452,   37,   44,  534,   44,   41,   42,
   43,   44,   45,  639,   47,  639,   44,  639,  639,  639,
   93,   94,   44,   44,  639,   58, 1406, 1339,  639,  641,
  642,  643,  644,  645,  646,  647,  648,  641,  642,  643,
  644,  645,  646,  647,  648,  639,  506,  639,   44,  639,
  499,  639,  641,  642,  643,  644,  645,  646,  647,  648,
  639,   94,  639,  639,  639,  344,  639,  506,   10,  639,
 1382,  639,  344, 1453,   44,   41,   44,   46,  527,  546,
  547,  534,   44,  503,  534,  503,  639,  536,  385,  503,
  504,  641,  642,  643,  644,  645,  646,  647,  648,   41,
   42,   43,   44,   45,  503,   47,  639,   61,  575,  576,
  577,  578,  579,  580,  581,  639,   58, 1174,  639,  641,
  642,  643,  644,  645,  646,  647,  648,  639,  639,  639,
 1187, 1188,  639,  639, 1514,  549,  550, 1517,  639, 1519,
   46, 1521,   61,  639,  639,  639,  639,  344, 1528,  639,
  639, 1208,   94, 1210,   10, 1212,  639,  639,  639,  639,
 1217, 1218,  639, 1543,  639,  639,  639,  639,  582,  583,
  639,  639,   41,  587,  588,  639,  639,  639,  331,   41,
  639,   37,  639,  639, 1564, 1565,   42,   43,  639,   45,
 1570,   47, 1572,  639,  639,  348, 1576,  639,  639,  639,
   44,  639,  639, 1583,   44,  639, 1518,   63,  281,  639,
  283,  284,  661,  390,  663,  664,   41,  639,   44,  344,
   10,   44,   46,  390,  377,   41,  639,  344,   41,   44,
   41, 1611, 1612,  639,  421,  639,   41,   44,   94,  639,
  313,  503,   46,  639,  317,   46,  319,   37,  344,   61,
   41,   41,   42,   43,   44,   45, 1636,   47, 1638, 1571,
 1640, 1641,   44,  336, 1644,  639,  503, 1647,   58, 1649,
  343,   41,  425,  503,  427,  348, 1656,   44,  639,  639,
 1660,  354, 1339,   61,  641,  642,  643,  644,  645,  646,
  647,  648, 1672,  639, 1674,  448,  639,   10,  451,  639,
   44,   41,   41,   93,   94,   41,   41, 1687,  639,  639,
  383, 1691,  385, 1693, 1694,   44,   10,   41,    0,   10,
 1700,   10,   10,   10,  397, 1382, 1638,   10,   41,   10,
   43,   44,   45,   10,  407, 1715,   10, 1717,   10,   10,
   10,  414,   10,   37,  417,   58, 1726,   41,   42,   43,
   44,   45,   10,   47,  427,   10, 1736,   10,  431,  546,
  547,   10,  435, 1743,   58,  438,   10, 1747,   10, 1749,
   41,   10,   43,   44,   45,  448,  449,  450,  451,  452,
   10,  454,   10,   10,  537,   10,   10,   58,  575,  576,
  577,  578,  579,  580,  581,   10,   10,   10,  471,  472,
  641,  642,  643,  644,  645,  646,  647,  648,   10,   10,
  641,  642,  643,  644,  645,  646,  647,  648,  867,  643,
  644,  645,  646,  647,  648,   10,   10,   10,   10,   10,
   10,   10,  505,  506,  507,   10,   10,   10,   10,   10,
  513,  643,  644,  645,  646,  647,  648,  520,  521,   10,
   10,  524,   10,   10,   10,   37,  529,   10,   10,   41,
   42,   43,   44,   45,  537,   47,   10,   10,  541,   41,
   42,   43,   44,   45,   10,   47,   58,  641,  642,  643,
  644,  645,  646,  647,  648,   10,   58,   10,   10,   10,
   10,  281,   37,  283,  284,   10,   41,   42,   43,   10,
   45,   10,   47,   10,   10,   10,   10,   10,  546,  547,
   10,   10,   94,   10,   10,  478, 1147,  580,   63,   86,
  415,   86,   94,  313, 1138, 1163,   37,  317,   -1,  319,
   41,   42,   43,   44,   45,   -1,   47,  575,  576,  577,
  578,  579,  580,  581,   -1,   -1,  336,   58,   -1,   94,
   -1,   -1,   -1,  343,   -1,   10,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,   -1,  639,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1, 1638,   93,   -1,   -1,   -1,   41,   42,   43,   44,
   45,   -1,   47,  383,   -1,  385,   -1,   -1,   -1,   10,
   -1,   -1,   -1,   58,   -1,   -1,   -1,  397,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  407,   -1,   -1,
   -1,   -1,   10,   -1,  414,   -1,   -1,  417,   -1, 1078,
   41,   42,   43,   44,   45,   -1,   47,  427,   -1,   -1,
   -1,  431,   -1,   -1,  343,  435,   -1,   58,  438,  348,
   -1,   -1,   63,   41,   -1,   43,   44,   45,  448,  449,
  450,  451,  452,   -1,  454,   -1,   -1,   -1, 1117,   -1,
   58, 1120,   -1,   -1,   -1,   -1,   -1, 1126, 1127,   -1,
   -1,  471,  472,   94,  383,   -1,   -1,   10,   -1, 1138,
   -1,   -1,   -1,   -1,  393,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   10,   -1,   -1, 1163,  505,  506,  507,   41,   42,
   43,   44,   45,  513,   47,   -1,  425,   -1,  427,   -1,
  520,  521,   -1,   -1,  524,   58,   -1,   -1,   -1,  529,
   63,   -1,   41,   42,   43,   44,   45,  537,   47,  448,
   -1,  541,  451,   -1,   -1,   -1,   -1,   37,   -1,   58,
   -1,   -1,   42,   43,   63,   45,   -1,   47,   -1,   -1,
  281,   94,  283,  284,   -1,   41,   42,   43,   10,   45,
   -1,   47,   -1,   63,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   94,   -1,   63,   -1,   -1,
   -1,   -1,  313,   -1,   -1,   37,  317,   -1,  319,   41,
   42,   43,   44,   45,   94,   47,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  336,   58,   -1,   94,   -1,
   -1,   -1,  343,   -1,   10,   -1,   -1,  348,   -1,   -1,
   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,  639,
 1299,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   93,   -1,   -1,   -1,   41,   42,   43,   44,   45,
   -1,   47,  383,   -1,  385,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   58,   -1,   -1,   -1,  397,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,   -1,
   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,   -1,
   -1,   10,   -1,   -1,   -1,   -1,  427,   -1,   -1,   -1,
  431,   -1,   -1,   -1,  435,   -1,   -1,  438,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  448,  449,  450,
  451,  452,   41,  454,   43,   44,   45,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   58,
  471,  472,   -1,   -1,   -1,   -1,   10,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1, 1433,   -1,   -1,   -1,   10,   -1,
   -1, 1440,   -1,   37,  505,  506,  507,   41,   42,   43,
   44,   45,  513,   47,   -1,   -1,   -1,   -1,   -1,  520,
  521,   -1,   -1,  524,   58,   -1,   -1,   -1,  529,   41,
   42,   43,   44,   45,   -1,   47,  537,   -1,   -1,   -1,
  541,   -1,   -1,   -1,   -1,   -1,   58,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  281,
   -1,  283,  284,   -1,   -1,   -1,   -1,   10,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  313,   -1,   -1,   37,  317,   -1,  319,   41,   42,
   43,   44,   45,   -1,   47,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  336,   58,   -1,   -1,   -1,   -1,
   -1,  343,   -1,   10,   -1,   -1,  348,   -1,   -1,   -1,
   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,  639,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   93,   -1,   -1,   -1,   41,   42,   43,   44,   45,   -1,
   47,  383,   -1,  385,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   58,   -1,   -1,   -1,  397,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,   -1,   -1,
   -1,   -1,  414,   -1,   -1,  417,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  427,   -1,   -1,   -1,  431,
   -1,   -1,   -1,  435,   -1,   -1,  438,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  471,
  472,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   10,
   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   -1,  524,   -1,   -1,   -1,   -1,  529,   -1,   -1,
   -1,   -1,   10,   -1,   -1,  537,   -1,   -1,   -1,  541,
   41,   42,   43,   44,   45,   -1,   47,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   58,  281,   37,
  283,  284,   -1,   -1,   42,   43,   10,   45,   -1,   47,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   41,   42,   43,   -1,   45,   63,   47,   -1,   -1,   -1,
  313,   -1,   -1,   37,  317,   -1,  319,   41,   42,   43,
   44,   45,   63,   47,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  336,   58,   -1,   94,   -1,   -1,   10,
  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,
   -1,  354,   -1,   94,   -1,   -1,   -1,  639,   10,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   93,
   41,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
  383,   -1,  385,   -1,   -1,   -1,   -1,   58,   -1,   41,
   42,   43,   44,   45,  397,   47,   -1,   37,   -1,   -1,
   -1,   41,   42,   43,  407,   45,   58,   47,   -1,   -1,
   -1,  414,   -1,   -1,  417,  641,  642,  643,  644,  645,
  646,  647,  648,   63,  427,   -1,   -1,   -1,  431,   -1,
   -1,   10,  435,   -1,   -1,  438,   -1,   -1,   -1,   10,
   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,
   -1,  454,   -1,   10,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   41,   -1,   43,   44,   45,   -1,  471,  472,
   41,   42,   43,   44,   45,   -1,   47,   -1,   -1,   58,
   37,   -1,   -1,   -1,   -1,   42,   43,   58,   45,   -1,
   47,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,  505,  506,  507,   -1,   63,   -1,   -1,   -1,
  513,   -1,   -1,   -1,   93,   -1,   -1,  520,  521,   -1,
   -1,  524,   -1,   -1,   -1,   -1,  529,   -1,   -1,   -1,
   10,   -1,   -1,   -1,  537,   -1,   -1,   94,  541,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   10,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,  281,   -1,  283,
  284,   41,   42,   43,   44,   45,   -1,   47,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   41,   58,   43,
   44,   45,   -1,   -1,   -1,   42,   43,   -1,   45,  313,
   47,   -1,   -1,  317,   58,  319,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   -1,  336,   -1,   -1,   10,   -1,   -1,   -1,  343,
   -1,   -1,   -1,   -1,  348,   10,   -1,   -1,   -1,   -1,
  354,   -1,   -1,   10,   -1,   -1,  639,   94,  641,  642,
  643,  644,  645,  646,  647,  648,   41,   -1,   43,   44,
   45,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,  383,
   45,  385,   47,   58,   -1,   42,   43,   -1,   45,   -1,
   47,   -1,   -1,  397,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,  407,   -1,   10,   63,   -1,   -1,   -1,
  414,   -1,   -1,  417,  641,  642,  643,  644,  645,  646,
  647,  648,  281,  427,  283,  284,   -1,  431,   10,   94,
   -1,  435,   -1,   -1,  438,   -1,   41,   94,   43,   44,
   45,   -1,   -1,   -1,  448,  449,  450,  451,  452,   -1,
  454,   -1,   -1,   58,  313,   -1,   -1,   -1,  317,   41,
  319,   43,   44,   45,   37,   -1,   -1,  471,  472,   42,
   43,   44,   45,   -1,   47,   -1,   58,  336,   -1,   -1,
   -1,   -1,   -1,   -1,  343,   -1,   37,   -1,   -1,  348,
   63,   42,   43,   44,   45,  354,   47,   -1,   -1,   -1,
   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,  513,
   -1,   93,   63,   -1,   -1,   -1,  520,  521,   -1,   -1,
  524,   94,   -1,   -1,  383,  529,  385,   -1,   -1,   -1,
   -1,   -1,   -1,  537,   -1,   -1,   -1,  541,  397,   -1,
   -1,   -1,   -1,   94,   46,   -1,   -1,   -1,  407,   -1,
   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,   -1,
   -1,   -1,  431,   -1,   -1,   -1,  435,   -1,   -1,  438,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  448,
  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  639,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  505,  506,  507,   -1,
   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,
   -1,  520,  521,   -1,   -1,  524,   -1,   -1,   -1,   -1,
  529,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,   -1,
   -1,   -1,  541,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  281,
   -1,  283,  284,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,  313,   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,
   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  639,  283,  641,  642,  643,  644,  645,  646,  647,  648,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,  383,   -1,  385,  641,  642,  643,  644,  645,  646,
  647,  648,   10,   -1,   -1,  397,   -1,   -1,   -1,   -1,
   -1,   37,   -1,  325,   -1,  407,   42,   43,   44,   45,
  332,   47,  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   41,   -1,  427,   44,   63,   -1,  431,
   -1,   -1,   -1,  435,   -1,   -1,  438,   -1,   -1,   -1,
   58,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,   -1,   -1,   -1,  379,   94,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  471,
  472,   -1,   -1,   -1,   -1,   93,  398,  641,  642,  643,
  644,  645,  646,  647,  648,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,  416,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   -1,
   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   -1,  524,   -1,   -1,   -1,  448,  529,   37,  451,
   -1,   -1,   41,   42,   43,  537,   45,   -1,   47,  541,
   -1,   10,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   63,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   41,   -1,   -1,   44,   -1,   -1,   -1,   -1,
   -1,   -1,  504,   -1,   -1,   94,   -1,   -1,   -1,   58,
   -1,   -1,   -1,   -1,   -1,  517,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  537,  641,  642,  643,  644,
  645,  646,  647,  648,   93,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  281,   -1,  283,  284,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  313,   -1,   -1,   -1,  317,
   -1,  319,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,  336,   47,
   -1,   -1,   -1,   10,   -1,  343,   -1,   -1,   -1,   -1,
  348,   -1,   -1,   -1,   -1,   63,  354,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   41,   -1,   -1,   44,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  383,   94,  385,   -1,   -1,
   -1,   58,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  397,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,
   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,   -1,   -1,   93,   -1,   -1,  427,
   -1,   -1,  281,  431,  283,  284,   -1,  435,   -1,   -1,
  438,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  313,   -1,   -1,   -1,  317,   -1,
  319,   -1,   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  336,   -1,   -1,
   -1,   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,
   -1,   -1,   -1,   -1,   10,  354,   -1,  505,  506,  507,
   -1,   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,
   -1,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,   -1,
   -1,  529,   -1,   -1,  383,   41,  385,   -1,   44,  537,
   -1,   37,   -1,  541,   -1,   -1,   42,   43,  397,   45,
   -1,   47,   58,   -1,   -1,   -1,   -1,   -1,  407,   -1,
   -1,   -1,   -1,   -1,   -1,  414,   -1,   63,  417,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,   -1,
   -1,   -1,  431,  348,  349,   -1,  435,   93,   -1,  438,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,  448,
  449,  450,  451,  452,   -1,  454,  371,   -1,   -1,   -1,
   -1,   -1,  377,   -1,  281,   -1,  283,  284,  383,   -1,
  385,   -1,  471,  472,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,  404,
   -1,  639,   -1,  641,  642,   -1,  313,   -1,   -1,   -1,
  317,   -1,  319,   -1,   -1,   -1,  505,  506,  507,   -1,
  425,   -1,  427,   -1,  513,   -1,   -1,   -1,   -1,  336,
   -1,  520,  521,   -1,  439,  524,  343,   -1,   10,   -1,
  529,  348,   -1,  448,   -1,   -1,  451,  354,  537,   37,
   -1,   -1,  541,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,  471,   -1,   -1,   41,
   -1,   -1,   44,   -1,   -1,   63,  383,   10,  385,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   58,   -1,   -1,   -1,
  397,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  407,  506,  507,   -1,   -1,   -1,   94,  414,   41,   -1,
  417,   44,  641,  642,  643,  644,  645,  646,  647,  648,
  427,   93,   -1,  528,  431,   58,   -1,   -1,  435,   -1,
   -1,  438,  537,   -1,   -1,  281,   -1,  283,  284,   -1,
   -1,  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,
  639,   -1,  641,  642,   -1,   -1,   -1,   41,   42,   43,
   93,   45,   -1,   47,  471,  472,  571,  313,   -1,   -1,
   -1,  317,   -1,  319,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  336,   -1,   -1,   -1,   -1,   -1,   -1,  343,  505,  506,
  507,   -1,  348,   -1,   -1,   -1,  513,   -1,  354,   -1,
   94,   -1,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,
   -1,   -1,  529,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  537,   -1,   -1,   -1,  541,   -1,   -1,  383,   -1,  385,
   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,   41,   42,
   43,  397,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,
   63,  417,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  427,   -1,   -1,   -1,  431,   -1,   -1,   -1,  435,
   10,   -1,  438,  641,  642,  643,  644,  645,  646,  647,
  648,   94,  448,  449,  450,  451,  452,   -1,  454,  281,
   -1,  283,  284,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   41,   -1,   -1,   44,  471,  472,   -1,   -1,   -1,
   -1,   -1,  639,   -1,  641,  642,   -1,   -1,   58,   -1,
   -1,  313,   -1,   -1,   -1,  317,   -1,  319,  281,   -1,
  283,  284,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  505,
  506,  507,   -1,   -1,  336,   -1,   -1,  513,   -1,   -1,
   -1,  343,   -1,   93,  520,  521,  348,   -1,  524,   -1,
  313,   -1,  354,  529,  317,   -1,  319,   -1,   -1,   -1,
   -1,  537,   -1,   -1,   -1,  541,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,   -1,
  343,  383,   -1,  385,   -1,  348,   -1,   -1,   -1,   -1,
   -1,  354,   -1,   -1,   -1,  397,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,   -1,   10,
   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,
  383,   -1,  385,   -1,   -1,  427,   -1,   -1,   -1,  431,
   -1,   -1,   -1,  435,  397,   -1,  438,   -1,   -1,   -1,
   41,   -1,   -1,   44,  407,   -1,  448,  449,  450,  451,
  452,  414,  454,   -1,  417,   -1,   -1,   58,   -1,   -1,
   -1,   -1,   -1,  639,  427,  641,  642,   -1,  431,  471,
  472,   -1,  435,   -1,   -1,  438,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,  448,  449,  450,  451,  452,
   -1,  454,   93,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,  471,  472,
   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   -1,  524,   -1,   -1,   -1,   -1,  529,   -1,   -1,
   -1,  281,   -1,  283,  284,  537,   -1,   -1,   -1,  541,
   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,
  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,   -1,
   -1,  524,   -1,  313,   -1,   -1,  529,  317,   -1,  319,
   -1,   -1,   -1,   -1,  537,   -1,   -1,   -1,  541,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,
   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   10,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,  383,   -1,  385,   -1,  639,   -1,  641,
  642,   -1,   -1,   -1,   -1,   -1,   -1,  397,   -1,   -1,
   10,   -1,   -1,   41,   -1,   -1,   44,  407,   -1,   -1,
   -1,   10,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,
   58,   -1,   -1,   -1,   -1,   -1,  639,  427,  641,  642,
  281,  431,  283,  284,   -1,  435,   -1,   -1,  438,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,
  450,  451,  452,   -1,  454,   93,   -1,   -1,   -1,   -1,
   -1,   -1,  313,   -1,   -1,   -1,  317,   -1,  319,   -1,
   -1,  471,  472,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,  336,   -1,   -1,   -1,   -1,
   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,
   -1,   -1,   -1,  354,   -1,  505,  506,  507,   -1,   -1,
   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,
  520,  521,   -1,   -1,  524,   -1,   -1,   -1,   -1,  529,
   -1,   -1,  383,   -1,  385,   -1,   -1,  537,   -1,   -1,
   -1,  541,   -1,   -1,   -1,   -1,  397,   -1,   -1,   -1,
   -1,   -1,   10,   -1,   -1,   -1,  407,   -1,   -1,   -1,
   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,  427,   -1,   -1,   -1,
  431,   -1,   -1,   -1,  435,   -1,   10,  438,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,
  451,  452,   -1,  454,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,
   -1,  641,  642,  281,   -1,  283,  284,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,
   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,
  521,   -1,   -1,  524,   -1,  313,   -1,   -1,  529,  317,
   -1,  319,   -1,   -1,   -1,   -1,  537,   -1,   -1,   -1,
  541,   -1,   -1,   -1,   10,   -1,   -1,   -1,  336,   -1,
   -1,   -1,   -1,   -1,   -1,  343,   -1,  317,   -1,  319,
  348,   -1,   -1,   -1,   -1,   -1,  354,   -1,  317,   -1,
  319,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   10,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  343,  383,   -1,  385,   -1,  348,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  397,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   10,  407,
   -1,   -1,   -1,  383,   -1,  385,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,  383,   -1,  385,  397,  639,  427,
  641,   -1,   -1,  431,   -1,   -1,   -1,  435,  397,   -1,
  438,   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,
  448,  449,  450,  451,  452,  414,  454,  427,  417,   -1,
   -1,  431,   -1,  281,   -1,  283,  284,   -1,  427,   -1,
   -1,   -1,  431,  471,  472,   -1,   -1,   -1,  448,   -1,
   -1,  451,  452,   -1,   -1,   -1,   -1,   -1,   -1,  448,
   10,   -1,  451,  452,   -1,  313,   -1,  281,   -1,  283,
  284,  471,  472,   -1,   -1,   -1,   -1,  505,  506,  507,
   -1,   -1,  471,  472,   -1,  513,   10,   -1,  336,   -1,
   -1,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,  313,
  348,  529,   -1,   -1,   -1,  505,  354,  507,   -1,  537,
   -1,   -1,   -1,  541,   -1,   -1,  505,   -1,  507,   -1,
  520,  521,  336,   -1,  524,   -1,   -1,   -1,   -1,   -1,
   -1,  520,  521,   -1,  348,  524,   -1,  537,   -1,   -1,
  354,  541,   -1,   -1,   -1,   -1,   -1,   -1,  537,   -1,
   -1,   -1,  541,   -1,   -1,   -1,   -1,   -1,   -1,  407,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  281,   -1,  283,  284,  427,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  435,   -1,   -1,
  438,   -1,   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,  313,   -1,   -1,
   -1,  639,  281,  427,  283,  284,   -1,   -1,   -1,   -1,
   -1,  435,   -1,   -1,  438,   41,   42,   43,   -1,   45,
  336,   47,   -1,   -1,  448,  449,  450,  451,  452,  639,
  454,   -1,  348,   -1,  313,   -1,   -1,   63,  354,  281,
  639,  283,  284,   -1,   -1,   -1,   -1,   -1,  506,   -1,
   -1,   -1,   -1,   -1,   -1,  513,   -1,  336,   -1,   -1,
   -1,   -1,   -1,   -1,  348,  349,   -1,   -1,   94,  348,
   -1,  313,   -1,   -1,   -1,  354,   -1,   -1,   -1,  537,
   -1,   -1,  506,   -1,   -1,   -1,   -1,  371,   -1,  513,
   -1,  407,   -1,  377,  336,   -1,   -1,   -1,   -1,  383,
   -1,  385,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,  427,  354,  537,   -1,   -1,   -1,   -1,   -1,  435,
  404,  281,  438,  283,  284,   -1,   -1,   -1,  407,   -1,
   -1,   -1,  448,  449,  450,  451,  452,   -1,  454,   -1,
   -1,  425,   -1,  427,   -1,   -1,   -1,  281,  427,  283,
  284,   -1,   -1,  313,   -1,  439,  435,   -1,   -1,  438,
   -1,   -1,   -1,   -1,  448,  407,   -1,  451,   -1,  448,
  449,  450,  451,  452,   -1,  454,  336,   -1,   -1,  313,
   -1,  639,   -1,   -1,   -1,  427,   -1,  471,  348,   -1,
  506,   -1,   -1,  435,  354,   -1,  438,  513,   -1,   40,
   -1,   -1,  336,   -1,   45,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,  348,  639,   -1,   -1,   -1,   -1,
  354,  537,  506,  507,   -1,   -1,   -1,  506,   -1,   -1,
   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  528,   -1,   -1,  407,   -1,   -1,
   -1,   -1,   -1,  537,   -1,   -1,   -1,   -1,  537,   -1,
   -1,   -1,   -1,   -1,  506,   -1,   -1,  427,   -1,   -1,
   -1,  513,   -1,  407,   37,  435,   -1,   -1,  438,   42,
   43,   44,   45,   -1,   47,   -1,   -1,  571,  448,  449,
  450,  451,  452,  427,  454,  537,   -1,   -1,   -1,   -1,
   63,  435,   -1,   -1,  438,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,   37,
  454,   -1,   -1,  639,   42,   43,   44,   45,   -1,   47,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   63,  506,   -1,   -1,   -1,
   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,
  639,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  506,   -1,   -1,   -1,   94,  537,   -1,  513,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,   -1,   -1,
   -1,   -1,   -1,  537,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  256,  257,  258,  259,  260,
  261,  262,  263,  264,  265,  266,  267,  268,  269,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,  290,
  291,  292,  293,  294,  295,  296,   -1,  298,  299,  300,
  301,  302,  303,  304,  305,  306,  307,   -1,   -1,  310,
  311,   -1,   -1,   -1,  315,  316,   -1,   -1,   -1,  639,
  321,   -1,   -1,  324,  325,  326,   -1,   -1,  329,  330,
  331,   -1,   -1,  334,   -1,   -1,   -1,  338,   -1,  340,
   -1,   -1,   -1,   -1,  345,  639,  347,  348,   -1,  350,
  351,   -1,   -1,  354,   -1,  356,   -1,  358,  359,   -1,
  361,   -1,   -1,   -1,   -1,   -1,  367,   -1,   -1,   -1,
   -1,  372,   -1,   -1,  375,   -1,   -1,   -1,   -1,  380,
  381,   -1,   -1,   -1,  385,  386,  387,  388,   -1,  390,
  391,   -1,   -1,  394,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  402,   -1,   -1,   -1,  406,   -1,   -1,   -1,   -1,
  411,  412,  413,   -1,  415,   -1,   -1,   -1,   -1,  420,
  421,   -1,   -1,  424,  425,   -1,  427,  428,  429,  430,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  440,
  441,   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,
   -1,   -1,   45,   -1,  455,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,  468,   -1,   -1,
   -1,   -1,  473,  474,   -1,   -1,   -1,   -1,  479,  480,
  481,   -1,  483,  484,  485,  486,   -1,   -1,   -1,   -1,
   -1,   -1,  493,  494,  495,  496,  497,   -1,  499,   -1,
   -1,   -1,  503,  504,   -1,   -1,   -1,  508,   -1,   -1,
  511,  512,   -1,   -1,   -1,  516,   -1,   -1,   -1,   -1,
   -1,   -1,  523,   -1,  525,  526,  527,  528,   -1,   -1,
   -1,  532,  533,   -1,   -1,   -1,  537,   -1,  539,   -1,
   -1,  542,  543,  544,  545,  546,  547,   -1,  549,  550,
  551,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,  575,  576,  577,  578,  579,  580,
  581,  582,  583,   -1,   37,   -1,  587,  588,   63,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   63,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,  630,
   -1,   -1,   -1,   -1,  635,  636,  637,  638,  639,  640,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,
  651,  652,  653,  654,  655,  656,  657,  658,   94,   -1,
   -1,   -1,   -1,  664,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  338,   -1,   -1,   -1,   -1,
  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   40,   -1,   -1,   -1,   -1,   45,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,
  383,   -1,   41,   42,   43,   -1,   45,  390,   47,   -1,
   -1,   -1,   -1,   -1,  397,   -1,   -1,   -1,   -1,   -1,
   37,   -1,   -1,   -1,   63,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,  417,   -1,   -1,   -1,  421,   -1,
   -1,   -1,  425,   -1,  427,   -1,   63,   -1,  431,   -1,
   -1,   -1,   -1,   -1,   37,   94,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,  448,   37,   -1,  451,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   94,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   37,   -1,   -1,   -1,
   41,   42,   43,  486,   45,   -1,   47,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  503,   37,   63,   94,   -1,   41,   42,   43,   -1,   45,
   37,   47,   -1,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,  525,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   63,   -1,  541,   -1,
   -1,   -1,   -1,  546,  547,  548,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,  257,
  258,  259,  260,  261,  262,  263,  264,  265,  266,  267,
  268,  269,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,  293,  294,  295,  296,   -1,
  298,  299,  300,  301,  302,  303,  304,  305,   -1,   -1,
   -1,   -1,  348,  349,   -1,  638,  639,  640,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,  652,
  653,  654,  655,  656,  657,  371,   -1,   -1,   -1,   -1,
   -1,  377,   -1,   -1,   -1,  343,   -1,  383,   -1,  385,
  348,   -1,   -1,   -1,   -1,  353,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   40,  404,   -1,
   -1,   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  383,   -1,   -1,   37,  425,
   -1,  427,  390,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,  439,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  448,   -1,   63,  451,  414,   -1,   -1,   -1,
   -1,   -1,   -1,  421,   -1,   -1,   -1,   -1,   -1,  427,
   -1,   -1,   -1,  431,   -1,  471,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   94,   -1,   -1,   -1,   -1,
  448,   -1,   -1,  451,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
  506,  507,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   37,   -1,   -1,  486,   41,
   42,   43,  528,   45,  492,   47,   -1,   -1,   -1,   -1,
   -1,  537,   37,   -1,   -1,  503,   41,   42,   43,   -1,
   45,   63,   47,   37,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,  571,   -1,   -1,   -1,   63,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,  546,  547,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,
  578,  579,  580,  581,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  638,  639,  640,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  650,   -1,  652,  653,  654,  655,  656,  657,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,
  353,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   40,   -1,   41,   42,   43,   45,   45,   -1,
   47,   -1,   -1,   -1,  377,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,  390,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,  421,   -1,
   -1,   -1,  425,   -1,  427,   -1,   -1,   -1,  431,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  448,   -1,   -1,  451,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   -1,  486,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,
  503,   -1,   41,   42,   43,   63,   45,   37,   47,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,  257,
  258,  259,  260,  261,  262,  263,  264,  265,  266,  267,
  268,  269,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,  293,  294,  295,  296,   -1,
  298,  299,  300,  301,  302,  303,  304,  305,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  638,  639,  640,   -1,   -1,
   -1,   -1,   -1,   -1,  322,   -1,   -1,  650,   -1,  652,
  653,  654,  655,  656,  657,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
  348,   -1,   -1,   -1,   -1,  353,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   37,   -1,   40,   -1,   41,
   42,   43,   45,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   63,  390,   -1,   -1,   -1,   -1,   -1,   37,   -1,
   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   94,  421,   63,   -1,   37,  425,   -1,  427,
   41,   42,   43,  431,   45,   63,   47,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
  448,   -1,   63,  451,   -1,   94,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   94,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,  486,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  503,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  546,  547,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,
  578,  579,  580,  581,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  638,  639,  640,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  650,   -1,  652,  653,  654,  655,  656,  657,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  348,   37,   -1,   -1,   -1,
  353,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   37,   -1,   40,   -1,   41,   42,   43,   45,   45,   -1,
   47,   -1,   63,   -1,  377,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   37,   -1,   63,  390,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   94,  421,   -1,
   -1,   37,  425,   -1,  427,   41,   42,   43,  431,   45,
   -1,   47,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   94,   -1,   -1,   -1,  448,   -1,   63,  451,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,  486,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  503,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   40,   -1,   -1,   -1,   -1,   45,
   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,  257,
  258,  259,  260,  261,  262,  263,  264,  265,  266,  267,
  268,  269,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,  293,  294,  295,  296,   -1,
  298,  299,  300,  301,  302,  303,  304,  305,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  638,  639,  640,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  650,   -1,  652,
  653,  654,  655,  656,  657,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  342,  343,   -1,   -1,   -1,   -1,
  348,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  377,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,  390,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  421,   -1,   -1,   -1,  425,   -1,  427,
   -1,  257,  258,  259,  260,  261,  262,  263,  264,  265,
  266,  267,  268,  269,  270,  271,  272,  273,  274,  275,
  276,  277,  278,  279,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,  290,  291,  292,  293,  294,  295,
  296,   -1,  298,  299,  300,  301,  302,  303,  304,  305,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  486,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  503,   -1,   -1,  506,  507,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  348,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   40,
   -1,   41,   42,   43,   45,   45,   -1,   47,  546,  547,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,  390,   -1,   -1,  393,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,
  578,  579,  580,  581,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,  421,   -1,   -1,   -1,  425,
   -1,  427,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  448,   -1,   -1,  451,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
  638,  639,  640,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  650,   -1,  652,  653,  654,  655,  656,  657,
  486,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   37,  503,   -1,   -1,
  506,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,
  576,  577,  578,  579,  580,  581,  257,  258,  259,  260,
  261,  262,  263,  264,  265,  266,  267,  268,  269,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,  290,
  291,  292,  293,  294,  295,  296,   -1,  298,  299,  300,
  301,  302,  303,  304,  305,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  638,  639,  640,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  650,   -1,  652,  653,  654,  655,
  656,  657,   -1,   37,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,  348,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   37,   -1,   40,   -1,   41,   42,   43,   45,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,  390,
   94,   -1,  393,   -1,   -1,   37,   -1,   -1,   -1,   41,
   42,   43,   -1,   45,   37,   47,   -1,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   37,   -1,   94,
  421,   63,   42,   43,  425,   45,  427,   47,   -1,   37,
   63,   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   63,   -1,   -1,   -1,  448,   40,   -1,
  451,   -1,   94,   45,   -1,   63,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   93,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  486,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  503,   -1,   -1,  506,   -1,   -1,   -1,   -1,
   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,
  581,  257,  258,  259,  260,  261,  262,  263,  264,  265,
  266,  267,  268,  269,  270,  271,  272,  273,  274,  275,
  276,  277,  278,  279,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,  290,  291,  292,  293,  294,  295,
  296,   -1,  298,  299,  300,  301,  302,  303,  304,  305,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,  639,  640,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  650,
   -1,  652,  653,  654,  655,  656,  657,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,  390,   -1,   -1,   -1,   -1,   -1,
   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   37,   -1,   -1,  421,   63,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   94,   -1,
   -1,   41,   42,   43,   -1,   45,   37,   47,  390,   94,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
  486,   37,   -1,   63,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   63,   -1,   -1,   -1,   37,  503,   -1,  421,
   41,   42,   43,   -1,   45,   37,   47,   63,   -1,   41,
   42,   43,   -1,   45,   94,   47,   -1,   -1,   -1,   40,
   -1,   -1,   63,   94,   45,   -1,   -1,   -1,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
  546,  547,   -1,   -1,   -1,   -1,  552,  553,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   94,   -1,  486,   -1,   -1,   -1,   -1,  575,
  576,  577,  578,  579,  580,  581,   -1,   -1,   -1,  585,
  586,  503,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,
   -1,   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,
  552,  553,  638,  639,  640,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  650,   -1,  652,  653,  654,  655,
  656,  657,   -1,  575,  576,  577,  578,  579,  580,  581,
   -1,   -1,   -1,  585,  586,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,  638,  639,  640,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,
  652,  653,  654,  655,  656,  657,  257,  258,  259,  260,
  261,  262,  263,  264,  265,  266,  267,  268,  269,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,  290,
  291,  292,  293,  294,  295,  296,   -1,  298,  299,  300,
  301,  302,  303,  304,  305,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  324,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   37,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   37,   47,   -1,   -1,   41,   42,   43,  390,
   45,   -1,   47,   -1,   41,   42,   43,   -1,   45,   63,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   37,   -1,   -1,
  421,   -1,   42,   43,   -1,   45,   37,   47,   -1,   -1,
   94,   42,   43,   -1,   45,   -1,   47,   -1,   58,   94,
   -1,   -1,   -1,   63,   -1,   -1,   -1,   94,   -1,   -1,
   37,   -1,   63,   -1,   41,   42,   43,  390,   45,   -1,
   47,   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,   -1,
   42,   43,   44,   45,   94,   47,   63,   -1,   -1,   -1,
   -1,   -1,   93,   94,   -1,  486,   -1,   -1,  421,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  503,   -1,   -1,   -1,   -1,   94,   40,   -1,
   -1,   -1,  513,   45,  641,  642,  643,  644,  645,  646,
  647,  648,   94,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  546,  547,   42,   43,   44,
   45,   -1,   47,  486,   -1,   -1,   -1,   40,   -1,   -1,
   -1,   -1,   45,   -1,   -1,   -1,   -1,   -1,   63,   -1,
  503,   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,
  581,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   94,
   -1,   -1,   -1,   -1,  537,  641,  642,  643,  644,  645,
  646,  647,  648,  546,  547,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  638,  639,  640,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,  650,
   -1,  652,  653,  654,  655,  656,  657,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  638,  639,  640,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,  652,
  653,  654,  655,  656,  657,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   37,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   63,
   -1,   37,   -1,   -1,   -1,   41,   42,   43,  390,   45,
   63,   47,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,
   -1,   -1,   -1,   42,   43,   44,   45,   63,   47,   -1,
   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  421,
   -1,   94,   -1,   -1,   63,   -1,   37,   -1,   -1,   -1,
   41,   42,   43,   -1,   45,   -1,   47,  390,   94,   -1,
   -1,   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   63,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,  421,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,  486,   -1,   -1,   -1,   40,   -1,
   -1,   -1,   -1,   45,   -1,   -1,   -1,   -1,   94,   -1,
   -1,  503,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  486,   -1,  537,   -1,   40,   -1,   -1,
   -1,   -1,   45,   -1,  546,  547,   -1,   -1,   -1,   -1,
  503,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,  581,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  546,  547,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   37,   -1,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,   -1,
   -1,   -1,   -1,   63,   -1,   37,  638,  639,  640,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,  650,   -1,
  652,  653,  654,  655,  656,  657,   -1,   -1,   -1,   -1,
   -1,   63,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  638,  639,  640,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,  650,   -1,  652,
  653,  654,  655,  656,  657,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   37,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   37,   -1,   -1,   -1,   63,
   42,   43,   44,   45,   -1,   47,   -1,   37,  390,   -1,
   63,   41,   42,   43,   -1,   45,   -1,   47,   37,   -1,
   -1,   63,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   94,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,  421,
   37,   94,   -1,   -1,   63,   42,   43,   44,   45,   -1,
   47,   -1,   94,   -1,   -1,   37,   -1,  390,   -1,   41,
   42,   43,   -1,   45,   94,   47,   63,   -1,   37,   -1,
   -1,   -1,   41,   42,   43,   94,   45,   -1,   47,   37,
   -1,   63,   -1,   41,   42,   43,   -1,   45,  421,   47,
   -1,   -1,   -1,   37,   63,   -1,   -1,   94,   42,   43,
   44,   45,   -1,   47,  486,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,  503,   -1,   -1,   -1,   94,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   94,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   94,   -1,   -1,  486,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  546,  547,   -1,   -1,   -1,   -1,
  503,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,  575,  576,  577,  578,  579,  580,  581,
  641,  642,  643,  644,  645,  646,  647,  648,   63,   -1,
   -1,   -1,   -1,  546,  547,  641,  642,  643,  644,  645,
  646,  647,  648,   37,   -1,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,  575,  576,  577,  578,  579,  580,  581,   63,
   -1,   -1,   -1,   -1,   -1,   37,  638,  639,  640,   -1,
   42,   43,   44,   45,   -1,   47,   -1,   -1,  650,   -1,
  652,  653,  654,  655,  656,  657,   -1,   -1,   37,   -1,
   94,   63,   41,   42,   43,   -1,   45,   37,   47,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   63,  638,  639,  640,   -1,   -1,
   -1,   -1,   94,   63,   -1,   -1,   -1,  650,   -1,  652,
  653,  654,  655,  656,  657,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   37,   -1,   -1,   94,   -1,   42,   43,   44,
   45,   37,   47,   -1,   94,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   37,   -1,   -1,   63,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   63,   37,   -1,   -1,   -1,   41,   42,   43,   94,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   63,   37,   -1,
   -1,   94,   41,   42,   43,   -1,   45,   37,   47,   -1,
   -1,   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   37,   -1,   -1,   63,   41,   42,   43,   94,   45,
   37,   47,   -1,   63,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   -1,   -1,   37,   -1,   -1,   63,   41,   42,
   43,   -1,   45,   -1,   47,   94,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   93,   94,   -1,   -1,   37,   -1,   -1,
   63,   41,   42,   43,   -1,   45,   37,   47,   94,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   94,   -1,   -1,
   37,   -1,   -1,   63,   41,   42,   43,   -1,   45,   37,
   47,   94,   63,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   94,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   37,   -1,   -1,   -1,   -1,
   42,   43,   -1,   45,   37,   47,   -1,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   37,   -1,   -1,
   -1,   63,   42,   43,   44,   45,   -1,   47,   37,   -1,
   63,   -1,   -1,   42,   43,   44,   45,   -1,   47,   37,
   -1,   -1,   -1,   63,   42,   43,   44,   45,   -1,   47,
   -1,   93,   94,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   37,   94,   -1,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   94,   -1,   -1,   -1,
   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   63,   47,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,
   -1,   94,   42,   43,   44,   45,   -1,   47,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   94,   -1,
   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   37,   -1,   -1,   94,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   37,   -1,   -1,   94,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   63,   37,   -1,   -1,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   37,   47,   -1,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,   37,   -1,   -1,   63,   41,   42,
   43,   -1,   45,   37,   47,   -1,   63,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   37,   -1,   -1,
   63,   41,   42,   43,   -1,   45,   37,   47,   94,   63,
   41,   42,   43,   -1,   45,   -1,   47,   94,   -1,   -1,
   37,   -1,   -1,   63,   41,   42,   43,   -1,   45,   37,
   47,   94,   63,   -1,   42,   43,   44,   45,   -1,   47,
   94,   -1,   37,   -1,   -1,   -1,   63,   42,   43,   44,
   45,   -1,   47,   -1,   94,   63,   -1,   -1,   -1,   37,
   -1,   -1,   -1,   94,   42,   43,   44,   45,   63,   47,
   37,   -1,   -1,   -1,   -1,   42,   43,   94,   45,   -1,
   47,   -1,   -1,   -1,   -1,   63,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   94,
   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   93,   94,   63,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   63,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   94,   37,   -1,   -1,   -1,   -1,   42,
   43,   44,   45,   37,   47,   -1,   -1,   94,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   63,  641,  642,  643,  644,  645,  646,  647,  648,   63,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   37,
   47,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   94,   -1,   -1,   -1,   -1,   63,   -1,   37,   -1,
   94,   -1,   -1,   42,   43,   63,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   37,   63,   -1,   -1,   94,   42,   43,
   44,   45,   37,   47,   -1,   -1,   94,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   93,   94,   37,   -1,   63,   -1,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   37,   -1,
   94,   -1,   63,   42,   43,   44,   45,   -1,   47,   94,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   63,   -1,   -1,   -1,   -1,   -1,
   37,   -1,   -1,   94,   -1,   42,   43,   44,   45,   37,
   47,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   37,   -1,   94,   63,   41,   42,   43,
   -1,   45,   37,   47,   -1,   63,   -1,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   37,   -1,   -1,   -1,   63,
   42,   43,   44,   45,   -1,   47,   -1,   94,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   37,   -1,   -1,
   -1,   63,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   94,   41,   42,   43,   -1,   45,   37,   47,   93,   94,
   -1,   42,   43,   63,   45,   -1,   47,   -1,   -1,   37,
   -1,   -1,   94,   63,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,  641,  642,  643,  644,  645,
  646,  647,  648,   94,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   94,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   41,   42,   43,   -1,   45,   37,   47,
   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   63,  641,  642,  643,  644,
  645,  646,  647,  648,   63,   37,   -1,   -1,   -1,   -1,
   42,   43,   44,   45,   37,   47,   -1,   -1,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   94,   -1,   -1,   -1,
   -1,   63,   -1,   37,   -1,   94,   -1,   -1,   42,   43,
   63,   45,   -1,   47,   -1,   -1,   37,   -1,   -1,   -1,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   63,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   93,   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   94,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   37,   94,   -1,   -1,   -1,   42,   43,   44,
   45,   37,   47,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   37,   -1,   -1,   94,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   94,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   63,  641,  642,  643,  644,  645,  646,  647,
  648,   37,   -1,   -1,   -1,   -1,   42,   43,   -1,   45,
   -1,   47,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   94,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   63,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   94,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   41,
   42,   43,   -1,   45,   63,   47,   -1,   41,   42,   43,
   -1,   45,   63,   47,   -1,   -1,   41,   42,   43,   -1,
   45,   63,   47,   -1,   41,   42,   43,   -1,   45,   63,
   47,   -1,   -1,   -1,   -1,   94,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   63,   -1,   -1,   41,
   42,   43,   94,   45,   -1,   47,   -1,   41,   42,   43,
   94,   45,   -1,   47,   -1,   -1,   41,   42,   43,   94,
   45,   63,   47,   -1,   41,   42,   43,   94,   45,   63,
   47,   -1,   -1,   -1,   -1,  529,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   41,
   42,   43,   94,   45,   -1,   47,   -1,   41,   42,   43,
   94,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   94,   -1,   63,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   94,   -1,   -1,   41,   42,   43,   -1,   45,
   94,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   63,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   94,   63,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
   94,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   94,  641,  642,  643,  644,  645,
  646,  647,  648,   94,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   41,   42,
   43,   -1,   45,   63,   47,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   41,   42,   43,
   63,   45,   -1,   47,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   94,   -1,   41,   42,   43,   63,
   45,   -1,   47,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   94,   -1,   41,   42,   43,   -1,   45,   63,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   94,   -1,   41,   42,   43,   63,   45,   -1,   47,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   94,
   42,   43,   44,   45,   63,   47,   -1,   94,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   94,   42,   43,   44,
   45,   63,   47,   -1,   -1,   42,   43,   44,   45,   63,
   47,   -1,   -1,   -1,   -1,   94,   -1,   -1,   63,   -1,
   42,   43,   44,   45,   -1,   47,   63,   -1,   -1,   -1,
   -1,   -1,   94,   42,   43,   44,   45,   -1,   47,   -1,
   94,   63,   -1,   -1,   -1,   42,   43,   44,   45,   94,
   47,   -1,   -1,   -1,   63,   42,   43,   94,   45,   -1,
   47,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   58,   94,   -1,   -1,   -1,   63,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   94,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   94,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  335,  641,  642,  643,  644,  645,  646,  647,  648,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  641,  642,  643,
  644,  645,  646,  647,  648,  352,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,  373,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  447,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  641,  642,  643,
  644,  645,  646,  647,  648,  469,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  482,   -1,
   -1,   -1,   -1,  470,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
  554,  555,  556,  557,   -1,  559,  560,  561,  562,  563,
  564,  565,  566,  567,  568,  569,  570,  571,  572,  573,
  574,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  593,  594,  595,  596,
  597,  598,  599,  600,  601,  602,  603,  604,  605,  606,
  607,  608,  609,  610,  611,  612,  613,  614,  615,  616,
  617,  618,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,  639,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
  281,   -1,  283,  284,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,  352,   -1,   -1,  317,   -1,  319,
   -1,   -1,  313,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  373,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  343,   -1,  336,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  348,   -1,   -1,
  333,  334,  335,  354,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  344,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  383,   -1,  385,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  397,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  414,   -1,  407,  417,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,   -1,   -1,
   -1,  431,  470,  406,   -1,   -1,  427,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  435,   -1,   -1,  438,  448,   -1,
   -1,  451,  452,   -1,   -1,   -1,   -1,  448,  449,  450,
  451,  452,   -1,  454,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  471,  472,   -1,  447,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  469,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  505,   -1,  507,   -1,  482,
   -1,   -1,   -1,   -1,   -1,  506,   -1,   -1,   -1,   -1,
  520,  521,  513,   -1,  524,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,   -1,   -1,
   -1,  541,   -1,   -1,   -1,   -1,  537,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  593,  594,  595,  596,  597,
  598,  599,  600,  601,  602,  603,  604,  605,  606,  607,
  608,  609,  610,  611,  612,  613,  614,  615,  616,  617,
  618,  554,  555,  556,  557,   -1,  559,  560,  561,  562,
  563,  564,  565,  566,  567,  568,  569,  570,  571,  572,
  573,  574,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,
};
#define YYFINAL 175
#ifndef YYDEBUG
#define YYDEBUG 1
#endif
#define YYMAXTOKEN 668
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,"'\\n'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,"'%'",0,0,"'('","')'","'*'","'+'","','","'-'","'.'","'/'",0,0,0,0,0,
0,0,0,0,0,"':'",0,0,"'='",0,"'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,"'['",0,"']'","'^'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"ABS","ACOS","ASIN","ATAN","ATAN2","CEIL","COS",
"DEG","DX","DY","ERF","ERFC","EXP","FLOOR","HYPOT","INDEX","INT","INVN","INVT",
"IRAND","JDAY","JDAY0","LGAMMA","LN","LOG","LOGISTIC","MAXP","MINP","MOD",
"NORM","NORMP","PI","RAD","RAND","RNORM","SETNO","SIN","SQR","SQRT","TAN",
"INUM","VX1","VX2","VY1","VY2","WX1","WX2","WY1","WY2","DELAYP","DOUBLEBUFFER",
"DOWN","ABSOLUTE","ABORT","ACTIVATE","ACTIVE","ALT","ALTERNATE","ALTXAXIS",
"ALTYAXIS","ANGLE","ANNOTATE","APPEND","AREA","ARRANGE","ARROW","ASCENDING",
"AUTO","AUTOSCALE","AUTOTICKS","AVG","AXIS","AXES","BACKBUFFER","BACKGROUND",
"BAR","BATCH","BLOCK","BIN","BOTH","BOTTOM","BOX","BOXPLOT","CD","CELLS",
"CENTER","CHAR","CHRSTR","CLEAR","CLICK","CMAP","COLOR","COMMENT","COPY",
"CYCLE","DECIMAL","DEF","DEFAULT","DELETE","DEVICE","DESCENDING","DFT",
"DIFFERENCE","DISK","DRAW2","DROP","DXDX","DXP","DYDY","DYP","ECHO","EDIT",
"ELSE","END","ERRORBAR","EXIT","EXPONENTIAL","FALSEP","FFT","FILEP","FILL",
"FIND","FIXEDPOINT","FLUSH","FOCUS","FOLLOWS","FONTP","FOREGROUND","FORMAT",
"FRONTBUFFER","FRAMEP","GETP","GRAPH","GRAPHNO","GRAPHS","GRAPHTYPE","GRID",
"HARDCOPY","HBAR","HBOXPLOT","HGAP","HIDDEN","HORIZONTAL","HPGLL","HPGLP",
"HISTO","IF","IGNORE","IHL","IMAGE","IN","INIT","INOUT","INTEGRATE","INTERP",
"INVDFT","INVFFT","JUST","KILL","LABEL","LAYOUT","LEAVE","LEFT","LEGEND",
"LENGTH","LEVEL","LEVELS","LINE","LINESTYLE","LINETO","LINEWIDTH","LINK","LOAD",
"LOCATOR","LOCTYPE","LOGX","LOGY","LOGXY","MAJOR","MIFL","MIFP","MINOR",
"MISSINGP","MOVE","MOVE2","MOVETO","NEGATE","NO","NONE","NORMAL","NXY","OFF",
"OFFSETX","OFFSETY","ON","OP","ORIENT","OUT","PAGE","PARA","PARALLEL",
"PARAMETERS","PARAMS","PATTERN","PERIMETER","PERP","PERPENDICULAR","PIE","PIPE",
"PLACE","POINT","POLAR","POLY","POWER","PREC","PREPEND","PRINT","PS","PSCOLORP",
"PSMONOP","PSCOLORL","PSMONOL","PUSH","POP","PUTP","RAWSPICE","READ","REDRAW",
"REGRESS","REGNUM","REGIONS","RENDER","REVERSE","RIGHT","RISER","ROT","RUNAVG",
"RUNMED","RUNSTD","RUNMIN","RUNMAX","SAMPLE","SAVEALL","SCALE","SCIENTIFIC",
"SET","SETNUM","SETS","SIGN","SIZE","SKIP","SLEEP","SLICE","SMITH","SORT",
"SOURCE","SPEC","SPECIFIED","SPECTRUM","STACK","STACKEDBAR","STACKEDHBAR",
"STACKEDLINE","STAGGER","START","STARTTYPE","STATUS","STOP","STRING","SUBTITLE",
"SWAPBUFFER","SYMBOL","TICKP","TICKLABEL","TICKMARKS","TIME","TITLE","TO","TOP",
"TRUEP","TYPE","UP","VELOCITY","VERTICAL","VGAP","VIEW","WITH","WORLD","WRITE",
"X","X0","X1","XAXES","XAXIS","XCOR","XMAX","XMIN","XY","XYARC","XYBOX",
"XYBOXPLOT","XYFIXED","XYHILO","XYRT","XYSEG","XYSTRING","XYDX","XYDY","XYDXDX",
"XYDYDY","XYDXDY","XYX2Y2","XYXX","XYYY","XYZ","XYZW","XYUV","TSV","Y","Y0",
"Y1","Y2","Y3","Y4","Y5","YAXES","YAXIS","YES","YMAX","YMIN","ZEROXAXIS",
"ZEROYAXIS","ABOVE","BELOW","POLYI","POLYO","GENERAL","DDMMYY","YYMMDD",
"MMDDYY","MMYY","MMDD","MONTHDAY","DAYMONTH","MONTHS","MONTHSY","MONTHL",
"DAYOFWEEKS","DAYOFWEEKL","DAYOFYEAR","HMS","MMDDHMS","MMDDYYHMS","YYMMDDHMS",
"DEGREESLON","DEGREESMMLON","DEGREESMMSSLON","MMSSLON","DEGREESLAT",
"DEGREESMMLAT","DEGREESMMSSLAT","MMSSLAT","DOT","STAR","PLUS","CROSS","CIRCLE",
"SQUARE","DIAMOND","TRIANGLE1","TRIANGLE2","TRIANGLE3","TRIANGLE4","SPLINE",
"LANDSCAPE","PORTRAIT","FREE","FIXED","STATUSBAR","LOCATORBAR","TOOLBAR","VAR",
"NUMBER","FITPARM","OR","AND","GT","LT","LE","GE","EQ","NE","UMINUS","NOT",
"ELLIPSE","ACOSH","ASINH","ATANH","COSH","SINH","TANH","ASPLINE","BIASED",
"UNBIASED","BEGIN","INCREMENT","SD","DESCRIPTION","SAVEASCII","SAVEBINARY",
"SAVE","SFORMAT",
};
char *yyrule[] = {
"$accept : list",
"list :",
"list : asgn '\\n'",
"list : vasgn '\\n'",
"list : rasgn '\\n'",
"list : expr '\\n'",
"list : vexpr '\\n'",
"list : parmset '\\n'",
"list : regionset '\\n'",
"list : setaxis '\\n'",
"list : setvelocity '\\n'",
"list : set_setprop '\\n'",
"list : setprint '\\n'",
"list : error '\\n'",
"setprint : PRINT printer CHRSTR",
"setprint : PRINT TO printer CHRSTR",
"setprint : PRINT TO printer",
"setprint : DEVICE NUMBER",
"setprint : HARDCOPY DEVICE NUMBER",
"setprint : HARDCOPY",
"setprint : PS LINEWIDTH BEGIN NUMBER",
"setprint : PS LINEWIDTH INCREMENT NUMBER",
"setprint : PS LINEWIDTH NUMBER",
"printer : PSMONOP",
"printer : PSMONOL",
"printer : MIFP",
"printer : MIFL",
"printer : HPGLP",
"printer : HPGLL",
"printer : HARDCOPY",
"printer : FILEP",
"regionset : REGNUM onoff",
"regionset : REGNUM TYPE regiontype",
"regionset : REGNUM COLOR NUMBER",
"regionset : REGNUM LINESTYLE NUMBER",
"regionset : REGNUM LINEWIDTH NUMBER",
"regionset : REGNUM LINE expr ',' expr ',' expr ',' expr",
"regionset : REGNUM XY expr ',' expr",
"regionset : LINK REGNUM TO GRAPHNO",
"parmset : REDRAW",
"parmset : AUTO REDRAW onoff",
"parmset : CD CHRSTR",
"parmset : ECHO CHRSTR",
"parmset : STATUS",
"parmset : BACKGROUND COLOR NUMBER",
"parmset : CMAP NUMBER ',' NUMBER ',' NUMBER ',' NUMBER",
"parmset : EXIT",
"parmset : PAGE LAYOUT pagelayout",
"parmset : STATUSBAR onoff",
"parmset : TOOLBAR onoff",
"parmset : LOCATORBAR onoff",
"parmset : DRAW2 expr ',' expr",
"parmset : MOVE2 expr ',' expr",
"parmset : SYMBOL expr ',' expr ',' NUMBER",
"parmset : COLOR NUMBER",
"parmset : LINEWIDTH NUMBER",
"parmset : LINESTYLE NUMBER",
"parmset : WRITE STRING expr ',' expr ',' CHRSTR",
"parmset : PAGE direction",
"parmset : PAGE NUMBER",
"parmset : PAGE INOUT NUMBER",
"parmset : LINK PAGE onoff",
"parmset : DOUBLEBUFFER torf",
"parmset : FRONTBUFFER torf",
"parmset : BACKBUFFER torf",
"parmset : SWAPBUFFER",
"parmset : SLEEP NUMBER",
"parmset : DELAYP NUMBER",
"parmset : ABORT torf",
"parmset : GETP CHRSTR",
"parmset : PUTP CHRSTR",
"parmset : WITH GRAPHNO",
"parmset : WITH SETNUM",
"parmset : SETNUM LINK sourcetype CHRSTR",
"parmset : GRAPHNO '.' SETNUM LINK sourcetype CHRSTR",
"parmset : SETNUM LINK onoff",
"parmset : GRAPHNO '.' SETNUM LINK onoff",
"parmset : ACTIVATE SETNUM NUMBER",
"parmset : ACTIVATE GRAPHNO '.' SETNUM NUMBER",
"parmset : SETNUM LENGTH NUMBER",
"parmset : GRAPHNO '.' SETNUM LENGTH NUMBER",
"parmset : SETNUM POINT expr ',' expr",
"parmset : GRAPHNO '.' SETNUM POINT expr ',' expr",
"parmset : SETNUM DROP NUMBER ',' NUMBER",
"parmset : GRAPHNO '.' SETNUM DROP NUMBER ',' NUMBER",
"parmset : SORT SETNUM sorton sortdir",
"parmset : COPY SETNUM TO SETNUM",
"parmset : COPY GRAPHNO '.' SETNUM TO GRAPHNO '.' SETNUM",
"parmset : MOVE SETNUM TO SETNUM",
"parmset : MOVE GRAPHNO '.' SETNUM TO GRAPHNO '.' SETNUM",
"parmset : KILL SETNUM",
"parmset : KILL SETS",
"parmset : KILL SETNUM SAVEALL",
"parmset : KILL SETS SAVEALL",
"parmset : KILL GRAPHNO",
"parmset : KILL GRAPHS",
"parmset : FLUSH",
"parmset : ARRANGE NUMBER ',' NUMBER",
"parmset : LOAD VAR NUMBER ',' expr ',' expr",
"parmset : REGRESS '(' SETNUM ',' NUMBER ')'",
"parmset : runtype '(' SETNUM ',' NUMBER ')'",
"parmset : ffttype '(' SETNUM ',' NUMBER ')'",
"parmset : SPLINE '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : ASPLINE '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : INTERP '(' SETNUM ',' SETNUM ',' NUMBER ')'",
"parmset : HISTO '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : DIFFERENCE '(' SETNUM ',' NUMBER ')'",
"parmset : INT '(' SETNUM ')'",
"parmset : XCOR '(' SETNUM ',' SETNUM ',' xcortype ',' NUMBER ')'",
"parmset : AUTOSCALE",
"parmset : AUTOSCALE XAXES",
"parmset : AUTOSCALE YAXES",
"parmset : AUTOSCALE SETNUM",
"parmset : AUTOTICKS",
"parmset : LOCATOR onoff",
"parmset : FOCUS GRAPHNO",
"parmset : FOCUS onoff",
"parmset : FOCUS SET",
"parmset : FOCUS FOLLOWS",
"parmset : FOCUS CLICK",
"parmset : SOURCE sourcetype",
"parmset : TYPE xytype",
"parmset : FORMAT formatchoice",
"parmset : READ CHRSTR",
"parmset : READ BATCH CHRSTR",
"parmset : READ BLOCK CHRSTR",
"parmset : READ BLOCK sourcetype CHRSTR",
"parmset : BLOCK xytype CHRSTR",
"parmset : READ xytype CHRSTR",
"parmset : READ xytype sourcetype CHRSTR",
"parmset : READ IMAGE CHRSTR",
"parmset : WRITE IMAGE CHRSTR",
"parmset : IMAGE XY NUMBER ',' NUMBER",
"parmset : WRITE SETNUM",
"parmset : WRITE SETNUM FORMAT CHRSTR",
"parmset : WRITE SETNUM FILEP CHRSTR",
"parmset : WRITE SETNUM FILEP CHRSTR FORMAT CHRSTR",
"parmset : SAVEALL CHRSTR",
"parmset : PUSH",
"parmset : POP",
"parmset : CYCLE",
"parmset : STACK NUMBER",
"parmset : STACK WORLD expr ',' expr ',' expr ',' expr TICKP expr ',' expr ',' expr ',' expr",
"parmset : CLEAR STACK",
"parmset : CLEAR BOX",
"parmset : WITH BOX",
"parmset : WITH BOX NUMBER",
"parmset : BOX onoff",
"parmset : BOX GRAPHNO",
"parmset : BOX expr ',' expr ',' expr ',' expr",
"parmset : BOX LOCTYPE worldview",
"parmset : BOX LINESTYLE NUMBER",
"parmset : BOX LINEWIDTH NUMBER",
"parmset : BOX COLOR NUMBER",
"parmset : BOX FILL filltype",
"parmset : BOX FILL COLOR NUMBER",
"parmset : BOX FILL PATTERN NUMBER",
"parmset : BOX DEF",
"parmset : CLEAR ELLIPSE",
"parmset : WITH ELLIPSE",
"parmset : WITH ELLIPSE NUMBER",
"parmset : ELLIPSE onoff",
"parmset : ELLIPSE GRAPHNO",
"parmset : ELLIPSE expr ',' expr ',' expr ',' expr",
"parmset : ELLIPSE LOCTYPE worldview",
"parmset : ELLIPSE LINESTYLE NUMBER",
"parmset : ELLIPSE LINEWIDTH NUMBER",
"parmset : ELLIPSE COLOR NUMBER",
"parmset : ELLIPSE FILL filltype",
"parmset : ELLIPSE FILL COLOR NUMBER",
"parmset : ELLIPSE FILL PATTERN NUMBER",
"parmset : ELLIPSE DEF",
"parmset : WITH LINE",
"parmset : WITH LINE NUMBER",
"parmset : CLEAR LINE",
"parmset : LINE onoff",
"parmset : LINE GRAPHNO",
"parmset : LINE expr ',' expr ',' expr ',' expr",
"parmset : LINE LOCTYPE worldview",
"parmset : LINE LINEWIDTH NUMBER",
"parmset : LINE LINESTYLE NUMBER",
"parmset : LINE COLOR NUMBER",
"parmset : LINE ARROW NUMBER",
"parmset : LINE ARROW SIZE NUMBER",
"parmset : LINE ARROW TYPE NUMBER",
"parmset : LINE DEF",
"parmset : CLEAR STRING",
"parmset : WITH STRING",
"parmset : WITH STRING NUMBER",
"parmset : STRING onoff",
"parmset : STRING GRAPHNO",
"parmset : STRING expr ',' expr",
"parmset : STRING LOCTYPE worldview",
"parmset : STRING LINEWIDTH NUMBER",
"parmset : STRING COLOR NUMBER",
"parmset : STRING ROT NUMBER",
"parmset : STRING FONTP NUMBER",
"parmset : STRING JUST NUMBER",
"parmset : STRING CHAR SIZE NUMBER",
"parmset : STRING DEF CHRSTR",
"parmset : TIME STRING onoff",
"parmset : TIME STRING FONTP NUMBER",
"parmset : TIME STRING CHAR SIZE NUMBER",
"parmset : TIME STRING COLOR NUMBER",
"parmset : TIME STRING LINEWIDTH NUMBER",
"parmset : TIME STRING NUMBER ',' NUMBER",
"parmset : DEFAULT SAVE savestyle",
"parmset : DEFAULT LINESTYLE NUMBER",
"parmset : DEFAULT LINEWIDTH NUMBER",
"parmset : DEFAULT COLOR NUMBER",
"parmset : DEFAULT CHAR SIZE NUMBER",
"parmset : DEFAULT FONTP NUMBER",
"parmset : DEFAULT FONTP SOURCE NUMBER",
"parmset : DEFAULT SYMBOL SIZE NUMBER",
"parmset : DEFAULT SFORMAT CHRSTR",
"parmset : WORLD expr ',' expr ',' expr ',' expr",
"parmset : WORLD XMIN expr",
"parmset : WORLD XMAX expr",
"parmset : WORLD YMIN expr",
"parmset : WORLD YMAX expr",
"parmset : POLAR WORLD expr ',' expr",
"parmset : VIEW expr ',' expr ',' expr ',' expr",
"parmset : VIEW XMIN NUMBER",
"parmset : VIEW XMAX NUMBER",
"parmset : VIEW YMIN NUMBER",
"parmset : VIEW YMAX NUMBER",
"parmset : TITLE CHRSTR",
"parmset : TITLE FONTP NUMBER",
"parmset : TITLE SIZE NUMBER",
"parmset : TITLE COLOR NUMBER",
"parmset : TITLE LINEWIDTH NUMBER",
"parmset : SUBTITLE CHRSTR",
"parmset : SUBTITLE FONTP NUMBER",
"parmset : SUBTITLE SIZE NUMBER",
"parmset : SUBTITLE COLOR NUMBER",
"parmset : SUBTITLE LINEWIDTH NUMBER",
"parmset : DESCRIPTION CHRSTR",
"parmset : CLEAR DESCRIPTION",
"parmset : GRAPHS MAXP SETS NUMBER",
"parmset : LEGEND onoff",
"parmset : LEGEND LOCTYPE worldview",
"parmset : LEGEND LAYOUT NUMBER",
"parmset : LEGEND VGAP NUMBER",
"parmset : LEGEND HGAP NUMBER",
"parmset : LEGEND LENGTH NUMBER",
"parmset : LEGEND BOX onoff",
"parmset : LEGEND BOX FILL onoff",
"parmset : LEGEND BOX FILL WITH colpat",
"parmset : LEGEND BOX FILL colpat NUMBER",
"parmset : LEGEND BOX COLOR NUMBER",
"parmset : LEGEND BOX LINESTYLE NUMBER",
"parmset : LEGEND BOX LINEWIDTH NUMBER",
"parmset : LEGEND expr ',' expr",
"parmset : LEGEND X1 expr",
"parmset : LEGEND Y1 expr",
"parmset : LEGEND CHAR SIZE NUMBER",
"parmset : LEGEND FONTP NUMBER",
"parmset : LEGEND LINESTYLE NUMBER",
"parmset : LEGEND LINEWIDTH NUMBER",
"parmset : LEGEND COLOR NUMBER",
"parmset : LEGEND STRING NUMBER CHRSTR",
"parmset : FRAMEP onoff",
"parmset : FRAMEP TYPE NUMBER",
"parmset : FRAMEP LINESTYLE NUMBER",
"parmset : FRAMEP LINEWIDTH NUMBER",
"parmset : FRAMEP COLOR NUMBER",
"parmset : FRAMEP FILL onoff",
"parmset : FRAMEP BACKGROUND COLOR NUMBER",
"parmset : GRAPHNO onoff",
"parmset : GRAPHNO LABEL onoff",
"parmset : GRAPHNO AUTOSCALE TYPE AUTO",
"parmset : GRAPHNO AUTOSCALE TYPE SPEC",
"parmset : GRAPHNO AUTOSCALE torf",
"parmset : GRAPHNO HIDDEN torf",
"parmset : GRAPHNO TYPE graphtype",
"parmset : GRAPHNO BAR SIZE NUMBER",
"parmset : GRAPHNO STACKEDBAR SIZE NUMBER",
"parmset : GRAPHNO FIXEDPOINT onoff",
"parmset : GRAPHNO FIXEDPOINT FORMAT formatchoice formatchoice",
"parmset : GRAPHNO FIXEDPOINT PREC NUMBER ',' NUMBER",
"parmset : GRAPHNO FIXEDPOINT XY expr ',' expr",
"parmset : GRAPHNO FIXEDPOINT TYPE NUMBER",
"parmset : GRAPHNO MAXP SETS NUMBER",
"savestyle : SAVEBINARY",
"savestyle : SAVEASCII",
"setvelocity : VELOCITY SCALE NUMBER",
"setvelocity : VELOCITY LEGEND onoff",
"setvelocity : VELOCITY LINEWIDTH NUMBER",
"setvelocity : VELOCITY LINESTYLE NUMBER",
"setvelocity : VELOCITY COLOR NUMBER",
"setvelocity : VELOCITY LOCTYPE worldview",
"setvelocity : VELOCITY ARROW TYPE NUMBER",
"xytype : XY",
"xytype : XYARC",
"xytype : XYBOX",
"xytype : XYBOXPLOT",
"xytype : XYHILO",
"xytype : XYRT",
"xytype : XYSEG",
"xytype : XYSTRING",
"xytype : XYDX",
"xytype : XYDY",
"xytype : XYDXDX",
"xytype : XYDYDY",
"xytype : XYDXDY",
"xytype : XYX2Y2",
"xytype : XYXX",
"xytype : XYYY",
"xytype : XYZ",
"xytype : XYZW",
"xytype : XYUV",
"xytype : TSV",
"xytype : NXY",
"xytype : BIN",
"xytype : POLY",
"xytype : RAWSPICE",
"graphtype : XY",
"graphtype : LOGX",
"graphtype : LOGY",
"graphtype : LOGXY",
"graphtype : BAR",
"graphtype : HBAR",
"graphtype : STACKEDBAR",
"graphtype : STACKEDHBAR",
"graphtype : POLAR",
"graphtype : XYFIXED",
"graphtype : BOXPLOT",
"graphtype : HBOXPLOT",
"graphtype : SMITH",
"pagelayout : FREE",
"pagelayout : LANDSCAPE",
"pagelayout : PORTRAIT",
"pagelayout : FIXED",
"regiontype : ABOVE",
"regiontype : BELOW",
"regiontype : LEFT",
"regiontype : RIGHT",
"regiontype : POLYI",
"regiontype : POLYO",
"set_setprop : selectsets setprop",
"setprop : onoff",
"setprop : IGNORE",
"setprop : TYPE xytype",
"setprop : MISSINGP expr",
"setprop : PREC NUMBER",
"setprop : FORMAT formatchoice",
"setprop : SYMBOL expr",
"setprop : SYMBOL FILL NUMBER",
"setprop : SYMBOL CENTER torf",
"setprop : SYMBOL SIZE expr",
"setprop : SYMBOL CHAR NUMBER",
"setprop : SYMBOL SKIP NUMBER",
"setprop : SYMBOL COLOR expr",
"setprop : SYMBOL LINEWIDTH NUMBER",
"setprop : SYMBOL LINESTYLE NUMBER",
"setprop : prop NUMBER",
"setprop : FILL NUMBER",
"setprop : FILL WITH colpat",
"setprop : FILL colpat NUMBER",
"setprop : SKIP NUMBER",
"setprop : ERRORBAR LENGTH NUMBER",
"setprop : ERRORBAR TYPE opchoice",
"setprop : ERRORBAR LINEWIDTH NUMBER",
"setprop : ERRORBAR LINESTYLE NUMBER",
"setprop : ERRORBAR RISER onoff",
"setprop : ERRORBAR RISER LINEWIDTH NUMBER",
"setprop : ERRORBAR RISER LINESTYLE NUMBER",
"setprop : XYZ expr ',' expr",
"setprop : COMMENT CHRSTR",
"setaxis : axis",
"setaxis : axis axisfeature",
"setaxis : allaxes",
"setaxis : GRAPHS axis",
"setaxis : GRAPHS axis axisfeature",
"setaxis : GRAPHS allaxes",
"axis : XAXIS",
"axis : YAXIS",
"axis : ALTXAXIS",
"axis : ALTYAXIS",
"axis : ZEROXAXIS",
"axis : ZEROYAXIS",
"allaxes : AXES axesprops",
"allaxes : XAXES axesprops",
"allaxes : YAXES axesprops",
"axesprops : onoff",
"axesprops : COLOR NUMBER",
"axesprops : LINEWIDTH NUMBER",
"axesprops : LINESTYLE NUMBER",
"axesprops : FONTP NUMBER",
"axesprops : CHAR SIZE NUMBER",
"axesprops : GRID onoff",
"axisfeature : TICKP tickdesc",
"axisfeature : TICKLABEL ticklabeldesc",
"axisfeature : LABEL axislabeldesc",
"axisfeature : BAR axisbardesc",
"axisfeature : onoff",
"tickdesc : tickattr",
"tickdesc : tickdesc tickattr",
"tickattr : onoff",
"tickattr : MAJOR onoff",
"tickattr : MINOR onoff",
"tickattr : MAJOR expr",
"tickattr : MINOR expr",
"tickattr : OFFSETX expr",
"tickattr : OFFSETY expr",
"tickattr : ALT onoff",
"tickattr : MINP expr",
"tickattr : MAXP expr",
"tickattr : DEFAULT NUMBER",
"tickattr : inoutchoice",
"tickattr : LOG onoff",
"tickattr : SIZE NUMBER",
"tickattr : MAJOR SIZE NUMBER",
"tickattr : MINOR SIZE NUMBER",
"tickattr : COLOR NUMBER",
"tickattr : LINEWIDTH NUMBER",
"tickattr : MAJOR COLOR NUMBER",
"tickattr : MINOR COLOR NUMBER",
"tickattr : MAJOR LINEWIDTH NUMBER",
"tickattr : MINOR LINEWIDTH NUMBER",
"tickattr : MAJOR LINESTYLE NUMBER",
"tickattr : MINOR LINESTYLE NUMBER",
"tickattr : MAJOR GRID onoff",
"tickattr : MINOR GRID onoff",
"tickattr : OP opchoice",
"tickattr : TYPE AUTO",
"tickattr : TYPE SPEC",
"tickattr : SPEC NUMBER",
"tickattr : NUMBER ',' expr",
"ticklabeldesc : ticklabelattr",
"ticklabeldesc : ticklabeldesc ticklabelattr",
"ticklabelattr : onoff",
"ticklabelattr : TYPE AUTO",
"ticklabelattr : TYPE SPEC",
"ticklabelattr : PREC NUMBER",
"ticklabelattr : FORMAT formatchoice",
"ticklabelattr : FORMAT NUMBER",
"ticklabelattr : APPEND CHRSTR",
"ticklabelattr : PREPEND CHRSTR",
"ticklabelattr : LAYOUT HORIZONTAL",
"ticklabelattr : LAYOUT VERTICAL",
"ticklabelattr : LAYOUT SPEC",
"ticklabelattr : LOCTYPE ON",
"ticklabelattr : LOCTYPE CENTER",
"ticklabelattr : LOCTYPE LEFT",
"ticklabelattr : LOCTYPE RIGHT",
"ticklabelattr : ANGLE NUMBER",
"ticklabelattr : JUST justchoice",
"ticklabelattr : SKIP NUMBER",
"ticklabelattr : STAGGER NUMBER",
"ticklabelattr : OP opchoice",
"ticklabelattr : SIGN signchoice",
"ticklabelattr : START expr",
"ticklabelattr : STOP expr",
"ticklabelattr : START TYPE SPEC",
"ticklabelattr : START TYPE AUTO",
"ticklabelattr : STOP TYPE SPEC",
"ticklabelattr : STOP TYPE AUTO",
"ticklabelattr : VGAP NUMBER",
"ticklabelattr : HGAP NUMBER",
"ticklabelattr : CHAR SIZE NUMBER",
"ticklabelattr : FONTP NUMBER",
"ticklabelattr : COLOR NUMBER",
"ticklabelattr : LINEWIDTH NUMBER",
"ticklabelattr : NUMBER ',' CHRSTR",
"axislabeldesc : CHRSTR",
"axislabeldesc : LAYOUT PERP",
"axislabeldesc : LAYOUT PARA",
"axislabeldesc : PLACE AUTO",
"axislabeldesc : PLACE SPEC",
"axislabeldesc : PLACE expr ',' expr",
"axislabeldesc : JUST justchoice",
"axislabeldesc : CHAR SIZE NUMBER",
"axislabeldesc : FONTP NUMBER",
"axislabeldesc : COLOR NUMBER",
"axislabeldesc : LINEWIDTH NUMBER",
"axisbardesc : onoff",
"axisbardesc : COLOR NUMBER",
"axisbardesc : LINESTYLE NUMBER",
"axisbardesc : LINEWIDTH NUMBER",
"selectsets : GRAPHNO '.' SETNUM",
"selectsets : SETNUM",
"selectsets : SETS",
"selectsets : GRAPHNO SETS",
"selectsets : GRAPHS SETS",
"selectsets : GRAPHS SETNUM",
"prop : LINESTYLE",
"prop : LINEWIDTH",
"prop : FONTP",
"prop : COLOR",
"prop : SIZE",
"onoff : ON",
"onoff : OFF",
"colpat : COLOR",
"colpat : PATTERN",
"runtype : RUNAVG",
"runtype : RUNSTD",
"runtype : RUNMED",
"runtype : RUNMAX",
"runtype : RUNMIN",
"ffttype : DFT",
"ffttype : FFT",
"ffttype : INVDFT",
"ffttype : INVFFT",
"xcortype : BIASED",
"xcortype : UNBIASED",
"sourcetype : DISK",
"sourcetype : PIPE",
"filltype : PATTERN",
"filltype : COLOR",
"filltype : NONE",
"opchoice : TOP",
"opchoice : BOTTOM",
"opchoice : LEFT",
"opchoice : RIGHT",
"opchoice : BOTH",
"justchoice : RIGHT",
"justchoice : LEFT",
"justchoice : CENTER",
"extremetype : MINP",
"extremetype : MAXP",
"barsd : AVG",
"barsd : SD",
"torf : TRUEP",
"torf : FALSEP",
"inoutchoice : IN",
"inoutchoice : OUT",
"inoutchoice : BOTH",
"formatchoice : DECIMAL",
"formatchoice : EXPONENTIAL",
"formatchoice : POWER",
"formatchoice : GENERAL",
"formatchoice : DDMMYY",
"formatchoice : MMDDYY",
"formatchoice : YYMMDD",
"formatchoice : MMYY",
"formatchoice : MMDD",
"formatchoice : MONTHDAY",
"formatchoice : DAYMONTH",
"formatchoice : MONTHS",
"formatchoice : MONTHSY",
"formatchoice : MONTHL",
"formatchoice : DAYOFWEEKS",
"formatchoice : DAYOFWEEKL",
"formatchoice : DAYOFYEAR",
"formatchoice : HMS",
"formatchoice : MMDDHMS",
"formatchoice : MMDDYYHMS",
"formatchoice : YYMMDDHMS",
"formatchoice : DEGREESLON",
"formatchoice : DEGREESMMLON",
"formatchoice : DEGREESMMSSLON",
"formatchoice : MMSSLON",
"formatchoice : DEGREESLAT",
"formatchoice : DEGREESMMLAT",
"formatchoice : DEGREESMMSSLAT",
"formatchoice : MMSSLAT",
"signchoice : NORMAL",
"signchoice : ABSOLUTE",
"signchoice : NEGATE",
"direction : UP",
"direction : DOWN",
"direction : RIGHT",
"direction : LEFT",
"direction : IN",
"direction : OUT",
"worldview : WORLD",
"worldview : VIEW",
"sortdir : ASCENDING",
"sortdir : DESCENDING",
"sorton : X",
"sorton : Y",
"vector : X",
"vector : Y",
"vector : X0",
"vector : Y0",
"vector : Y1",
"vector : Y2",
"vector : Y3",
"vector : Y4",
"vector : Y5",
"asgn : VAR '[' expr ']' '=' expr",
"asgn : vector '[' expr ']' '=' expr",
"asgn : SETNUM '.' vector '[' expr ']' '=' expr",
"asgn : SETNUM '.' SYMBOL '=' expr",
"asgn : GRAPHNO '.' SETNUM '.' vector '[' expr ']' '=' expr",
"rasgn : REGNUM '.' vector '=' expr",
"vasgn : VAR '=' vexpr",
"vasgn : vector '=' vexpr",
"vasgn : SETNUM '=' SETNUM",
"vasgn : GRAPHNO '.' SETNUM '=' SETNUM",
"vasgn : SETNUM '=' GRAPHNO '.' SETNUM",
"vasgn : GRAPHNO '.' SETNUM '=' GRAPHNO '.' SETNUM",
"vasgn : SETNUM '.' vector '=' vexpr",
"vasgn : GRAPHNO '.' SETNUM '.' vector '=' vexpr",
"vasgn : VAR '=' expr",
"vasgn : vector '=' expr",
"vasgn : SETNUM '.' vector '=' expr",
"vasgn : GRAPHNO '.' SETNUM '.' vector '=' expr",
"vexpr : VAR",
"vexpr : vector",
"vexpr : SETNUM '.' vector",
"vexpr : GRAPHNO '.' SETNUM '.' vector",
"vexpr : expr",
"vexpr : expr '+' expr",
"vexpr : vexpr '+' vexpr",
"vexpr : expr '+' vexpr",
"vexpr : vexpr '+' expr",
"vexpr : expr '-' expr",
"vexpr : vexpr '-' vexpr",
"vexpr : expr '-' vexpr",
"vexpr : vexpr '-' expr",
"vexpr : expr '*' expr",
"vexpr : vexpr '*' vexpr",
"vexpr : expr '*' vexpr",
"vexpr : vexpr '*' expr",
"vexpr : expr '/' expr",
"vexpr : vexpr '/' vexpr",
"vexpr : expr '/' vexpr",
"vexpr : vexpr '/' expr",
"vexpr : expr '^' expr",
"vexpr : expr '^' vexpr",
"vexpr : vexpr '^' expr",
"vexpr : vexpr '^' vexpr",
"vexpr : ABS '(' expr ')'",
"vexpr : ABS '(' vexpr ')'",
"vexpr : ACOS '(' vexpr ')'",
"vexpr : ACOSH '(' vexpr ')'",
"vexpr : ASIN '(' vexpr ')'",
"vexpr : ASINH '(' vexpr ')'",
"vexpr : ATAN '(' vexpr ')'",
"vexpr : ATANH '(' vexpr ')'",
"vexpr : ATAN2 '(' vexpr ',' vexpr ')'",
"vexpr : CEIL '(' vexpr ')'",
"vexpr : COS '(' vexpr ')'",
"vexpr : COSH '(' vexpr ')'",
"vexpr : DEG",
"vexpr : ERF '(' vexpr ')'",
"vexpr : ERFC '(' vexpr ')'",
"vexpr : EXP '(' vexpr ')'",
"vexpr : FLOOR '(' vexpr ')'",
"vexpr : HYPOT '(' vexpr ',' vexpr ')'",
"vexpr : HYPOT '(' expr ',' vexpr ')'",
"vexpr : HYPOT '(' vexpr ',' expr ')'",
"vexpr : HYPOT '(' expr ',' expr ')'",
"vexpr : INDEX",
"vexpr : SETNO",
"vexpr : INT '(' vexpr ')'",
"vexpr : INVN '(' vexpr ')'",
"vexpr : INVT '(' expr ',' NUMBER ')'",
"vexpr : INVT '(' vexpr ',' NUMBER ')'",
"vexpr : IRAND '(' NUMBER ')'",
"vexpr : LGAMMA '(' vexpr ')'",
"vexpr : LN '(' vexpr ')'",
"vexpr : LOG '(' vexpr ')'",
"vexpr : LOGISTIC '(' vexpr ',' expr ',' expr ')'",
"vexpr : MAXP '(' vexpr ',' vexpr ')'",
"vexpr : MINP '(' vexpr ',' vexpr ')'",
"vexpr : MOD '(' vexpr ',' vexpr ')'",
"vexpr : NORM '(' vexpr ')'",
"vexpr : NORMP '(' vexpr ')'",
"vexpr : PI",
"vexpr : RAD",
"vexpr : RAND",
"vexpr : RNORM '(' vexpr ',' vexpr ')'",
"vexpr : RNORM '(' expr ',' vexpr ')'",
"vexpr : RNORM '(' vexpr ',' expr ')'",
"vexpr : RNORM '(' expr ',' expr ')'",
"vexpr : SIN '(' vexpr ')'",
"vexpr : SINH '(' vexpr ')'",
"vexpr : SQR '(' vexpr ')'",
"vexpr : SQRT '(' vexpr ')'",
"vexpr : TAN '(' vexpr ')'",
"vexpr : TANH '(' vexpr ')'",
"vexpr : vexpr '?' vexpr ':' vexpr",
"vexpr : vexpr GT vexpr",
"vexpr : vexpr LT vexpr",
"vexpr : vexpr LE vexpr",
"vexpr : vexpr GE vexpr",
"vexpr : vexpr EQ vexpr",
"vexpr : vexpr NE vexpr",
"vexpr : vexpr AND vexpr",
"vexpr : vexpr OR vexpr",
"vexpr : NOT vexpr",
"vexpr : '(' vexpr ')'",
"vexpr : '-' vexpr",
"expr : NUMBER",
"expr : FITPARM",
"expr : VAR '[' expr ']'",
"expr : REGNUM '.' vector",
"expr : vector '[' expr ']'",
"expr : SETNUM '.' vector '[' expr ']'",
"expr : GRAPHNO '.' SETNUM '.' vector '[' expr ']'",
"expr : SETNUM '.' vector '.' extremetype",
"expr : GRAPHNO '.' SETNUM '.' vector '.' extremetype",
"expr : vector '.' extremetype",
"expr : GRAPHNO '.' SETNUM '.' LENGTH",
"expr : SETNUM '.' LENGTH",
"expr : LENGTH",
"expr : GRAPHNO '.' SETNUM '.' vector '.' barsd",
"expr : SETNUM '.' vector '.' barsd",
"expr : vector '.' barsd",
"expr : expr '+' expr",
"expr : expr '-' expr",
"expr : expr '*' expr",
"expr : expr '/' expr",
"expr : expr '%' expr",
"expr : expr '^' expr",
"expr : ABS '(' expr ')'",
"expr : ACOS '(' expr ')'",
"expr : ACOSH '(' expr ')'",
"expr : ASIN '(' expr ')'",
"expr : ASINH '(' expr ')'",
"expr : ATAN '(' expr ')'",
"expr : ATANH '(' expr ')'",
"expr : ATAN2 '(' expr ',' expr ')'",
"expr : CEIL '(' expr ')'",
"expr : COS '(' expr ')'",
"expr : COSH '(' expr ')'",
"expr : DEG",
"expr : ERF '(' expr ')'",
"expr : ERFC '(' expr ')'",
"expr : EXP '(' expr ')'",
"expr : FLOOR '(' expr ')'",
"expr : HYPOT '(' expr ',' expr ')'",
"expr : GRAPHNO '.' VX1",
"expr : GRAPHNO '.' VX2",
"expr : GRAPHNO '.' VY1",
"expr : GRAPHNO '.' VY2",
"expr : GRAPHNO '.' WX1",
"expr : GRAPHNO '.' WX2",
"expr : GRAPHNO '.' WY1",
"expr : GRAPHNO '.' WY2",
"expr : VX1",
"expr : VX2",
"expr : VY1",
"expr : VY2",
"expr : WX1",
"expr : WX2",
"expr : WY1",
"expr : WY2",
"expr : DX",
"expr : DY",
"expr : INDEX",
"expr : SETNO",
"expr : INT '(' expr ')'",
"expr : INVN '(' expr ')'",
"expr : INVT '(' expr ',' NUMBER ')'",
"expr : IRAND '(' NUMBER ')'",
"expr : JDAY '(' NUMBER ',' NUMBER ',' NUMBER ')'",
"expr : JDAY0 '(' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ')'",
"expr : LGAMMA '(' expr ')'",
"expr : LN '(' expr ')'",
"expr : LOG '(' expr ')'",
"expr : LOGISTIC '(' expr ',' expr ',' expr ')'",
"expr : MAXP '(' expr ',' expr ')'",
"expr : MINP '(' expr ',' expr ')'",
"expr : MOD '(' expr ',' expr ')'",
"expr : NORM '(' expr ')'",
"expr : NORMP '(' expr ')'",
"expr : PI",
"expr : RAD",
"expr : RAND",
"expr : RNORM '(' expr ',' expr ')'",
"expr : SIN '(' expr ')'",
"expr : SINH '(' expr ')'",
"expr : SQR '(' expr ')'",
"expr : SQRT '(' expr ')'",
"expr : TAN '(' expr ')'",
"expr : TANH '(' expr ')'",
"expr : expr '?' expr ':' expr",
"expr : expr GT expr",
"expr : expr LT expr",
"expr : expr LE expr",
"expr : expr GE expr",
"expr : expr EQ expr",
"expr : expr NE expr",
"expr : expr AND expr",
"expr : expr OR expr",
"expr : NOT expr",
"expr : '(' expr ')'",
"expr : '-' expr",
};
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH 500
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#line 4098 "pars.yacc"

void fixupstr(char *val)
{
    int vl = strlen(val);
    lowtoupper(val);
    val[vl + 1] = 0;
    val[vl] = '\n';
}

void scanner(char *s, double *x, double *y, int len, double *a, double *b, double *c, double *d, int lenscr, int i, int setno, int *errpos)
{
    interr = 0;
    whichgraph = cg;
    whichset = setno;
    if (s[0] == '#') {
	return;
    }
    pos = 0;
    aa = a;
    bb = b;
    cc = c;
    dd = d;
    xx = x;
    yy = y;
    lxy = len;
    ls = lenscr;
    setindex = i + 1;
    curset = setsetno = setno;
    strcpy(f_string, s);
    fcnt = 0;
    log_results(s);
    yyparse();
    *errpos = interr;
    for (i = 0; i < fcnt; i++) {
	free(freelist[i]);
	freelist[i] = NULL;
    }
}

void runbatch(char *bfile)
{
    int errpos;
    char stext[256];
    char *seekpos;
    FILE *fp;
    if (strcmp("stdin", bfile)) {
	fp = fopen(bfile, "r");
    }
    else {
	fp = stdin;
    }
    if (fp == NULL) {
        fprintf(stderr, "Error opening batch file \"%s\"\n", bfile);
        exit(1);
    }
    while(fgets(stext, 255, fp) != NULL) {
        seekpos=stext;
        while (seekpos - stext < 255 && (*seekpos == ' ' || *seekpos == '\t')) {
            seekpos++;
        }
	if (*seekpos == '\n' || *seekpos == '#') {
	    continue;
	}
        lowtoupper(stext);
/* TODO check on 0, 0 here for index and setno */
        scanner(stext, getx(cg, curset), gety(cg, curset),
                getsetlength(cg, curset), ax, bx, cx, dx,
                MAXARR, 0, curset, &errpos);
        stext[0] = 0;
        if (gotparams && paramfile[0]) {
            if (!getparms(cg, paramfile)) {
            }
            gotparams = 0;
        } else if (gotread && readfile[0]) {
            if (getdata(cg, readfile, readsrc, readtype)) {
#ifndef GRBATCH
                drawgraph();
#endif
            }
            gotread = 0;
        }
    }
    if (fp != stdin) {
	fclose(fp);
    }
}

symtab_entry key[] = {
	"A", VAR,
	"A0", FITPARM,
	"A1", FITPARM,
	"A2", FITPARM,
	"A3", FITPARM,
	"A4", FITPARM,
	"A5", FITPARM,
	"A6", FITPARM,
	"A7", FITPARM,
	"A8", FITPARM,
	"A9", FITPARM,
	"ABORT", ABORT,
	"ABOVE", ABOVE,
	"ABS", ABS,
	"ABSOLUTE", ABSOLUTE,
	"ACOS", ACOS,
	"ACOSH", ACOSH,
	"ACTIVATE", ACTIVATE,
	"ACTIVE", ACTIVE,
	"ALT", ALT,
	"ALTERNATE", ALTERNATE,
	"ALTXAXIS", ALTXAXIS,
	"ALTYAXIS", ALTYAXIS,
	"AND", AND,
	"ANGLE", ANGLE,
	"ANNOTATE", ANNOTATE,
	"APPEND", APPEND,
	"AREA", AREA,
	"ARRANGE", ARRANGE,
	"ARROW", ARROW,
	"ASCENDING", ASCENDING,
	"ASCII", SAVEASCII,
	"ASIN", ASIN,
	"ASINH", ASINH,
	"ASPLINE", ASPLINE,
	"ATAN", ATAN,
	"ATANH", ATANH,
	"ATAN2", ATAN2,
	"AUTO", AUTO,
	"AUTOSCALE", AUTOSCALE,
	"AUTOTICKS", AUTOTICKS,
	"AVG", AVG,
	"AXES", AXES,
	"AXIS", AXIS,
	"B", VAR,
	"BACKBUFFER", BACKBUFFER,
	"BACKGROUND", BACKGROUND,
	"BAR", BAR,
	"BATCH", BATCH,
        "BEGIN", BEGIN,
	"BELOW", BELOW,
	"BIASED", BIASED,
	"BIN", BIN,
	"BINARY", SAVEBINARY,
	"BLOCK", BLOCK,
	"BOTH", BOTH,
	"BOTTOM", BOTTOM,
	"BOX", BOX,
	"BOXPLOT", BOXPLOT,
	"C", VAR,
	"CD", CD,
	"CEIL", CEIL,
	"CELLS", CELLS,
	"CENTER", CENTER,
	"CHAR", CHAR,
	"CHRSTR", CHRSTR,
	"CLEAR", CLEAR,
	"CLICK", CLICK,
	"CMAP", CMAP,
	"CO", COLOR,
	"COLOR", COLOR,
	"COMMENT", COMMENT,
	"COPY", COPY,
	"COS", COS,
	"COSH", COSH,
	"CYCLE", CYCLE,
	"D", VAR,
	"DAYMONTH", DAYMONTH,
	"DAYOFWEEKL", DAYOFWEEKL,
	"DAYOFWEEKS", DAYOFWEEKS,
	"DAYOFYEAR", DAYOFYEAR,
	"DDMMYY", DDMMYY,
	"DECIMAL", DECIMAL,
	"DEF", DEF,
	"DEFAULT", DEFAULT,
	"DEG", DEG,
	"DEGREESLAT", DEGREESLAT,
	"DEGREESLON", DEGREESLON,
	"DEGREESMMLAT", DEGREESMMLAT,
	"DEGREESMMLON", DEGREESMMLON,
	"DEGREESMMSSLAT", DEGREESMMSSLAT,
	"DEGREESMMSSLON", DEGREESMMSSLON,
	"DELAY", DELAYP,
	"DELETE", DELETE,
	"DESCENDING", DESCENDING,
	"DESCRIPTION", DESCRIPTION,
	"DEVICE", DEVICE,
	"DFT", DFT,
	"DIFF", DIFFERENCE,
	"DIFFERENCE", DIFFERENCE,
	"DISK", DISK,
	"DOUBLEBUFFER", DOUBLEBUFFER,
	"DOWN", DOWN,
	"DRAW2", DRAW2,
	"DROP", DROP,
	"DX", DX,
	"DXDX", DXDX,
	"DY", DY,
	"DYDY", DYDY,
	"ECHO", ECHO,
	"EDIT", EDIT,
	"ELLIPSE", ELLIPSE,
	"ELSE", ELSE,
	"END", END,
	"EQ", EQ,
	"ER", ERRORBAR,
	"ERF", ERF,
	"ERFC", ERFC,
	"ERRORBAR", ERRORBAR,
	"EXIT", EXIT,
	"EXP", EXP,
	"EXPONENTIAL", EXPONENTIAL,
	"FALSE", FALSEP,
	"FFT", FFT,
	"FILE", FILEP,
	"FILL", FILL,
	"FIND", FIND,
	"FIXED", FIXED,
	"FIXEDPOINT", FIXEDPOINT,
	"FLOOR", FLOOR,
	"FLUSH", FLUSH,
	"FOCUS", FOCUS,
	"FOLLOWS", FOLLOWS,
	"FONT", FONTP,
	"FOREGROUND", FOREGROUND,
	"FORMAT", FORMAT,
	"FRAME", FRAMEP,
	"FREE", FREE,
	"FRONTBUFFER", FRONTBUFFER,
	"GE", GE,
	"GENERAL", GENERAL,
	"GETP", GETP,
	"GRAPH", GRAPH,
	"GRAPHS", GRAPHS,
	"GRAPHTYPE", GRAPHTYPE,
	"GRID", GRID,
	"GT", GT,
	"HARDCOPY", HARDCOPY,
	"HBAR", HBAR,
	"HBOXPLOT", HBOXPLOT,
	"HGAP", HGAP,
	"HIDDEN", HIDDEN,
	"HISTO", HISTO,
	"HMS", HMS,
	"HORIZONTAL", HORIZONTAL,
	"HPGLL", HPGLL,
	"HPGLP", HPGLP,
	"HYPOT", HYPOT,
	"IF", IF,
	"IGNORE", IGNORE,
	"IHL", IHL,
	"IMAGE", IMAGE,
	"IN", IN,
        "INCREMENT", INCREMENT,
	"INDEX", INDEX,
	"INIT", INIT,
	"INOUT", INOUT,
	"INT", INT,
	"INTEGRATE", INT,
	"INTERP", INTERP,
	"INUM", INUM,
	"INVDFT", INVDFT,
	"INVFFT", INVFFT,
	"INVN", INVN,
	"INVT", INVT,
	"IRAND", IRAND,
	"JDAY", JDAY,
	"JDAY0", JDAY0,
	"JUST", JUST,
	"KILL", KILL,
	"LABEL", LABEL,
	"LANDSCAPE", LANDSCAPE,
	"LAYOUT", LAYOUT,
	"LE", LE,
	"LEAVE", LEAVE,
	"LEFT", LEFT,
	"LEGEND", LEGEND,
	"LENGTH", LENGTH,
	"LEVEL", LEVEL,
	"LEVELS", LEVELS,
	"LGAMMA", LGAMMA,
	"LINE", LINE,
	"LINESTYLE", LINESTYLE,
	"LINETO", LINETO,
	"LINEWIDTH", LINEWIDTH,
	"LINK", LINK,
	"LN", LN,
	"LOAD", LOAD,
	"LOCATOR", LOCATOR,
	"LOCATORBAR", LOCATORBAR,
	"LOCTYPE", LOCTYPE,
	"LOG", LOG,
	"LOGISTIC", LOGISTIC,
	"LOGX", LOGX,
	"LOGXY", LOGXY,
	"LOGY", LOGY,
	"LS", LINESTYLE,
	"LT", LT,
	"LW", LINEWIDTH,
	"MAJOR", MAJOR,
	"MAX", MAXP,
	"MIFL", MIFL,
	"MIFP", MIFP,
	"MIN", MINP,
	"MINOR", MINOR,
	"MISSING", MISSINGP,
	"MMDD", MMDD,
	"MMDDHMS", MMDDHMS,
	"MMDDYY", MMDDYY,
	"MMDDYYHMS", MMDDYYHMS,
	"MMSSLAT", MMSSLAT,
	"MMSSLON", MMSSLON,
	"MMYY", MMYY,
	"MOD", MOD,
	"MONTHDAY", MONTHDAY,
	"MONTHL", MONTHL,
	"MONTHS", MONTHS,
	"MONTHSY", MONTHSY,
	"MOVE", MOVE,
	"MOVE2", MOVE2,
	"MOVETO", MOVETO,
	"NE", NE,
	"NEGATE", NEGATE,
	"NO", NO,
	"NONE", NONE,
	"NORM", NORM,
	"NORMAL", NORMAL,
	"NORMP", NORMP,
	"NOT", NOT,
	"NUMBER", NUMBER,
	"NXY", NXY,
	"OFF", OFF,
	"OFFSETX", OFFSETX,
	"OFFSETY", OFFSETY,
	"ON", ON,
	"OP", OP,
	"OR", OR,
	"ORIENT", ORIENT,
	"OUT", OUT,
	"PAGE", PAGE,
	"PARA", PARA,
	"PARALLEL", PARALLEL,
	"PARAMETERS", PARAMETERS,
	"PARAMS", PARAMS,
	"PATTERN", PATTERN,
	"PERIMETER", PERIMETER,
	"PERP", PERP,
	"PERPENDICULAR", PERPENDICULAR,
	"PI", PI,
	"PIE", PIE,
	"PIPE", PIPE,
	"PLACE", PLACE,
	"POINT", POINT,
	"POLAR", POLAR,
	"POLY", POLY,
	"POLYI", POLYI,
	"POLYO", POLYO,
	"POP", POP,
	"PORTRAIT", PORTRAIT,
	"POWER", POWER,
	"PREC", PREC,
	"PREPEND", PREPEND,
	"PRINT", PRINT,
	"PS", PS,
	"PSCOLORL", PSCOLORL,
	"PSCOLORP", PSCOLORP,
	"PSMONOL", PSMONOL,
	"PSMONOP", PSMONOP,
	"PUSH", PUSH,
	"PUTP", PUTP,
	"RAD", RAD,
	"RAND", RAND,
	"RAWSPICE", RAWSPICE,
	"READ", READ,
	"REDRAW", REDRAW,
	"REGRESS", REGRESS,
	"RENDER", RENDER,
	"REVERSE", REVERSE,
	"RIGHT", RIGHT,
	"RISER", RISER,
	"RNORM", RNORM,
	"ROT", ROT,
	"RUNAVG", RUNAVG,
	"RUNMAX", RUNMAX,
	"RUNMED", RUNMED,
	"RUNMIN", RUNMIN,
	"RUNSTD", RUNSTD,
	"SAMPLE", SAMPLE,
	"SAVE", SAVE,
	"SAVEALL", SAVEALL,
	"SCALE", SCALE,
	"SCIENTIFIC", SCIENTIFIC,
	"SD", SD,
	"SET", SET,
	"SETNO", SETNO,
	"SETS", SETS,
	"SFORMAT", SFORMAT,
	"SIGN", SIGN,
	"SIN", SIN,
	"SINH", SINH,
	"SIZE", SIZE,
	"SKIP", SKIP,
	"SLEEP", SLEEP,
	"SLICE", SLICE,
	"SORT", SORT,
	"SOURCE", SOURCE,
	"SPEC", SPEC,
	"SPECIFIED", SPECIFIED,
	"SPECTRUM", SPECTRUM,
	"SPLINE", SPLINE,
	"SQR", SQR,
	"SQRT", SQRT,
	"STACK", STACK,
	"STACKEDBAR", STACKEDBAR,
	"STACKEDHBAR", STACKEDHBAR,
	"STACKEDLINE", STACKEDLINE,
	"STAGGER", STAGGER,
	"START", START,
	"STARTTYPE", STARTTYPE,
	"STATUS", STATUS,
	"STATUSBAR", STATUSBAR,
	"STOP", STOP,
	"STRING", STRING,
	"SUBTITLE", SUBTITLE,
	"SWAPBUFFER", SWAPBUFFER,
	"SYMBOL", SYMBOL,
	"TAN", TAN,
	"TANH", TANH,
	"TICK", TICKP,
	"TICKLABEL", TICKLABEL,
	"TICKMARKS", TICKMARKS,
	"TIME", TIME,
	"TITLE", TITLE,
	"TO", TO,
	"TOOLBAR", TOOLBAR,
	"TOP", TOP,
	"TRUE", TRUEP,
	"TSV", TSV,
	"TYPE", TYPE,
	"UNBIASED", UNBIASED,
	"UP", UP,
	"VAR", VAR,
	"VELOCITY", VELOCITY,
	"VERTICAL", VERTICAL,
	"VGAP", VGAP,
	"VIEW", VIEW,
	"VX1", VX1,
	"VX2", VX2,
	"VY1", VY1,
	"VY2", VY2,
	"WITH", WITH,
	"WORLD", WORLD,
	"WRITE", WRITE,
	"WX1", WX1,
	"WX2", WX2,
	"WY1", WY1,
	"WY2", WY2,
	"X", X,
	"X0", X0,
	"X1", X1,
	"XAXES", XAXES,
	"XAXIS", XAXIS,
	"XCOR", XCOR,
	"XMAX", XMAX,
	"XMIN", XMIN,
	"XY", XY,
	"XYARC", XYARC,
	"XYBOX", XYBOX,
	"XYBOXPLOT", XYBOXPLOT,
	"XYDX", XYDX,
	"XYDXDX", XYDXDX,
	"XYDXDY", XYDXDY,
	"XYDY", XYDY,
	"XYDYDY", XYDYDY,
	"XYFIXED", XYFIXED,
	"XYHILO", XYHILO,
	"XYRT", XYRT,
	"XYSEG", XYSEG,
	"XYSTRING", XYSTRING,
	"XYUV", XYUV,
	"XYX2Y2", XYX2Y2,
	"XYXX", XYXX,
	"XYYY", XYYY,
	"XYZ", XYZ,
	"XYZW", XYZW,
	"Y", Y,
	"Y0", Y0,
	"Y1", Y1,
	"Y2", Y2,
	"Y3", Y3,
	"Y4", Y4,
	"Y5", Y5,
	"YAXES", YAXES,
	"YAXIS", YAXIS,
	"YES", YES,
	"YMAX", YMAX,
	"YMIN", YMIN,
	"YYMMDD", YYMMDD,
	"YYMMDDHMS", YYMMDDHMS,
	"ZEROXAXIS", ZEROXAXIS,
	"ZEROYAXIS", ZEROYAXIS,
};

int maxparms = sizeof(key) / sizeof(symtab_entry);
int maxfunc = sizeof(key) / sizeof(symtab_entry);

int findf(symtab_entry *key, char *s, int tlen)
{

    int low, high, mid;

    low = 0;
    high = tlen - 1;
    while (low <= high) {
	mid = (low + high) / 2;
	if (strcmp(s, key[mid].s) < 0) {
	    high = mid - 1;
	} else {
	    if (strcmp(s, key[mid].s) > 0) {
		low = mid + 1;
	    } else {
		return (mid);
	    }
	}
    }
    return (-1);
}

int getcharstr(void)
{
    if (pos >= strlen(f_string))
	 return EOF;
    return (f_string[pos++]);
}

void ungetchstr(void)
{
    if (pos > 0)
	pos--;
}

int yylex(void)
{
    int c, i;
    int found;
    static char s[256];
    char sbuf[256];
    char *str;

    while ((c = getcharstr()) == ' ' || c == '\t');
    if (c == EOF) {
	return (0);
    }
    if (c == '"') {
	i = 0;
	while ((c = getcharstr()) != '"' && c != EOF) {
	    if (c == '\\') {
		int ctmp;
		ctmp = getcharstr();
		if (ctmp != '"') {
		    ungetchstr();
		}
		else {
		    c = ctmp;
		}
	    }
	    s[i] = c;
	    i++;
	}
	if (c == EOF) {
	    yyerror("Nonterminating string");
	    return 0;
	}
	s[i] = '\0';
	str = (char *) malloc(strlen(s) + 1);
	strcpy(str, s);
	yylval.str = str;
	return CHRSTR;
    }
    if (c == '.' || isdigit(c)) {
	char stmp[80];
	double d;
	int i, gotdot = 0;

	i = 0;
	while (c == '.' || isdigit(c)) {
	    if (c == '.') {
		if (gotdot) {
		    yyerror("Reading number, too many dots");
	    	    return 0;
		} else {
		    gotdot = 1;
		}
	    }
	    stmp[i++] = c;
	    c = getcharstr();
	}
	if (c == 'E' || c == 'e') {
	    stmp[i++] = c;
	    c = getcharstr();
	    if (c == '+' || c == '-') {
		stmp[i++] = c;
		c = getcharstr();
	    }
	    while (isdigit(c)) {
		stmp[i++] = c;
		c = getcharstr();
	    }
	}
	if (gotdot && i == 1) {
	    ungetchstr();
	    return '.';
	}
	stmp[i] = '\0';
	ungetchstr();
	sscanf(stmp, "%lf", &d);
	yylval.val = d;
	return NUMBER;
    }
/* graphs, sets, regions resp. */
    if (c == 'G' || c == 'S' || c == 'R') {
	char stmp[80];
	int i = 0, ctmp = c, gn, sn, rn;
	c = getcharstr();
	while (isdigit(c)) {
	    stmp[i++] = c;
	    c = getcharstr();
	}
	if (i == 0) {
	    c = ctmp;
	    ungetchstr();
	} else {
	    ungetchstr();
	    if (ctmp == 'G') {
	        stmp[i] = '\0';
		gn = atoi(stmp);
		if (gn >= 0 && gn < maxgraph) {
		    yylval.ival = gn;
		    whichgraph = gn;
		    return GRAPHNO;
		}
	    } else if (ctmp == 'S') {
	        stmp[i] = '\0';
		sn = atoi(stmp);
		if (sn >= 0 && sn < g[cg].maxplot) {
		    lxy = getsetlength(cg, sn);
		    yylval.ival = sn;
		    whichset = sn;
		    return SETNUM;
		}
	    } else if (ctmp == 'R') {
	        stmp[i] = '\0';
		rn = atoi(stmp);
		if (rn >= 0 && rn < MAXREGION) {
		    yylval.ival = rn;
		    return REGNUM;
		}
	    }
	}
    }
    if (isalpha(c)) {
	char *p = sbuf;

	do {
	    *p++ = c;
	} while ((c = getcharstr()) != EOF && isalnum(c));
	ungetchstr();
	*p = '\0';
        if (debuglevel == 2) {
	    printf("->%s<-\n", sbuf);
	}
	if ((found = findf(key, sbuf, maxfunc)) >= 0) {
	    if (key[found].type == VAR) {
		switch (sbuf[0]) {
		case 'A':
		    yylval.ptr = aa;
		    return VAR;
		case 'B':
		    yylval.ptr = bb;
		    return VAR;
		case 'C':
		    yylval.ptr = cc;
		    return VAR;
		case 'D':
		    yylval.ptr = dd;
		    return VAR;
		}
	    }
	    else if (key[found].type == FITPARM) {
		int index = sbuf[1] - '0';
		yylval.val = nonl_parms[index];
		return FITPARM;
	    }
	    else { /* set up special cases */
		switch (key[found].type) {
		case XAXIS:
		    naxis = 0;
		    break;
		case YAXIS:
		    naxis = 1;
		    break;
		case ZEROXAXIS:
		    naxis = 2;
		    break;
		case ZEROYAXIS:
		    naxis = 3;
		    break;
		case ALTXAXIS:
		    naxis = 4;
		    break;
		case ALTYAXIS:
		    naxis = 5;
		    break;
		case AXES:
		    naxis = 6;
		    break;
		case XAXES:
		    naxis = 7;
		    break;
		case YAXES:
		    naxis = 8;
		    break;
		case GRAPHS:
		    yylval.ival = -1;
		    whichgraph = -1;
		    return GRAPHS;
		    break;
		case SETS:
		    yylval.ival = -1;
		    whichset = -1;
		    return SETS;
		    break;
		default:
		    break;
		}
	    }
	    yylval.func = key[found].type;
	    return key[found].type;
	} else {
	    strcat(sbuf, ": No such function or variable");
	    yyerror(sbuf);
	    return 0;
	}
    }
    switch (c) {
    case '>':
	return follow('=', GE, GT);
    case '<':
	return follow('=', LE, LT);
    case '=':
	return follow('=', EQ, '=');
    case '!':
	return follow('=', NE, NOT);
    case '|':
	return follow('|', OR, '|');
    case '&':
	return follow('&', AND, '&');
    case '\n':
	return '\n';
    default:
	return c;
    }
}

int follow(int expect, int ifyes, int ifno)
{
    int c = getcharstr();

    if (c == expect) {
	return ifyes;
    }
    ungetchstr();
    return ifno;
}

void yyerror(char *s)
{
    int i;
    char buf[256];
    sprintf(buf, "%s: %s", s, f_string);
    i = strlen(buf);
    buf[i - 1] = 0;
    errmsg(buf);
    interr = 1;
}

#define C1 0.1978977093962766
#define C2 0.1352915131768107

double rnorm(double mean, double sdev)
{
    double u = drand48();

    return mean + sdev * (pow(u, C2) - pow(1.0 - u, C2)) / C1;
}

double fx(double x)
{
    return 1.0 / sqrt(2.0 * M_PI) * exp(-x * x * 0.5);
}

double normp(double b, double *s)
{
    double sum, dx, a = -8.0, fx(double x);
    int i, n = 48;

    sum = fx(a) + fx(b);
    dx = (b - a) / n;
    for (i = 1; i <= ((n - 1) / 2); i++)
	sum = sum + 4.0 * fx(a + (2.0 * i - 1.0) * dx) + 2.0 * fx(a + 2.0 * i * dx);
    sum = sum + 4.0 * fx(b - dx);
    *s = fx(b);
    return sum * dx / 3.0;
}

double invnorm(double p)
{
    double s, x, z, normp(double b, double *s);

    if (p > 0.5)
	x = 1.0 - p;
    else
	x = p;
    s = sqrt(-2.0 * log(x));
    x = ((-7.49101 * s - 448.047) * s - 1266.846);
    x = x / (((s + 109.8371) * s + 748.189) * s + 498.003) + s;
    if (p < 0.5)
	x = -x;
    z = p - normp(x, &s);
    z = z / s;
    s = x * x;
    return (((((((((720.0 * s + 2556.0) * s + 1740.0) * s + 127.0) * z / 7.0 +
		 ((120.0 * s + 326.0) * s + 127.0) * x) * z / 6.0 + (24 * s + 46.0) * s + 7.0) * z / 40.0 +
	       (0.75 * s + 0.875) * x) * z + s + 0.5) * z / 3.0 + x * 0.5) * z + 1.0) * z + x + 0.832e-24 * x;
}

double invt(double p, int n)
{
    double sign, temp, a, b, c, d, x, y;

    sign = 1.0;
    if (p < 0.5) {
	p = 1.0 - p;
	sign = -1.0;
    }
    p = (1 - p) * 2;
    if (n == 2) {
	temp = sqrt(2.0 / (p * (2.0 - p)) - 2.0);
	temp = sign * temp;
	return temp;
    } else if (n == 1) {
	p = p * M_PI / 2.0;
	return sign * cos(p) / sin(p);
    } else {
	a = 1.0 / (n - 0.5);
	b = 48.0 / (a * a);
	c = ((20700 * a / b - 98.0) * a - 16.0) * a + 96.36;
	d = ((94.5 / (b + c) - 3.0) / b + 1.0) * sqrt(a * M_PI / 2.0) * n;
	x = d * p;
	y = exp((2.0 / n) * log(x));
	if (y > (0.05 + a)) {
	    x = invnorm(p * 0.5);
	    y = x * x;
	    if (n < 5)
		c = c + 0.3 * (n - 4.5) * (x + 0.6);
	    c = (((0.05 * d * x - 5.0) * x - 7.0) * x - 2.0) * x + b + c;
	    y = (((((0.4 * y + 6.3) * y + 36.0) * y + 94.5) / c - y - 3.0) / b + 1.0) * x;
	    y = a * y * y;
	    if (y > 0.002)
		y = exp(y) - 1.0;
	    else
		y = 0.5 * y * y + y;
	} else
	    y = ((1.0 / (((n + 0.6) / (n * y) - 0.089 * d - 0.822) * (n + 2.0) * 3.0) + 0.5 / (n + 4.0)) * y - 1.0) * (n + 1.0) / (n + 2.0) + 1.0 / y;
	return sign * sqrt(n * y);
    }
}

/*
 * return a pointer to the array given by v
 */
double *getvptr(int gno, int setno, int v)
{
    switch (v) {
    case X:
    case X0:
	return g[gno].p[setno].ex[0];
	break;
    case Y:
    case Y0:
	return g[gno].p[setno].ex[1];
	break;
    case Y1:
	return g[gno].p[setno].ex[2];
	break;
    case Y2:
	return g[gno].p[setno].ex[3];
	break;
    case Y3:
	return g[gno].p[setno].ex[4];
	break;
    case Y4:
	return g[gno].p[setno].ex[5];
	break;
    case Y5:
	return g[gno].p[setno].ex[6];
	break;
    }
    return NULL;
}
#line 5804 "y.tab.c"
#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
#ifdef __cplusplus
extern "C" { 
char * getenv();
int yylex();
int yyparse();
}

#endif
int
#if defined(__STDC__)
yyparse(void)
#else
yyparse()
#endif
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register char *yys;
#ifndef __cplusplus
    extern char *getenv();
#endif

    if (yys = getenv("YYDEBUG"))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate]) != 0) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yyss + yystacksize - 1)
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
    yyerror("syntax error");
#ifdef lint
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yyss + yystacksize - 1)
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 5:
#line 556 "pars.yacc"
{
	    result = yyvsp[-1].val;
	}
break;
case 6:
#line 559 "pars.yacc"
{
	    result = *yyvsp[-1].ptr;
	}
break;
case 13:
#line 568 "pars.yacc"
{
	    return 1;
	}
break;
case 14:
#line 574 "pars.yacc"
{
	    if (yyvsp[-1].pset == FILEP) {
		set_printer(FILEP, (char *) yyvsp[0].pset);
	    }
	    else {
		set_printer(yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 15:
#line 583 "pars.yacc"
{
	    if (yyvsp[-1].pset == FILEP) {
		set_printer(FILEP, (char *) yyvsp[0].pset);
	    }
	    else {
		set_printer(yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 16:
#line 592 "pars.yacc"
{
	    if (yyvsp[0].pset == FILEP) {
		set_printer(FILEP, NULL);
	    }
	    else {
		set_printer(yyvsp[0].pset, NULL);
	    }
	}
break;
case 17:
#line 600 "pars.yacc"
{
	    tdevice = (int) yyvsp[0].val;
	}
break;
case 18:
#line 603 "pars.yacc"
{
	    hdevice = (int) yyvsp[0].val;
	}
break;
case 19:
#line 606 "pars.yacc"
{
	    do_hardcopy();
	}
break;
case 20:
#line 609 "pars.yacc"
{ 
            pslwbegin = (int) yyvsp[0].val; 
	}
break;
case 21:
#line 612 "pars.yacc"
{ 
            pslwincr = (int) yyvsp[0].val;
	}
break;
case 22:
#line 615 "pars.yacc"
{ 
	    pslwincr = (int) yyvsp[0].val; 
	}
break;
case 23:
#line 621 "pars.yacc"
{ yyval.pset = GR_PS_P; }
break;
case 24:
#line 622 "pars.yacc"
{ yyval.pset = GR_PS_L; }
break;
case 25:
#line 623 "pars.yacc"
{ yyval.pset = GR_MIF_P; }
break;
case 26:
#line 624 "pars.yacc"
{ yyval.pset = GR_MIF_L; }
break;
case 27:
#line 625 "pars.yacc"
{ yyval.pset = GR_HPGL_P; }
break;
case 28:
#line 626 "pars.yacc"
{ yyval.pset = GR_HPGL_L; }
break;
case 29:
#line 627 "pars.yacc"
{ yyval.pset = hdevice; }
break;
case 30:
#line 628 "pars.yacc"
{ yyval.pset = FILEP; }
break;
case 31:
#line 632 "pars.yacc"
{
	    rg[yyvsp[-1].pset].active = yyvsp[0].pset;
	}
break;
case 32:
#line 635 "pars.yacc"
{
	    rg[yyvsp[-2].pset].type = yyvsp[0].pset;
	}
break;
case 33:
#line 638 "pars.yacc"
{
	    rg[yyvsp[-2].pset].color = checkon(COLOR, rg[yyvsp[-2].pset].color, (int) yyvsp[0].val);
	}
break;
case 34:
#line 641 "pars.yacc"
{
	    rg[yyvsp[-2].pset].lines = checkon(LINESTYLE, rg[yyvsp[-2].pset].lines, (int) yyvsp[0].val);
	}
break;
case 35:
#line 644 "pars.yacc"
{
	    rg[yyvsp[-2].pset].linew = checkon(LINEWIDTH, rg[yyvsp[-2].pset].linew, (int) yyvsp[0].val);
	}
break;
case 36:
#line 648 "pars.yacc"
{
	    rg[yyvsp[-8].pset].x1 = yyvsp[-6].val;
	    rg[yyvsp[-8].pset].y1 = yyvsp[-4].val;
	    rg[yyvsp[-8].pset].x2 = yyvsp[-2].val;
	    rg[yyvsp[-8].pset].y2 = yyvsp[0].val;
	}
break;
case 37:
#line 655 "pars.yacc"
{
	    if (rg[yyvsp[-4].pset].x == NULL || rg[yyvsp[-4].pset].n == 0) {
		rg[yyvsp[-4].pset].n = 0;
		rg[yyvsp[-4].pset].x = (double *) calloc(1, sizeof(double));
		rg[yyvsp[-4].pset].y = (double *) calloc(1, sizeof(double));
	    } else {
		rg[yyvsp[-4].pset].x = (double *) realloc(rg[yyvsp[-4].pset].x, (rg[yyvsp[-4].pset].n + 1) * sizeof(double));
		rg[yyvsp[-4].pset].y = (double *) realloc(rg[yyvsp[-4].pset].y, (rg[yyvsp[-4].pset].n + 1) * sizeof(double));
	    }
	    rg[yyvsp[-4].pset].x[rg[yyvsp[-4].pset].n] = yyvsp[-2].val;
	    rg[yyvsp[-4].pset].y[rg[yyvsp[-4].pset].n] = yyvsp[0].val;
	    rg[yyvsp[-4].pset].n++;
	}
break;
case 38:
#line 668 "pars.yacc"
{
	    rg[yyvsp[-2].pset].linkto[yyvsp[0].pset] = TRUE;
	}
break;
case 39:
#line 674 "pars.yacc"
{
#ifndef GRBATCH
	    drawgraph();
#endif
	}
break;
case 40:
#line 679 "pars.yacc"
{
	    auto_redraw = (yyvsp[0].pset == ON);
	}
break;
case 41:
#line 682 "pars.yacc"
{
	    char buf[MAXPATHLEN];
	    strcpy(buf, (char *) yyvsp[0].pset);
	    expand_tilde(buf); 
	    if (chdir(buf) >= 0) {
		strcpy(workingdir, buf);
	    	if (inwin) {
#ifndef GRBATCH
		    set_title(workingdir);
#endif
	        }
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 42:
#line 696 "pars.yacc"
{
	    if (inwin) {
#ifndef GRBATCH
		set_left_footer((char *) yyvsp[0].pset);
#endif
	    }
	    else {
		printf("%s\n", (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 43:
#line 707 "pars.yacc"
{
#ifndef GRBATCH
	    update_stuff_status();
#endif
	}
break;
case 44:
#line 712 "pars.yacc"
{
	    setbgcolor((int) yyvsp[0].val);
	}
break;
case 45:
#line 715 "pars.yacc"
{
#ifndef GRBATCH
	    xlibsetcmap((int) yyvsp[-6].val, (int) yyvsp[-4].val, (int) yyvsp[-2].val, (int) yyvsp[0].val);
#endif
	}
break;
case 46:
#line 720 "pars.yacc"
{
	    exit(0);
	}
break;
case 47:
#line 724 "pars.yacc"
{
#ifndef GRBATCH
            set_pagelayout(yyvsp[0].pset);
#endif
        }
break;
case 48:
#line 730 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 49:
#line 736 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 50:
#line 742 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 51:
#line 748 "pars.yacc"
{
	    if (inwin) {
		my_draw2((double) yyvsp[-2].val, (double) yyvsp[0].val);
#ifndef GRBATCH
		flush_pending();
#endif
	    }
	}
break;
case 52:
#line 756 "pars.yacc"
{
	    if (inwin) {
		my_move2((double) yyvsp[-2].val, (double) yyvsp[0].val);
	    }
	}
break;
case 53:
#line 761 "pars.yacc"
{
	    if (inwin) {
		double x = (double) yyvsp[-4].val;
		double y = (double) yyvsp[-2].val;
		drawpolysym(&x, &y, 1, (int) yyvsp[0].val, 0, 0, 1.0);
#ifndef GRBATCH
		flush_pending();
#endif
	    }
	}
break;
case 54:
#line 771 "pars.yacc"
{
	    if (inwin) {
		setcolor((int) yyvsp[0].val);
	    }
	}
break;
case 55:
#line 776 "pars.yacc"
{
	    if (inwin) {
		setlinewidth((int) yyvsp[0].val);
	    }
	}
break;
case 56:
#line 781 "pars.yacc"
{
	    if (inwin) {
		setlinestyle((int) yyvsp[0].val);
	    }
	}
break;
case 57:
#line 786 "pars.yacc"
{
	}
break;
case 58:
#line 790 "pars.yacc"
{
	    switch (yyvsp[0].pset) {
	    case UP:
		gwindup_proc();
		break;
	    case DOWN:
		gwinddown_proc();
		break;
	    case RIGHT:
		gwindright_proc();
		break;
	    case LEFT:
		gwindleft_proc();
		break;
	    case IN:
		gwindshrink_proc();
		break;
	    case OUT:
		gwindexpand_proc();
		break;
	    }
	}
break;
case 59:
#line 812 "pars.yacc"
{
	    scroll_proc((int) yyvsp[0].val);
	}
break;
case 60:
#line 815 "pars.yacc"
{
	    scrollinout_proc((int) yyvsp[0].val);
	}
break;
case 61:
#line 818 "pars.yacc"
{
	    scrolling_islinked = yyvsp[0].pset == ON;
	}
break;
case 62:
#line 821 "pars.yacc"
{
#ifndef GRBATCH
	    my_doublebuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 63:
#line 826 "pars.yacc"
{
#ifndef GRBATCH
	    my_frontbuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 64:
#line 831 "pars.yacc"
{
#ifndef GRBATCH
	    my_backbuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 65:
#line 836 "pars.yacc"
{
#ifndef GRBATCH
	    my_swapbuffer();
#endif
	}
break;
case 66:
#line 841 "pars.yacc"
{
	    sleep((int) yyvsp[0].val);
	}
break;
case 67:
#line 844 "pars.yacc"
{	/* TODO add delay function */
	}
break;
case 68:
#line 846 "pars.yacc"
{		/* TODO add abort flag and function */
	}
break;
case 69:
#line 849 "pars.yacc"
{
	    gotparams = TRUE;
	    strcpy(paramfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 70:
#line 855 "pars.yacc"
{
	    if (!fexists((char *) yyvsp[0].pset)) {
		FILE *pp = fopen((char *) yyvsp[0].pset, "w");
		if (pp != NULL) {
		    putparms(cg, pp, 0);
		    fclose(pp);
		} else {
		    errmsg("Unable to write parameter file");
		}
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 71:
#line 867 "pars.yacc"
{
	    cg = (int) yyvsp[0].pset;
	    g[cg].parmsread = TRUE;
	    change_gno = cg;
	}
break;
case 72:
#line 872 "pars.yacc"
{
	    curset = (int) yyvsp[0].pset;
	}
break;
case 73:
#line 877 "pars.yacc"
{
	    set_hotlink(cg, yyvsp[-3].pset, 1, (char *) yyvsp[0].pset, yyvsp[-1].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 74:
#line 881 "pars.yacc"
{
	    set_hotlink(yyvsp[-5].pset, yyvsp[-3].pset, 1, (char *) yyvsp[0].pset, yyvsp[-1].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 75:
#line 885 "pars.yacc"
{
	    set_hotlink(cg, yyvsp[-2].pset, yyvsp[0].pset == ON, NULL, 0);
	}
break;
case 76:
#line 888 "pars.yacc"
{
	    set_hotlink(yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset == ON, NULL, 0);
	}
break;
case 77:
#line 891 "pars.yacc"
{
	    do_activateset(cg, yyvsp[-1].pset, (int) yyvsp[0].val);
	}
break;
case 78:
#line 894 "pars.yacc"
{
	    do_activateset(yyvsp[-3].pset, yyvsp[-1].pset, (int) yyvsp[0].val);
	}
break;
case 79:
#line 897 "pars.yacc"
{
	    setlength(cg, yyvsp[-2].pset, (int) yyvsp[0].val);
	    updatesetminmax(cg, yyvsp[-2].pset);
#ifndef GRBATCH
	    update_set_status(cg, yyvsp[-2].pset);
#endif
	}
break;
case 80:
#line 904 "pars.yacc"
{
	    setlength(yyvsp[-4].pset, yyvsp[-2].pset, (int) yyvsp[0].val);
	    updatesetminmax(yyvsp[-4].pset, yyvsp[-2].pset);
#ifndef GRBATCH
	    update_set_status(yyvsp[-4].pset, yyvsp[-2].pset);
#endif
	}
break;
case 81:
#line 911 "pars.yacc"
{
	    add_point(cg, yyvsp[-4].pset, yyvsp[-2].val, yyvsp[0].val, 0.0, 0.0, XY);
	}
break;
case 82:
#line 914 "pars.yacc"
{
	    add_point(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].val, yyvsp[0].val, 0.0, 0.0, XY);
	}
break;
case 83:
#line 918 "pars.yacc"
{
	    int start = (int) yyvsp[-2].val - 1;
	    int stop = (int) yyvsp[0].val - 1;
	    int dist = stop - start + 1;
	    if (dist > 0 && start >= 0) {
	        droppoints(cg, yyvsp[-4].pset, start, stop, dist);
	    }
	}
break;
case 84:
#line 926 "pars.yacc"
{
	    int start = (int) yyvsp[-2].val - 1;
	    int stop = (int) yyvsp[0].val - 1;
	    int dist = stop - start + 1;
	    if (dist > 0 && start >= 0) {
	        droppoints(yyvsp[-6].pset, yyvsp[-4].pset, start, stop, dist);
	    }
	}
break;
case 85:
#line 934 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[-2].pset)) {
	        sortset(cg, yyvsp[-2].pset, yyvsp[-1].pset, yyvsp[0].pset == ASCENDING ? 0 : 1);
	    } else {
		errmsg("Set not active!");
	    }
	}
break;
case 86:
#line 941 "pars.yacc"
{
	    do_copyset(cg, yyvsp[-2].pset, cg, yyvsp[0].pset);
	}
break;
case 87:
#line 944 "pars.yacc"
{
	    do_copyset(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	}
break;
case 88:
#line 947 "pars.yacc"
{
	    do_moveset(cg, yyvsp[-2].pset, cg, yyvsp[0].pset);
	}
break;
case 89:
#line 950 "pars.yacc"
{
	    do_moveset(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	}
break;
case 90:
#line 954 "pars.yacc"
{
	    killset(cg, yyvsp[0].pset);
	}
break;
case 91:
#line 958 "pars.yacc"
{
	    int i;
	    for (i = 0; i < g[cg].maxplot; i++) {
		killset(cg, i);
	    }
	}
break;
case 92:
#line 964 "pars.yacc"
{ softkillset(cg, yyvsp[-1].pset); }
break;
case 93:
#line 966 "pars.yacc"
{
	    int i;
	    for (i = 0; i < g[cg].maxplot; i++) {
		softkillset(cg, i);
	    }
	}
break;
case 94:
#line 972 "pars.yacc"
{ kill_graph(yyvsp[0].pset); }
break;
case 95:
#line 973 "pars.yacc"
{ kill_graph(maxgraph); }
break;
case 96:
#line 974 "pars.yacc"
{ wipeout(0); }
break;
case 97:
#line 975 "pars.yacc"
{ arrange_graphs((int) yyvsp[-2].val, (int) yyvsp[0].val); }
break;
case 98:
#line 977 "pars.yacc"
{
	    int i, ilen = (int) yyvsp[-4].val;
	    if (ilen < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (ilen > maxarr) {
		maxarr = ilen;
		init_scratch_arrays(ilen);
	    }
	    for (i = 0; i < ilen; i++) {
		yyvsp[-5].ptr[i] = yyvsp[-2].val + yyvsp[0].val * i;
	    }
	}
break;
case 99:
#line 991 "pars.yacc"
{
	    int setno = yyvsp[-3].pset, ideg = (int) yyvsp[-1].val;
	    do_regress(setno, ideg, 0, -1, 0);
	}
break;
case 100:
#line 996 "pars.yacc"
{
	    do_running_command(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 101:
#line 1000 "pars.yacc"
{
	    do_fourier_command(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 102:
#line 1004 "pars.yacc"
{
	    do_spline(yyvsp[-7].pset, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val, SPLINE_CUBIC);
	}
break;
case 103:
#line 1008 "pars.yacc"
{
	    do_spline(yyvsp[-7].pset, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val, SPLINE_AKIMA);
	}
break;
case 104:
#line 1012 "pars.yacc"
{
	    do_interp(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 105:
#line 1016 "pars.yacc"
{
	    do_histo_command(yyvsp[-7].pset, SET_SELECT_NEXT, -1, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val);
	}
break;
case 106:
#line 1020 "pars.yacc"
{
	    do_differ(yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 107:
#line 1024 "pars.yacc"
{
	    do_int(yyvsp[-1].pset, 0);
	}
break;
case 108:
#line 1028 "pars.yacc"
{
	    do_xcor(yyvsp[-7].pset, yyvsp[-5].pset, (yyvsp[-3].val == BIASED) ? 0 : 1, (int) yyvsp[-1].val);
	}
break;
case 109:
#line 1032 "pars.yacc"
{
	    if (activeset(cg)) {
		defaultgraph(cg);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 110:
#line 1048 "pars.yacc"
{
	    if (activeset(cg)) {
		defaultx(cg, -1);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
#ifndef GRBATCH
		update_world(cg);
#endif
#ifndef GRBATCH
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 111:
#line 1064 "pars.yacc"
{
	    if (activeset(cg)) {
		defaulty(cg, -1);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 112:
#line 1078 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
		defaultsetgraph(cg, yyvsp[0].pset);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("Set not active");
	    }
	}
break;
case 113:
#line 1094 "pars.yacc"
{
            default_axis(cg, g[cg].auto_type, X_AXIS);
            default_axis(cg, g[cg].auto_type, ZX_AXIS);
            default_axis(cg, g[cg].auto_type, Y_AXIS);
            default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
            update_all(cg);
            drawgraph();
#endif
        }
break;
case 114:
#line 1105 "pars.yacc"
{
#ifndef GRBATCH
	    extern int go_locateflag;
	    go_locateflag = (yyvsp[0].pset == ON);
#endif
	}
break;
case 115:
#line 1112 "pars.yacc"
{
#ifndef GRBATCH
	    draw_focus(cg);
#endif
	    cg = (int) yyvsp[0].pset;
	    defineworld(g[cg].w.xg1, g[cg].w.yg1, g[cg].w.xg2, g[cg].w.yg2, 
			islogx(cg), islogy(cg));
	    viewport(g[cg].v.xv1, g[cg].v.yv1, g[cg].v.xv2, g[cg].v.yv2);
#ifndef GRBATCH
	    draw_focus(cg);
#endif
	    update_all(cg);
	}
break;
case 116:
#line 1125 "pars.yacc"
{
#ifndef GRBATCH
	    draw_focus_flag = yyvsp[0].pset;
#endif
	}
break;
case 117:
#line 1130 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 118:
#line 1133 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 119:
#line 1136 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 120:
#line 1139 "pars.yacc"
{
	    cursource = yyvsp[0].pset;
	}
break;
case 121:
#line 1142 "pars.yacc"
{
	    curtype = yyvsp[0].pset;
	    change_type = curtype;
	}
break;
case 122:
#line 1147 "pars.yacc"
{
	    readxformat = yyvsp[0].pset;
	}
break;
case 123:
#line 1151 "pars.yacc"
{
	    gotread = TRUE;
	    readtype = curtype;
	    readsrc = cursource;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 124:
#line 1159 "pars.yacc"
{
	    gotbatch = TRUE;
	    strcpy(batchfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 125:
#line 1165 "pars.yacc"
{
	    getdata(cg, (char *) yyvsp[0].pset, DISK, BLOCK);
	    free((char *) yyvsp[0].pset);
	}
break;
case 126:
#line 1170 "pars.yacc"
{
	    getdata(cg, (char *) yyvsp[0].pset, yyvsp[-1].pset, BLOCK);
	    free((char *) yyvsp[0].pset);
	}
break;
case 127:
#line 1175 "pars.yacc"
{
	    create_set_fromblock(cg, yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 128:
#line 1180 "pars.yacc"
{
	    gotread = TRUE;
	    readtype = yyvsp[-1].pset;
	    readsrc = cursource;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 129:
#line 1188 "pars.yacc"
{
	    gotread = TRUE;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    readtype = yyvsp[-2].pset;
	    readsrc = yyvsp[-1].pset;
	    free((char *) yyvsp[0].pset);
	}
break;
case 130:
#line 1196 "pars.yacc"
{
#ifndef GRBATCH
	    read_image((char *) yyvsp[0].pset);
#endif
	    free((char *) yyvsp[0].pset);
	}
break;
case 131:
#line 1203 "pars.yacc"
{
#ifndef GRBATCH
	    write_image((char *) yyvsp[0].pset);
#endif
	    free((char *) yyvsp[0].pset);
	}
break;
case 132:
#line 1210 "pars.yacc"
{
	    imagex = (int) yyvsp[-2].val;
	    imagey = (int) yyvsp[0].val;
	}
break;
case 133:
#line 1215 "pars.yacc"
{
	    outputset(cg, yyvsp[0].pset, (char *) NULL, (char *) NULL);
	}
break;
case 134:
#line 1219 "pars.yacc"
{
	    outputset(cg, yyvsp[-2].pset, (char *) NULL, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 135:
#line 1224 "pars.yacc"
{
	    outputset(cg, yyvsp[-2].pset, (char *) yyvsp[0].pset, (char *) NULL);
	    free((char *) yyvsp[0].pset);
	}
break;
case 136:
#line 1229 "pars.yacc"
{
	    outputset(cg, yyvsp[-4].pset, (char *) yyvsp[-2].pset, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[-2].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 137:
#line 1235 "pars.yacc"
{
            do_writesets(maxgraph, -1, 1, (char *) yyvsp[0].pset, sformat);
            free((char *) yyvsp[0].pset);
        }
break;
case 138:
#line 1239 "pars.yacc"
{
	    push_world();
	}
break;
case 139:
#line 1242 "pars.yacc"
{
	    pop_world();
	}
break;
case 140:
#line 1245 "pars.yacc"
{
	    cycle_world_stack();
	}
break;
case 141:
#line 1248 "pars.yacc"
{
	    if ((int) yyvsp[0].val > 0)
		show_world_stack((int) yyvsp[0].val - 1);
	}
break;
case 142:
#line 1253 "pars.yacc"
{
	    add_world(cg, yyvsp[-14].val, yyvsp[-12].val, yyvsp[-10].val, yyvsp[-8].val, yyvsp[-6].val, yyvsp[-4].val, yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 143:
#line 1256 "pars.yacc"
{
	    clear_world_stack();
	}
break;
case 144:
#line 1259 "pars.yacc"
{
	    do_clear_boxes();
	}
break;
case 145:
#line 1262 "pars.yacc"
{
	    curbox = next_box();
	}
break;
case 146:
#line 1265 "pars.yacc"
{
	    curbox = (int) yyvsp[0].val;
	}
break;
case 147:
#line 1268 "pars.yacc"
{
	    boxes[curbox].active = yyvsp[0].pset;
	}
break;
case 148:
#line 1271 "pars.yacc"
{
	    boxes[curbox].gno = yyvsp[0].pset;
	}
break;
case 149:
#line 1275 "pars.yacc"
{
	    if (curbox >= 0 && curbox < maxboxes) {
		boxes[curbox].x1 = yyvsp[-6].val;
		boxes[curbox].y1 = yyvsp[-4].val;
		boxes[curbox].x2 = yyvsp[-2].val;
		boxes[curbox].y2 = yyvsp[0].val;
	    }
	}
break;
case 150:
#line 1283 "pars.yacc"
{
	    box_loctype = yyvsp[0].pset;
	}
break;
case 151:
#line 1286 "pars.yacc"
{
	    box_lines = checkon(LINESTYLE, box_lines, (int) yyvsp[0].val);
	}
break;
case 152:
#line 1289 "pars.yacc"
{
	    box_linew = checkon(LINEWIDTH, box_linew, (int) yyvsp[0].val);
	}
break;
case 153:
#line 1292 "pars.yacc"
{
	    box_color = checkon(COLOR, box_color, (int) yyvsp[0].val);
	}
break;
case 154:
#line 1295 "pars.yacc"
{
	    box_fill = yyvsp[0].pset;
	}
break;
case 155:
#line 1298 "pars.yacc"
{
	    box_fillcolor = checkon(COLOR, box_fillcolor, (int) yyvsp[0].val);
	}
break;
case 156:
#line 1301 "pars.yacc"
{
	    box_fillpat = checkon(PATTERN, box_fillpat, (int) yyvsp[0].val);
	}
break;
case 157:
#line 1305 "pars.yacc"
{
	    if (curbox >= 0 && curbox < maxboxes) {
		boxes[curbox].lines = box_lines;
		boxes[curbox].linew = box_linew;
		boxes[curbox].color = box_color;
		boxes[curbox].fill = box_fill;
		boxes[curbox].fillcolor = box_fillcolor;
		boxes[curbox].fillpattern = box_fillpat;
		boxes[curbox].loctype = box_loctype;
	    }
	}
break;
case 158:
#line 1316 "pars.yacc"
{
	    do_clear_ellipses();
	}
break;
case 159:
#line 1319 "pars.yacc"
{
		curellipse = next_ellipse();
	}
break;
case 160:
#line 1322 "pars.yacc"
{
	    curellipse = (int) yyvsp[0].val;
	}
break;
case 161:
#line 1325 "pars.yacc"
{
	    ellip[curellipse].active = yyvsp[0].pset;
	}
break;
case 162:
#line 1328 "pars.yacc"
{
	    ellip[curellipse].gno = yyvsp[0].pset;
	}
break;
case 163:
#line 1332 "pars.yacc"
{
	    if (curellipse >= 0 && curellipse < maxellipses) {
		ellip[curellipse].x1 = yyvsp[-6].val;
		ellip[curellipse].y1 = yyvsp[-4].val;
		ellip[curellipse].x2 = yyvsp[-2].val;
		ellip[curellipse].y2 = yyvsp[0].val;
	    }
	}
break;
case 164:
#line 1340 "pars.yacc"
{
	    ellipse_loctype = yyvsp[0].pset;
	}
break;
case 165:
#line 1343 "pars.yacc"
{
	    ellipse_lines = checkon(LINESTYLE, ellipse_lines, (int) yyvsp[0].val);
	}
break;
case 166:
#line 1346 "pars.yacc"
{
	    ellipse_linew = checkon(LINEWIDTH, ellipse_linew, (int) yyvsp[0].val);
	}
break;
case 167:
#line 1349 "pars.yacc"
{
	    ellipse_color = checkon(COLOR, ellipse_color, (int) yyvsp[0].val);
	}
break;
case 168:
#line 1352 "pars.yacc"
{
	    ellipse_fill = yyvsp[0].pset;
	}
break;
case 169:
#line 1355 "pars.yacc"
{
	    ellipse_fillcolor = checkon(COLOR, ellipse_fillcolor, (int) yyvsp[0].val);
	}
break;
case 170:
#line 1358 "pars.yacc"
{
	    ellipse_fillpat = checkon(PATTERN, ellipse_fillpat, (int) yyvsp[0].val);
	}
break;
case 171:
#line 1362 "pars.yacc"
{
	    if (curellipse >= 0 && curellipse < maxellipses) {
		ellip[curellipse].lines = ellipse_lines;
		ellip[curellipse].linew = ellipse_linew;
		ellip[curellipse].color = ellipse_color;
		ellip[curellipse].fill = ellipse_fill;
		ellip[curellipse].fillcolor = ellipse_fillcolor;
		ellip[curellipse].fillpattern = ellipse_fillpat;
		ellip[curellipse].loctype = ellipse_loctype;
	    }
	}
break;
case 172:
#line 1373 "pars.yacc"
{
	    curline = next_line();
	}
break;
case 173:
#line 1376 "pars.yacc"
{
	    curline = (int) yyvsp[0].val;
	}
break;
case 174:
#line 1379 "pars.yacc"
{
	    do_clear_lines();
	}
break;
case 175:
#line 1382 "pars.yacc"
{
	    lines[curline].active = yyvsp[0].pset;
	}
break;
case 176:
#line 1385 "pars.yacc"
{
	    lines[curline].gno = yyvsp[0].pset;
	}
break;
case 177:
#line 1389 "pars.yacc"
{
	    lines[curline].x1 = yyvsp[-6].val;
	    lines[curline].y1 = yyvsp[-4].val;
	    lines[curline].x2 = yyvsp[-2].val;
	    lines[curline].y2 = yyvsp[0].val;
	}
break;
case 178:
#line 1395 "pars.yacc"
{
	    line_loctype = yyvsp[0].pset;
	}
break;
case 179:
#line 1398 "pars.yacc"
{
	    line_linew = checkon(LINEWIDTH, line_linew, (int) yyvsp[0].val);
	}
break;
case 180:
#line 1401 "pars.yacc"
{
	    line_lines = checkon(LINESTYLE, line_lines, (int) yyvsp[0].val);
	}
break;
case 181:
#line 1404 "pars.yacc"
{
	    line_color = checkon(COLOR, line_color, (int) yyvsp[0].val);
	}
break;
case 182:
#line 1407 "pars.yacc"
{
	    line_arrow = checkon(ARROW, line_arrow, (int) yyvsp[0].val);
	}
break;
case 183:
#line 1410 "pars.yacc"
{
	    line_asize = yyvsp[0].val;
	}
break;
case 184:
#line 1413 "pars.yacc"
{
	    line_atype = (int) yyvsp[0].val;
	}
break;
case 185:
#line 1417 "pars.yacc"
{
	    if (curline >= 0 && curline < maxlines) {
		lines[curline].lines = line_lines;
		lines[curline].linew = line_linew;
		lines[curline].color = line_color;
		lines[curline].arrow = line_arrow;
		lines[curline].asize = line_asize;
		lines[curline].atype = line_atype;
		lines[curline].loctype = line_loctype;
	    }
	}
break;
case 186:
#line 1428 "pars.yacc"
{
	    do_clear_text();
	}
break;
case 187:
#line 1431 "pars.yacc"
{ curstring = next_string(); }
break;
case 188:
#line 1432 "pars.yacc"
{ curstring = (int) yyvsp[0].val; }
break;
case 189:
#line 1433 "pars.yacc"
{ pstr[curstring].active = yyvsp[0].pset; }
break;
case 190:
#line 1434 "pars.yacc"
{ pstr[curstring].gno = yyvsp[0].pset; }
break;
case 191:
#line 1436 "pars.yacc"
{
	    pstr[curstring].x = yyvsp[-2].val;
	    pstr[curstring].y = yyvsp[0].val;
	}
break;
case 192:
#line 1440 "pars.yacc"
{ string_loctype = yyvsp[0].pset; }
break;
case 193:
#line 1441 "pars.yacc"
{ string_linew = checkon(LINEWIDTH, string_linew, (int) yyvsp[0].val); }
break;
case 194:
#line 1442 "pars.yacc"
{ string_color = checkon(COLOR, string_color, (int) yyvsp[0].val); }
break;
case 195:
#line 1443 "pars.yacc"
{ string_rot = (int) yyvsp[0].val; }
break;
case 196:
#line 1444 "pars.yacc"
{ string_font = checkon(FONTP, string_font, (int) yyvsp[0].val); }
break;
case 197:
#line 1445 "pars.yacc"
{ string_just = checkon(JUST, string_just, (int) yyvsp[0].val); }
break;
case 198:
#line 1446 "pars.yacc"
{ string_size = yyvsp[0].val; }
break;
case 199:
#line 1448 "pars.yacc"
{
	    set_plotstr_string(&pstr[curstring], (char *) yyvsp[0].pset);
	    pstr[curstring].linew = string_linew;
	    pstr[curstring].color = string_color;
	    pstr[curstring].font = string_font;
	    pstr[curstring].just = string_just;
	    pstr[curstring].loctype = string_loctype;
	    pstr[curstring].rot = string_rot;
	    pstr[curstring].charsize = string_size;
	    free((char *) yyvsp[0].pset);
	}
break;
case 200:
#line 1459 "pars.yacc"
{ timestamp.active = yyvsp[0].pset; }
break;
case 201:
#line 1460 "pars.yacc"
{ timestamp.font = checkon(FONTP, timestamp.font, (int) yyvsp[0].val); }
break;
case 202:
#line 1461 "pars.yacc"
{ timestamp.charsize = yyvsp[0].val; }
break;
case 203:
#line 1462 "pars.yacc"
{ timestamp.color = checkon(COLOR, timestamp.color, (int) yyvsp[0].val); }
break;
case 204:
#line 1463 "pars.yacc"
{ timestamp.linew = checkon(LINEWIDTH, timestamp.linew, (int) yyvsp[-1].pset); }
break;
case 205:
#line 1465 "pars.yacc"
{
	    timestamp.x = yyvsp[-2].val;
	    timestamp.y = yyvsp[0].val;
	}
break;
case 206:
#line 1469 "pars.yacc"
{
            defptype = curptype = yyvsp[0].val;
#ifndef GRBATCH
            update_saveproject_popup ();
#endif
        }
break;
case 207:
#line 1475 "pars.yacc"
{
	    grdefaults.lines = (int) yyvsp[0].val;
	}
break;
case 208:
#line 1478 "pars.yacc"
{
	    grdefaults.linew = (int) yyvsp[0].val;
	}
break;
case 209:
#line 1481 "pars.yacc"
{
	    grdefaults.color = (int) yyvsp[0].val;
	}
break;
case 210:
#line 1484 "pars.yacc"
{
	    grdefaults.charsize = yyvsp[0].val;
	}
break;
case 211:
#line 1487 "pars.yacc"
{
	    grdefaults.font = (int) yyvsp[0].val;
	}
break;
case 212:
#line 1490 "pars.yacc"
{
	    grdefaults.fontsrc = (int) yyvsp[0].val;
	}
break;
case 213:
#line 1493 "pars.yacc"
{
	    grdefaults.symsize = yyvsp[0].val;
	}
break;
case 214:
#line 1496 "pars.yacc"
{
	    strcpy(sformat, (char *) yyvsp[0].pset);
	}
break;
case 215:
#line 1501 "pars.yacc"
{
	    g[cg].w.xg1 = yyvsp[-6].val;
	    g[cg].w.yg1 = yyvsp[-4].val;
	    g[cg].w.xg2 = yyvsp[-2].val;
	    g[cg].w.yg2 = yyvsp[0].val;
	}
break;
case 216:
#line 1507 "pars.yacc"
{
	    g[cg].w.xg1 = yyvsp[0].val;
	}
break;
case 217:
#line 1510 "pars.yacc"
{
	    g[cg].w.xg2 = yyvsp[0].val;
	}
break;
case 218:
#line 1513 "pars.yacc"
{
	    g[cg].w.yg1 = yyvsp[0].val;
	}
break;
case 219:
#line 1516 "pars.yacc"
{
	    g[cg].w.yg2 = yyvsp[0].val;
	}
break;
case 220:
#line 1520 "pars.yacc"
{
            g[cg].rt.xg1 = yyvsp[-2].val;
            g[cg].rt.yg1 = yyvsp[0].val;
        }
break;
case 221:
#line 1525 "pars.yacc"
{
	    g[cg].v.xv1 = yyvsp[-6].val;
	    g[cg].v.yv1 = yyvsp[-4].val;
	    g[cg].v.xv2 = yyvsp[-2].val;
	    g[cg].v.yv2 = yyvsp[0].val;
	}
break;
case 222:
#line 1531 "pars.yacc"
{
	    g[cg].v.xv1 = yyvsp[0].val;
	}
break;
case 223:
#line 1534 "pars.yacc"
{
	    g[cg].v.xv2 = yyvsp[0].val;
	}
break;
case 224:
#line 1537 "pars.yacc"
{
	    g[cg].v.yv1 = yyvsp[0].val;
	}
break;
case 225:
#line 1540 "pars.yacc"
{
	    g[cg].v.yv2 = yyvsp[0].val;
	}
break;
case 226:
#line 1543 "pars.yacc"
{
	    set_plotstr_string(&g[cg].labs.title, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 227:
#line 1547 "pars.yacc"
{
	    g[cg].labs.title.font = checkon(FONTP, g[cg].labs.title.font, (int) yyvsp[0].val);
	}
break;
case 228:
#line 1550 "pars.yacc"
{
	    g[cg].labs.title.charsize = yyvsp[0].val;
	}
break;
case 229:
#line 1553 "pars.yacc"
{
	    g[cg].labs.title.color = checkon(COLOR, g[cg].labs.title.color, (int) yyvsp[0].val);
	}
break;
case 230:
#line 1557 "pars.yacc"
{
	    g[cg].labs.title.linew = checkon(LINEWIDTH, g[cg].labs.title.linew, (int) yyvsp[0].val);
	}
break;
case 231:
#line 1560 "pars.yacc"
{
	    set_plotstr_string(&g[cg].labs.stitle, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 232:
#line 1565 "pars.yacc"
{
	    g[cg].labs.stitle.font = checkon(FONTP, g[cg].labs.stitle.font, (int) yyvsp[0].val);
	}
break;
case 233:
#line 1568 "pars.yacc"
{
	    g[cg].labs.stitle.charsize = yyvsp[0].val;
	}
break;
case 234:
#line 1572 "pars.yacc"
{
	    g[cg].labs.stitle.color = checkon(COLOR, g[cg].labs.stitle.color, (int) yyvsp[0].val);
	}
break;
case 235:
#line 1576 "pars.yacc"
{
	    g[cg].labs.stitle.linew = checkon(LINEWIDTH, g[cg].labs.stitle.color, (int) yyvsp[0].val);
	}
break;
case 236:
#line 1579 "pars.yacc"
{
            strcat (description, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
            strcat (description, "\n");
#ifndef GRBATCH
            update_describe_popup ();
#endif
	}
break;
case 237:
#line 1587 "pars.yacc"
{
            *description = 0;
#ifndef GRBATCH
            update_describe_popup ();
#endif
        }
break;
case 238:
#line 1593 "pars.yacc"
{
	    realloc_plots((int) yyvsp[0].val);
	}
break;
case 239:
#line 1596 "pars.yacc"
{
	    g[cg].l.active = yyvsp[0].pset;
	}
break;
case 240:
#line 1599 "pars.yacc"
{
	    g[cg].l.loctype = yyvsp[0].pset;
	}
break;
case 241:
#line 1602 "pars.yacc"
{
	    g[cg].l.layout = (int) yyvsp[0].val;
	}
break;
case 242:
#line 1605 "pars.yacc"
{
	    g[cg].l.vgap = (int) yyvsp[0].val;
	}
break;
case 243:
#line 1608 "pars.yacc"
{
	    g[cg].l.hgap = (int) yyvsp[0].val;
	}
break;
case 244:
#line 1611 "pars.yacc"
{
	    g[cg].l.len = (int) yyvsp[0].val;
	}
break;
case 245:
#line 1614 "pars.yacc"
{
	    g[cg].l.box = yyvsp[0].pset;
	}
break;
case 246:
#line 1617 "pars.yacc"
{
	    g[cg].l.boxfill = yyvsp[0].pset;
	}
break;
case 247:
#line 1620 "pars.yacc"
{
	    g[cg].l.boxfillusing = yyvsp[0].pset;
	}
break;
case 248:
#line 1624 "pars.yacc"
{
	    if (yyvsp[-1].pset == COLOR) {
		g[cg].l.boxfillcolor = (int) yyvsp[0].val;
	    } else {
		g[cg].l.boxfillpat = (int) yyvsp[0].val;
	    }
	}
break;
case 249:
#line 1631 "pars.yacc"
{
	    g[cg].l.boxlcolor = checkon(COLOR, g[cg].l.boxlcolor, (int) yyvsp[0].val);
	}
break;
case 250:
#line 1634 "pars.yacc"
{
	    g[cg].l.boxlines = checkon(LINESTYLE, g[cg].l.boxlines, (int) yyvsp[0].val);
	}
break;
case 251:
#line 1637 "pars.yacc"
{
	    g[cg].l.boxlinew = checkon(LINEWIDTH, g[cg].l.boxlinew, (int) yyvsp[0].val);
	}
break;
case 252:
#line 1640 "pars.yacc"
{
	    g[cg].l.legx = yyvsp[-2].val;
	    g[cg].l.legy = yyvsp[0].val;
	}
break;
case 253:
#line 1644 "pars.yacc"
{
	    g[cg].l.legx = yyvsp[0].val;
	}
break;
case 254:
#line 1647 "pars.yacc"
{
	    g[cg].l.legy = yyvsp[0].val;
	}
break;
case 255:
#line 1650 "pars.yacc"
{
	    g[cg].l.charsize = yyvsp[0].val;
	}
break;
case 256:
#line 1653 "pars.yacc"
{
	    g[cg].l.font = checkon(FONTP, g[cg].l.font, (int) yyvsp[0].val);
	}
break;
case 257:
#line 1656 "pars.yacc"
{
	    g[cg].l.lines = checkon(LINESTYLE, g[cg].l.lines, (int) yyvsp[0].val);
	}
break;
case 258:
#line 1659 "pars.yacc"
{
	    g[cg].l.linew = checkon(LINEWIDTH, g[cg].l.linew, (int) yyvsp[0].val);
	}
break;
case 259:
#line 1662 "pars.yacc"
{
	    g[cg].l.color = checkon(COLOR, g[cg].l.color, (int) yyvsp[0].val);
	}
break;
case 260:
#line 1665 "pars.yacc"
{
	    strcpy(g[cg].p[(int) yyvsp[-1].val].lstr, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 261:
#line 1669 "pars.yacc"
{
	    g[cg].f.active = yyvsp[0].pset;
	}
break;
case 262:
#line 1672 "pars.yacc"
{
	    g[cg].f.type = (int) yyvsp[0].val;
	}
break;
case 263:
#line 1675 "pars.yacc"
{
	    g[cg].f.lines = checkon(LINESTYLE, g[cg].f.lines, (int) yyvsp[0].val);
	}
break;
case 264:
#line 1678 "pars.yacc"
{
	    g[cg].f.linew = checkon(LINEWIDTH, g[cg].f.linew, (int) yyvsp[0].val);
	}
break;
case 265:
#line 1681 "pars.yacc"
{
	    g[cg].f.color = checkon(COLOR, g[cg].f.color, (int) yyvsp[0].val);
	}
break;
case 266:
#line 1684 "pars.yacc"
{ g[cg].f.fillbg = yyvsp[0].pset; }
break;
case 267:
#line 1685 "pars.yacc"
{ g[cg].f.bgcolor = (int) yyvsp[0].val; }
break;
case 268:
#line 1686 "pars.yacc"
{ g[yyvsp[-1].pset].active = yyvsp[0].pset; }
break;
case 269:
#line 1687 "pars.yacc"
{ g[yyvsp[-2].pset].label = yyvsp[0].pset; }
break;
case 270:
#line 1688 "pars.yacc"
{ g[yyvsp[-3].pset].auto_type = yyvsp[0].pset; }
break;
case 271:
#line 1689 "pars.yacc"
{ g[yyvsp[-3].pset].auto_type = yyvsp[0].pset; }
break;
case 272:
#line 1690 "pars.yacc"
{ g[yyvsp[-2].pset].parmsread = (yyvsp[0].pset == FALSEP); }
break;
case 273:
#line 1691 "pars.yacc"
{ g[yyvsp[-2].pset].hidden = (yyvsp[0].pset == TRUEP); }
break;
case 274:
#line 1692 "pars.yacc"
{ g[yyvsp[-2].pset].type = yyvsp[0].pset; }
break;
case 275:
#line 1693 "pars.yacc"
{ g[yyvsp[-3].pset].barwid = yyvsp[0].val; }
break;
case 276:
#line 1694 "pars.yacc"
{ g[yyvsp[-3].pset].sbarwid = yyvsp[0].val; }
break;
case 277:
#line 1695 "pars.yacc"
{ g[yyvsp[-2].pset].pointset = (yyvsp[0].pset == ON); }
break;
case 278:
#line 1697 "pars.yacc"
{
	    g[yyvsp[-4].pset].fx = yyvsp[-1].pset;
	    g[yyvsp[-4].pset].fy = yyvsp[0].pset;
	}
break;
case 279:
#line 1702 "pars.yacc"
{
	    g[yyvsp[-5].pset].px = yyvsp[-2].val;
	    g[yyvsp[-5].pset].py = yyvsp[0].val;
	}
break;
case 280:
#line 1707 "pars.yacc"
{
	    g[yyvsp[-5].pset].dsx = yyvsp[-2].val;
	    g[yyvsp[-5].pset].dsy = yyvsp[0].val;
	}
break;
case 281:
#line 1711 "pars.yacc"
{ g[yyvsp[-3].pset].pt_type = (int) yyvsp[0].val; }
break;
case 282:
#line 1712 "pars.yacc"
{ realloc_graph_plots(yyvsp[-3].pset, (int) yyvsp[0].val); }
break;
case 283:
#line 1716 "pars.yacc"
{ yyval.val = BINARY; }
break;
case 284:
#line 1717 "pars.yacc"
{ yyval.val = ASCII; }
break;
case 285:
#line 1721 "pars.yacc"
{ g[cg].vp.vscale = yyvsp[0].val; }
break;
case 286:
#line 1722 "pars.yacc"
{ g[cg].vp.active = yyvsp[0].pset; }
break;
case 287:
#line 1723 "pars.yacc"
{ g[cg].vp.linew = (int) yyvsp[0].val; }
break;
case 288:
#line 1724 "pars.yacc"
{ g[cg].vp.lines = (int) yyvsp[0].val; }
break;
case 289:
#line 1725 "pars.yacc"
{ g[cg].vp.color = (int) yyvsp[0].val; }
break;
case 290:
#line 1726 "pars.yacc"
{ g[cg].vp.loctype = yyvsp[0].pset; }
break;
case 291:
#line 1727 "pars.yacc"
{ g[cg].vp.arrowtype = (int) yyvsp[0].val; }
break;
case 292:
#line 1731 "pars.yacc"
{ yyval.pset = XY; }
break;
case 293:
#line 1732 "pars.yacc"
{ yyval.pset = XYARC; }
break;
case 294:
#line 1733 "pars.yacc"
{ yyval.pset = XYBOX; }
break;
case 295:
#line 1734 "pars.yacc"
{ yyval.pset = XYBOXPLOT; }
break;
case 296:
#line 1735 "pars.yacc"
{ yyval.pset = XYHILO; }
break;
case 297:
#line 1736 "pars.yacc"
{ yyval.pset = XYRT; }
break;
case 298:
#line 1737 "pars.yacc"
{ yyval.pset = XYSEG; }
break;
case 299:
#line 1738 "pars.yacc"
{ yyval.pset = XYSTRING; }
break;
case 300:
#line 1739 "pars.yacc"
{ yyval.pset = XYDX; }
break;
case 301:
#line 1740 "pars.yacc"
{ yyval.pset = XYDY; }
break;
case 302:
#line 1741 "pars.yacc"
{ yyval.pset = XYDXDX; }
break;
case 303:
#line 1742 "pars.yacc"
{ yyval.pset = XYDYDY; }
break;
case 304:
#line 1743 "pars.yacc"
{ yyval.pset = XYDXDY; }
break;
case 305:
#line 1744 "pars.yacc"
{ yyval.pset = XYX2Y2; }
break;
case 306:
#line 1745 "pars.yacc"
{ yyval.pset = XYXX; }
break;
case 307:
#line 1746 "pars.yacc"
{ yyval.pset = XYYY; }
break;
case 308:
#line 1747 "pars.yacc"
{ yyval.pset = XYZ; }
break;
case 309:
#line 1748 "pars.yacc"
{ yyval.pset = XYZW; }
break;
case 310:
#line 1749 "pars.yacc"
{ yyval.pset = XYUV; }
break;
case 311:
#line 1750 "pars.yacc"
{ yyval.pset = TSV; }
break;
case 312:
#line 1751 "pars.yacc"
{ yyval.pset = NXY; }
break;
case 313:
#line 1752 "pars.yacc"
{ yyval.pset = BIN; }
break;
case 314:
#line 1753 "pars.yacc"
{ yyval.pset = POLY; }
break;
case 315:
#line 1754 "pars.yacc"
{ yyval.pset = RAWSPICE; }
break;
case 316:
#line 1758 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 317:
#line 1759 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 318:
#line 1760 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 319:
#line 1761 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 320:
#line 1762 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 321:
#line 1763 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 322:
#line 1764 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 323:
#line 1765 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 324:
#line 1766 "pars.yacc"
{ yyval.pset = XY;		/* not active */ }
break;
case 325:
#line 1767 "pars.yacc"
{ yyval.pset = XY;		/* not active */ }
break;
case 326:
#line 1768 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 327:
#line 1769 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 328:
#line 1770 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 329:
#line 1774 "pars.yacc"
{ yyval.pset = FREE; }
break;
case 330:
#line 1775 "pars.yacc"
{ yyval.pset = LANDSCAPE; }
break;
case 331:
#line 1776 "pars.yacc"
{ yyval.pset = PORTRAIT; }
break;
case 332:
#line 1777 "pars.yacc"
{ yyval.pset = FIXED; }
break;
case 340:
#line 1805 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 341:
#line 1808 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 342:
#line 1811 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, TYPE, yyvsp[0].pset, 0);
	}
break;
case 343:
#line 1814 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, MISSINGP, yyvsp[0].val, 0);
	}
break;
case 344:
#line 1817 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, PREC, (int) yyvsp[0].val, 0);
	}
break;
case 345:
#line 1820 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FORMAT, yyvsp[0].pset, 0);
	}
break;
case 346:
#line 1823 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, TYPE, (int) yyvsp[0].val, 0);
	}
break;
case 347:
#line 1826 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, FILL, (int) yyvsp[0].val, 0);
	}
break;
case 348:
#line 1829 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, CENTER, (yyvsp[0].pset == TRUEP), 0);
	}
break;
case 349:
#line 1832 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, SIZE, yyvsp[0].val, 0);
	}
break;
case 350:
#line 1835 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, CHAR, (int) yyvsp[0].val, 0);
	}
break;
case 351:
#line 1838 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, SKIP, (int) yyvsp[0].val, 0);
	}
break;
case 352:
#line 1841 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, COLOR, (int) yyvsp[0].val, 0);
	}
break;
case 353:
#line 1844 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 354:
#line 1847 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 355:
#line 1850 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, yyvsp[-1].pset, (int) yyvsp[0].val, 0);
	}
break;
case 356:
#line 1853 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, TYPE, (int) yyvsp[0].val, 0);
	}
break;
case 357:
#line 1856 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, WITH, yyvsp[0].pset, 0);
	}
break;
case 358:
#line 1859 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, yyvsp[-1].pset, (int) yyvsp[0].val, 0);
	}
break;
case 359:
#line 1862 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SKIP, (int) yyvsp[0].val, 0);
	}
break;
case 360:
#line 1865 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LENGTH, yyvsp[0].val, 0);
	}
break;
case 361:
#line 1868 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, TYPE, yyvsp[0].pset, 0);
	}
break;
case 362:
#line 1871 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 363:
#line 1874 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 364:
#line 1877 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 365:
#line 1880 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 366:
#line 1883 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 367:
#line 1886 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, XYZ, yyvsp[-2].val, yyvsp[0].val, 0);
	}
break;
case 368:
#line 1889 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, COMMENT, (char *) yyvsp[0].pset, 0);
	    free((char *) yyvsp[0].pset);
	}
break;
case 384:
#line 1920 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[0].pset, 0.0);
	}
break;
case 385:
#line 1923 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 386:
#line 1926 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 387:
#line 1929 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 388:
#line 1932 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 389:
#line 1935 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-2].pset, yyvsp[0].val);
	}
break;
case 390:
#line 1938 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].pset);
	}
break;
case 395:
#line 1948 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].active = yyvsp[0].pset;
	    }
	}
break;
case 398:
#line 1962 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_flag = yyvsp[0].pset;
	        g[cg].t[naxis].t_mflag = yyvsp[0].pset;
	    }
	}
break;
case 399:
#line 1968 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_flag = yyvsp[0].pset;
	    }
	}
break;
case 400:
#line 1973 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mflag = yyvsp[0].pset;
	    }
	}
break;
case 401:
#line 1978 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tmajor = yyvsp[0].val;
	    }
	}
break;
case 402:
#line 1983 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tminor = yyvsp[0].val;
	    }
	}
break;
case 403:
#line 1988 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].offsx = yyvsp[0].val;
	    }
	}
break;
case 404:
#line 1993 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].offsy = yyvsp[0].val;
	    }
	}
break;
case 405:
#line 1998 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].alt = yyvsp[0].pset;
	    }
	}
break;
case 406:
#line 2003 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tmin = yyvsp[0].val;
	    }
	}
break;
case 407:
#line 2008 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tmax = yyvsp[0].val;
	    }
	}
break;
case 408:
#line 2013 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_num = (int) yyvsp[0].val;
	    }
	}
break;
case 409:
#line 2018 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_inout = yyvsp[0].pset;
	    }
	}
break;
case 410:
#line 2023 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_log = yyvsp[0].pset;
	    }
	}
break;
case 411:
#line 2028 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_size = yyvsp[0].val;
	    }
	}
break;
case 412:
#line 2033 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_size = yyvsp[0].val;
	    }
	}
break;
case 413:
#line 2038 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_msize = yyvsp[0].val;
	    }
	}
break;
case 414:
#line 2043 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_color = g[cg].t[naxis].t_mcolor = (int) yyvsp[0].val;
	    }
	}
break;
case 415:
#line 2048 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_linew = g[cg].t[naxis].t_mlinew = (int) yyvsp[0].val;
	    }
	}
break;
case 416:
#line 2053 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_color = (int) yyvsp[0].val;
	    }
	}
break;
case 417:
#line 2058 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mcolor = (int) yyvsp[0].val;
	    }
	}
break;
case 418:
#line 2063 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_linew = (int) yyvsp[0].val;
	    }
	}
break;
case 419:
#line 2068 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mlinew = (int) yyvsp[0].val;
	    }
	}
break;
case 420:
#line 2073 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_lines = (int) yyvsp[0].val;
	    }
	}
break;
case 421:
#line 2078 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mlines = (int) yyvsp[0].val;
	    }
	}
break;
case 422:
#line 2083 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_gridflag = yyvsp[0].pset;
	    }
	}
break;
case 423:
#line 2088 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mgridflag = yyvsp[0].pset;
	    }
	}
break;
case 424:
#line 2093 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_op = yyvsp[0].pset;
	    }
	}
break;
case 425:
#line 2098 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_type = AUTO;
	    }
	}
break;
case 426:
#line 2103 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_type = SPEC;
	    }
	}
break;
case 427:
#line 2108 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_spec = (int) yyvsp[0].val;
	    }
	}
break;
case 428:
#line 2113 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_specloc[(int) yyvsp[-2].val] = yyvsp[0].val;
	    }
	}
break;
case 431:
#line 2126 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_flag = yyvsp[0].pset;
	    }
	}
break;
case 432:
#line 2131 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_type = AUTO;
	    }
	}
break;
case 433:
#line 2136 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_type = SPEC;
	    }
	}
break;
case 434:
#line 2141 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_prec = (int) yyvsp[0].val;
	    }
	}
break;
case 435:
#line 2146 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_format = yyvsp[0].pset;
	    }
	}
break;
case 436:
#line 2151 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_format = yyvsp[0].val;
	    }
	}
break;
case 437:
#line 2156 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        strcpy(g[cg].t[naxis].tl_appstr, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 438:
#line 2162 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        strcpy(g[cg].t[naxis].tl_prestr, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 439:
#line 2168 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = HORIZONTAL;
	    }
	}
break;
case 440:
#line 2173 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = VERTICAL;
	    }
	}
break;
case 441:
#line 2178 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = SPEC;
	    }
	}
break;
case 442:
#line 2183 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = ON;
	    }
	}
break;
case 443:
#line 2188 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = CENTER;
	    }
	}
break;
case 444:
#line 2193 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = LEFT;
	    }
	}
break;
case 445:
#line 2198 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = RIGHT;
	    }
	}
break;
case 446:
#line 2203 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_angle = (int) yyvsp[0].val;
	    }
	}
break;
case 447:
#line 2208 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_just = (int) yyvsp[0].pset;
	    }
	}
break;
case 448:
#line 2213 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_skip = (int) yyvsp[0].val;
	    }
	}
break;
case 449:
#line 2218 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_staggered = (int) yyvsp[0].val;
	    }
	}
break;
case 450:
#line 2223 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_op = yyvsp[0].pset;
	    }
	}
break;
case 451:
#line 2228 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_sign = yyvsp[0].pset;
	    }
	}
break;
case 452:
#line 2233 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_start = yyvsp[0].val;
	    }
	}
break;
case 453:
#line 2238 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_stop = yyvsp[0].val;
	    }
	}
break;
case 454:
#line 2243 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_starttype = (int) yyvsp[0].pset;
	    }
	}
break;
case 455:
#line 2248 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_starttype = (int) yyvsp[0].pset;
	    }
	}
break;
case 456:
#line 2253 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_stoptype = (int) yyvsp[0].pset;
	    }
	}
break;
case 457:
#line 2258 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_stoptype = (int) yyvsp[0].pset;
	    }
	}
break;
case 458:
#line 2263 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_vgap = yyvsp[0].val;
	    }
	}
break;
case 459:
#line 2268 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_hgap = yyvsp[0].val;
	    }
	}
break;
case 460:
#line 2273 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_charsize = yyvsp[0].val;
	    }
	}
break;
case 461:
#line 2278 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_font = (int) yyvsp[0].val;
	    }
	}
break;
case 462:
#line 2283 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_color = (int) yyvsp[0].val;
	    }
	}
break;
case 463:
#line 2288 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_linew = (int) yyvsp[0].val;
	    }
	}
break;
case 464:
#line 2293 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        set_plotstr_string(&g[cg].t[naxis].t_speclab[(int) yyvsp[-2].val], (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 465:
#line 2302 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        set_plotstr_string(&g[cg].t[naxis].label, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 466:
#line 2308 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_layout = PERP;
	    }
	}
break;
case 467:
#line 2313 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_layout = PARA;
	    }
	}
break;
case 468:
#line 2318 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_place = yyvsp[0].pset;
	    }
	}
break;
case 469:
#line 2323 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_place = yyvsp[0].pset;
	    }
	}
break;
case 470:
#line 2328 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.x = yyvsp[-2].val;
	        g[cg].t[naxis].label.y = yyvsp[0].val;
	    }
	}
break;
case 471:
#line 2334 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.just = (int) yyvsp[0].pset;
	    }
	}
break;
case 472:
#line 2339 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.charsize = yyvsp[0].val;
	    }
	}
break;
case 473:
#line 2344 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.font = (int) yyvsp[0].val;
	    }
	}
break;
case 474:
#line 2349 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.color = (int) yyvsp[0].val;
	    }
	}
break;
case 475:
#line 2354 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.linew = (int) yyvsp[0].val;
	    }
	}
break;
case 476:
#line 2362 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbar = yyvsp[0].pset;
	    }
	}
break;
case 477:
#line 2367 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbarcolor = (int) yyvsp[0].val;
	    }
	}
break;
case 478:
#line 2372 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbarlines = (int) yyvsp[0].val;
	    }
	}
break;
case 479:
#line 2377 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbarlinew = (int) yyvsp[0].val;
	    }
	}
break;
case 480:
#line 2386 "pars.yacc"
{
	    whichgraph = yyvsp[-2].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 481:
#line 2391 "pars.yacc"
{
	    whichgraph = cg;
	    whichset = yyvsp[0].pset;
	}
break;
case 482:
#line 2396 "pars.yacc"
{
	    whichgraph = cg;
	    whichset = yyvsp[0].pset;
	}
break;
case 483:
#line 2401 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 484:
#line 2406 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 485:
#line 2411 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 486:
#line 2417 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 487:
#line 2418 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 488:
#line 2419 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 489:
#line 2420 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 490:
#line 2421 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 491:
#line 2424 "pars.yacc"
{ yyval.pset = ON; }
break;
case 492:
#line 2425 "pars.yacc"
{ yyval.pset = OFF; }
break;
case 493:
#line 2428 "pars.yacc"
{ yyval.pset = COLOR; }
break;
case 494:
#line 2429 "pars.yacc"
{ yyval.pset = PATTERN; }
break;
case 495:
#line 2432 "pars.yacc"
{ yyval.pset = RUNAVG; }
break;
case 496:
#line 2433 "pars.yacc"
{ yyval.pset = RUNSTD; }
break;
case 497:
#line 2434 "pars.yacc"
{ yyval.pset = RUNMED; }
break;
case 498:
#line 2435 "pars.yacc"
{ yyval.pset = RUNMAX; }
break;
case 499:
#line 2436 "pars.yacc"
{ yyval.pset = RUNMIN; }
break;
case 500:
#line 2439 "pars.yacc"
{ yyval.pset = DFT; }
break;
case 501:
#line 2440 "pars.yacc"
{ yyval.pset = FFT; }
break;
case 502:
#line 2441 "pars.yacc"
{ yyval.pset = INVDFT; }
break;
case 503:
#line 2442 "pars.yacc"
{ yyval.pset = INVFFT; }
break;
case 504:
#line 2446 "pars.yacc"
{ yyval.val = BIASED; }
break;
case 505:
#line 2447 "pars.yacc"
{ yyval.val = UNBIASED; }
break;
case 506:
#line 2450 "pars.yacc"
{ yyval.pset = DISK; }
break;
case 507:
#line 2451 "pars.yacc"
{ yyval.pset = PIPE; }
break;
case 508:
#line 2454 "pars.yacc"
{ yyval.pset = PATTERN; }
break;
case 509:
#line 2455 "pars.yacc"
{ yyval.pset = COLOR; }
break;
case 510:
#line 2456 "pars.yacc"
{ yyval.pset = NONE; }
break;
case 511:
#line 2459 "pars.yacc"
{ yyval.pset = TOP; }
break;
case 512:
#line 2460 "pars.yacc"
{ yyval.pset = BOTTOM; }
break;
case 513:
#line 2461 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 514:
#line 2462 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 515:
#line 2463 "pars.yacc"
{ yyval.pset = BOTH; }
break;
case 516:
#line 2466 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 517:
#line 2467 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 518:
#line 2468 "pars.yacc"
{ yyval.pset = CENTER; }
break;
case 519:
#line 2471 "pars.yacc"
{ yyval.pset = MINP; }
break;
case 520:
#line 2472 "pars.yacc"
{ yyval.pset = MAXP; }
break;
case 521:
#line 2475 "pars.yacc"
{ yyval.pset = AVG; }
break;
case 522:
#line 2476 "pars.yacc"
{ yyval.pset = SD; }
break;
case 523:
#line 2479 "pars.yacc"
{ yyval.pset = TRUEP; }
break;
case 524:
#line 2480 "pars.yacc"
{ yyval.pset = FALSEP; }
break;
case 525:
#line 2483 "pars.yacc"
{ yyval.pset = IN; }
break;
case 526:
#line 2484 "pars.yacc"
{ yyval.pset = OUT; }
break;
case 527:
#line 2485 "pars.yacc"
{ yyval.pset = BOTH; }
break;
case 528:
#line 2488 "pars.yacc"
{ yyval.pset = DECIMAL; }
break;
case 529:
#line 2489 "pars.yacc"
{ yyval.pset = EXPONENTIAL; }
break;
case 530:
#line 2490 "pars.yacc"
{ yyval.pset = POWER; }
break;
case 531:
#line 2491 "pars.yacc"
{ yyval.pset = GENERAL; }
break;
case 532:
#line 2492 "pars.yacc"
{ yyval.pset = DDMMYY; }
break;
case 533:
#line 2493 "pars.yacc"
{ yyval.pset = MMDDYY; }
break;
case 534:
#line 2494 "pars.yacc"
{ yyval.pset = YYMMDD; }
break;
case 535:
#line 2495 "pars.yacc"
{ yyval.pset = MMYY; }
break;
case 536:
#line 2496 "pars.yacc"
{ yyval.pset = MMDD; }
break;
case 537:
#line 2497 "pars.yacc"
{ yyval.pset = MONTHDAY; }
break;
case 538:
#line 2498 "pars.yacc"
{ yyval.pset = DAYMONTH; }
break;
case 539:
#line 2499 "pars.yacc"
{ yyval.pset = MONTHS; }
break;
case 540:
#line 2500 "pars.yacc"
{ yyval.pset = MONTHSY; }
break;
case 541:
#line 2501 "pars.yacc"
{ yyval.pset = MONTHL; }
break;
case 542:
#line 2502 "pars.yacc"
{ yyval.pset = DAYOFWEEKS; }
break;
case 543:
#line 2503 "pars.yacc"
{ yyval.pset = DAYOFWEEKL; }
break;
case 544:
#line 2504 "pars.yacc"
{ yyval.pset = DAYOFYEAR; }
break;
case 545:
#line 2505 "pars.yacc"
{ yyval.pset = HMS; }
break;
case 546:
#line 2506 "pars.yacc"
{ yyval.pset = MMDDHMS; }
break;
case 547:
#line 2507 "pars.yacc"
{ yyval.pset = MMDDYYHMS; }
break;
case 548:
#line 2508 "pars.yacc"
{ yyval.pset = YYMMDDHMS; }
break;
case 549:
#line 2509 "pars.yacc"
{ yyval.pset = DEGREESLON; }
break;
case 550:
#line 2510 "pars.yacc"
{ yyval.pset = DEGREESMMLON; }
break;
case 551:
#line 2511 "pars.yacc"
{ yyval.pset = DEGREESMMSSLON; }
break;
case 552:
#line 2512 "pars.yacc"
{ yyval.pset = MMSSLON; }
break;
case 553:
#line 2513 "pars.yacc"
{ yyval.pset = DEGREESLAT; }
break;
case 554:
#line 2514 "pars.yacc"
{ yyval.pset = DEGREESMMLAT; }
break;
case 555:
#line 2515 "pars.yacc"
{ yyval.pset = DEGREESMMSSLAT; }
break;
case 556:
#line 2516 "pars.yacc"
{ yyval.pset = MMSSLAT; }
break;
case 557:
#line 2519 "pars.yacc"
{ yyval.pset = NORMAL; }
break;
case 558:
#line 2520 "pars.yacc"
{ yyval.pset = ABSOLUTE; }
break;
case 559:
#line 2521 "pars.yacc"
{ yyval.pset = NEGATE; }
break;
case 560:
#line 2524 "pars.yacc"
{ yyval.pset = UP; }
break;
case 561:
#line 2525 "pars.yacc"
{ yyval.pset = DOWN; }
break;
case 562:
#line 2526 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 563:
#line 2527 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 564:
#line 2528 "pars.yacc"
{ yyval.pset = IN; }
break;
case 565:
#line 2529 "pars.yacc"
{ yyval.pset = OUT; }
break;
case 566:
#line 2532 "pars.yacc"
{ yyval.pset = WORLD; }
break;
case 567:
#line 2533 "pars.yacc"
{ yyval.pset = VIEW; }
break;
case 568:
#line 2536 "pars.yacc"
{ yyval.pset = ASCENDING; }
break;
case 569:
#line 2537 "pars.yacc"
{ yyval.pset = DESCENDING; }
break;
case 570:
#line 2540 "pars.yacc"
{ yyval.pset = X; }
break;
case 571:
#line 2541 "pars.yacc"
{ yyval.pset = Y; }
break;
case 572:
#line 2544 "pars.yacc"
{ yyval.pset = X; }
break;
case 573:
#line 2545 "pars.yacc"
{ yyval.pset = Y; }
break;
case 574:
#line 2546 "pars.yacc"
{ yyval.pset = X0; }
break;
case 575:
#line 2547 "pars.yacc"
{ yyval.pset = Y0; }
break;
case 576:
#line 2548 "pars.yacc"
{ yyval.pset = Y1; }
break;
case 577:
#line 2549 "pars.yacc"
{ yyval.pset = Y2; }
break;
case 578:
#line 2550 "pars.yacc"
{ yyval.pset = Y3; }
break;
case 579:
#line 2551 "pars.yacc"
{ yyval.pset = Y4; }
break;
case 580:
#line 2552 "pars.yacc"
{ yyval.pset = Y5; }
break;
case 581:
#line 2557 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    if (itmp >= ls) {
		yyerror("Subscript out of range");
		return 1;
	    } else {
		yyvsp[-5].ptr[itmp] = yyvsp[0].val;
		result = yyvsp[0].val;
	    }
	}
break;
case 582:
#line 2568 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(cg, curset, yyvsp[-3].val);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(cg, curset);
#ifndef GRBATCH
	    update_set_status(cg, curset);
#endif
	}
break;
case 583:
#line 2585 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(cg, yyvsp[-7].pset, yyvsp[-5].pset);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(cg, yyvsp[-7].pset);
#ifndef GRBATCH
	    update_set_status(cg, yyvsp[-7].pset);
#endif
	}
break;
case 584:
#line 2602 "pars.yacc"
{
	    set_prop(cg, SET, SETNUM, yyvsp[-4].pset, SYMBOL, TYPE, (int) yyvsp[0].val, 0);
	    result = 0;
	}
break;
case 585:
#line 2614 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(yyvsp[-9].pset, yyvsp[-7].pset, yyvsp[-5].pset);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(yyvsp[-9].pset, yyvsp[-7].pset);
#ifndef GRBATCH
	    update_set_status(yyvsp[-9].pset, yyvsp[-7].pset);
#endif
	}
break;
case 586:
#line 2634 "pars.yacc"
{
	    if (yyvsp[-2].pset == X) {
		*xx = yyvsp[0].val;
	    } else {
		*yy = yyvsp[0].val;
	    }
	}
break;
case 587:
#line 2645 "pars.yacc"
{
	    int i;
	    if (ls < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (ls > maxarr) {
		maxarr = ls;
		init_scratch_arrays(ls);
	    }
	    for (i = 0; i < lxy; i++) {
		yyvsp[-2].ptr[i] = yyvsp[0].ptr[i];
	    }
	    result = yyvsp[0].ptr[0];
	}
break;
case 588:
#line 2660 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, curset)) {
		activateset(cg, curset);
		setlength(cg, curset, lxy);
		setcomment(cg, curset, "Created");
	    }
	    ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(cg, curset);
#ifndef GRBATCH
	        update_set_status(cg, curset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 589:
#line 2685 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
	        do_copyset(cg, yyvsp[0].pset, cg, yyvsp[-2].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 590:
#line 2694 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
	        do_copyset(cg, yyvsp[0].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 591:
#line 2703 "pars.yacc"
{
	    if (isactive_set(yyvsp[-2].pset, yyvsp[0].pset)) {
	        do_copyset(yyvsp[-2].pset, yyvsp[0].pset, cg, yyvsp[-4].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 592:
#line 2712 "pars.yacc"
{
	    if (isactive_set(yyvsp[-2].pset, yyvsp[0].pset)) {
	        do_copyset(yyvsp[-2].pset, yyvsp[0].pset, yyvsp[-6].pset, yyvsp[-4].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 593:
#line 2720 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, yyvsp[-4].pset)) {
		activateset(cg, yyvsp[-4].pset);
		setlength(cg, yyvsp[-4].pset, lxy);
		setcomment(cg, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(cg, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(cg, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 594:
#line 2745 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(yyvsp[-6].pset, yyvsp[-4].pset)) {
		activateset(yyvsp[-6].pset, yyvsp[-4].pset);
		setlength(yyvsp[-6].pset, yyvsp[-4].pset, lxy);
		setcomment(yyvsp[-6].pset, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(yyvsp[-6].pset, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(yyvsp[-6].pset, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 595:
#line 2770 "pars.yacc"
{
	    int i;
	    if (lxy < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (lxy > maxarr) {
		maxarr = lxy;
		init_scratch_arrays(lxy);
	    }
	    for (i = 0; i < lxy; i++) {
		yyvsp[-2].ptr[i] = yyvsp[0].val;
	    }
	    result = yyvsp[0].val;
	}
break;
case 596:
#line 2785 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, curset)) {
		activateset(cg, curset);
		setlength(cg, curset, lxy);
		setcomment(cg, curset, "Created");
	    }
	    ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(cg, curset);
#ifndef GRBATCH
	        update_set_status(cg, curset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 597:
#line 2810 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, yyvsp[-4].pset)) {
		activateset(cg, yyvsp[-4].pset);
		setlength(cg, yyvsp[-4].pset, lxy);
		setcomment(cg, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(cg, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(cg, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 598:
#line 2835 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(yyvsp[-6].pset, yyvsp[-4].pset)) {
		activateset(yyvsp[-6].pset, yyvsp[-4].pset);
		setlength(yyvsp[-6].pset, yyvsp[-4].pset, lxy);
		setcomment(yyvsp[-6].pset, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(yyvsp[-6].pset, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(yyvsp[-6].pset, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 599:
#line 2863 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (lxy < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (lxy > maxarr) {
		maxarr = lxy;
		init_scratch_arrays(lxy);
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].ptr[i];
	    }
	}
break;
case 600:
#line 2879 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(cg, curset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 601:
#line 2893 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(cg, yyvsp[-2].pset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 602:
#line 2907 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 603:
#line 2921 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].val;
	    }
	}
break;
case 604:
#line 2930 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val + yyvsp[0].val;
	    }
	}
break;
case 605:
#line 2939 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] + yyvsp[0].ptr[i];
	    }
	}
break;
case 606:
#line 2948 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val + yyvsp[0].ptr[i];
	    }
	}
break;
case 607:
#line 2957 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] + yyvsp[0].val;
	    }
	}
break;
case 608:
#line 2966 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val - yyvsp[0].val;
	    }
	}
break;
case 609:
#line 2975 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] - yyvsp[0].ptr[i];
	    }
	}
break;
case 610:
#line 2984 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val - yyvsp[0].ptr[i];
	    }
	}
break;
case 611:
#line 2993 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] - yyvsp[0].val;
	    }
	}
break;
case 612:
#line 3002 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val * yyvsp[0].val;
	    }
	}
break;
case 613:
#line 3011 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] * yyvsp[0].ptr[i];
	    }
	}
break;
case 614:
#line 3020 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val * yyvsp[0].ptr[i];
	    }
	}
break;
case 615:
#line 3029 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] * yyvsp[0].val;
	    }
	}
break;
case 616:
#line 3038 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (yyvsp[0].val == 0.0) {
		yyerror("Divide by Zero");
		return 1;
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val / yyvsp[0].val;
	    }
	}
break;
case 617:
#line 3051 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		if (yyvsp[0].ptr[i] == 0.0) {
		    yyerror("Divide by Zero");
		    return 1;
		}
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] / yyvsp[0].ptr[i];
	    }
	}
break;
case 618:
#line 3066 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		if (yyvsp[0].ptr[i] == 0.0) {
		    yyerror("Divide by Zero");
		    return 1;
		}
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val / yyvsp[0].ptr[i];
	    }
	}
break;
case 619:
#line 3081 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (yyvsp[0].val == 0.0) {
		yyerror("Divide by Zero");
		return 1;
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] / yyvsp[0].val;
	    }
	}
break;
case 620:
#line 3094 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].val, yyvsp[0].val);
	    }
	}
break;
case 621:
#line 3103 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].val, yyvsp[0].ptr[i]);
	    }
	}
break;
case 622:
#line 3112 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].ptr[i], yyvsp[0].val);
	    }
	}
break;
case 623:
#line 3121 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].ptr[i], yyvsp[0].ptr[i]);
	    }
	}
break;
case 624:
#line 3130 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fabs(yyvsp[-1].val);
	    }
	}
break;
case 625:
#line 3139 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fabs(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 626:
#line 3148 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = acos(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 627:
#line 3157 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = acosh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 628:
#line 3166 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = asin(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 629:
#line 3175 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = asinh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 630:
#line 3184 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atan(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 631:
#line 3193 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atanh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 632:
#line 3202 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atan2(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 633:
#line 3211 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ceil(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 634:
#line 3220 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = cos(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 635:
#line 3229 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = cosh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 636:
#line 3238 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] *= M_PI / 180.0;
	    }
	}
break;
case 637:
#line 3247 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = erf(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 638:
#line 3256 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = erfc(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 639:
#line 3265 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = exp(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 640:
#line 3274 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = floor(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 641:
#line 3283 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 642:
#line 3292 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].val, yyvsp[-1].ptr[i]);
	    }
	}
break;
case 643:
#line 3301 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].ptr[i], yyvsp[-1].val);
	    }
	}
break;
case 644:
#line 3310 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].val, yyvsp[-1].val);
	    }
	}
break;
case 645:
#line 3319 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = i + 1;
	    }
	}
break;
case 646:
#line 3328 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].func;
	    }
	}
break;
case 647:
#line 3337 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = (int) yyvsp[-1].ptr[i];
	    }
	}
break;
case 648:
#line 3346 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invnorm(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 649:
#line 3355 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invt(yyvsp[-3].val, (int) yyvsp[-1].val);
	    }
	}
break;
case 650:
#line 3364 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invt(yyvsp[-3].ptr[i], (int) yyvsp[-1].val);
	    }
	}
break;
case 651:
#line 3373 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = lrand48() % (long) (yyvsp[-1].val);
	    }
	}
break;
case 652:
#line 3382 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = lgamma(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 653:
#line 3391 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = log(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 654:
#line 3400 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = log10(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 655:
#line 3409 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = 1.0 / (1.0 + exp(-(yyvsp[-5].ptr[i] - yyvsp[-3].val)/ yyvsp[-1].val));
	    }
	}
break;
case 656:
#line 3418 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-3].ptr[i] >= yyvsp[-1].ptr[i] ? yyvsp[-3].ptr[i] : yyvsp[-1].ptr[i];
	    }
	}
break;
case 657:
#line 3427 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-3].ptr[i] <= yyvsp[-1].ptr[i] ? yyvsp[-3].ptr[i] : yyvsp[-1].ptr[i];
	    }
	}
break;
case 658:
#line 3436 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fmod(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 659:
#line 3445 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fx(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 660:
#line 3454 "pars.yacc"
{
	    int i;
	    double tmp;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = normp(yyvsp[-1].ptr[i], &tmp);
	    }
	}
break;
case 661:
#line 3464 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = M_PI;
	    }
	}
break;
case 662:
#line 3473 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = M_PI / 180.0;
	    }
	}
break;
case 663:
#line 3482 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = (double) drand48();
	    }
	}
break;
case 664:
#line 3491 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 665:
#line 3500 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].val, yyvsp[-1].ptr[i]);
	    }
	}
break;
case 666:
#line 3509 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].ptr[i], yyvsp[-1].val);
	    }
	}
break;
case 667:
#line 3518 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].val, yyvsp[-1].val);
	    }
	}
break;
case 668:
#line 3527 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sin(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 669:
#line 3536 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sinh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 670:
#line 3545 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-1].ptr[i] * yyvsp[-1].ptr[i];
	    }
	}
break;
case 671:
#line 3554 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sqrt(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 672:
#line 3563 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = tan(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 673:
#line 3572 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = tanh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 674:
#line 3580 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
	        if ((int) yyvsp[-4].ptr[i]) {
		    yyval.ptr[i] = yyvsp[-2].ptr[i];
	        } else {
		    yyval.ptr[i] = yyvsp[0].ptr[i];
	        }
	    }
	}
break;
case 675:
#line 3593 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] > yyvsp[0].ptr[i];
	    }
	}
break;
case 676:
#line 3602 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] < yyvsp[0].ptr[i];
	    }
	}
break;
case 677:
#line 3611 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] <= yyvsp[0].ptr[i];
	    }
	}
break;
case 678:
#line 3620 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] >= yyvsp[0].ptr[i];
	    }
	}
break;
case 679:
#line 3629 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] == yyvsp[0].ptr[i];
	    }
	}
break;
case 680:
#line 3638 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] != yyvsp[0].ptr[i];
	    }
	}
break;
case 681:
#line 3647 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] && yyvsp[0].ptr[i];
	    }
	}
break;
case 682:
#line 3656 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] || yyvsp[0].ptr[i];
	    }
	}
break;
case 683:
#line 3665 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = !(yyvsp[0].ptr[i]);
	    }
	}
break;
case 684:
#line 3674 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-1].ptr[i];
	    }
	}
break;
case 685:
#line 3682 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = -yyvsp[0].ptr[i];
	    }
	}
break;
case 687:
#line 3693 "pars.yacc"
{
	    yyval.val = yyvsp[0].val;
	}
break;
case 688:
#line 3696 "pars.yacc"
{
	    yyval.val = yyvsp[-3].ptr[(int) yyvsp[-1].val];
	}
break;
case 689:
#line 3699 "pars.yacc"
{
	    yyval.val = (yyvsp[0].pset == X) ? *xx : *yy;
	}
break;
case 690:
#line 3702 "pars.yacc"
{
	    double *ptr = getvptr(cg, curset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 691:
#line 3712 "pars.yacc"
{
	    double *ptr = getvptr(cg, yyvsp[-5].pset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 692:
#line 3722 "pars.yacc"
{
	    double *ptr = getvptr(yyvsp[-7].pset, yyvsp[-5].pset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 693:
#line 3732 "pars.yacc"
{
	    double *ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[cg].p[yyvsp[-4].pset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[cg].p[yyvsp[-4].pset].len);
		break;
	    }
	}
break;
case 694:
#line 3747 "pars.yacc"
{
	    double *ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[yyvsp[-6].pset].p[yyvsp[-4].pset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[yyvsp[-6].pset].p[yyvsp[-4].pset].len);
		break;
	    }
	}
break;
case 695:
#line 3762 "pars.yacc"
{
	    double *ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[cg].p[curset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[cg].p[curset].len);
		break;
	    }
	}
break;
case 696:
#line 3777 "pars.yacc"
{
	    yyval.val = g[yyvsp[-4].pset].p[yyvsp[-2].pset].len;
	}
break;
case 697:
#line 3780 "pars.yacc"
{
	    yyval.val = g[cg].p[yyvsp[-2].pset].len;
	}
break;
case 698:
#line 3783 "pars.yacc"
{
	    yyval.val = g[cg].p[curset].len;
	}
break;
case 699:
#line 3786 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(yyvsp[-6].pset, yyvsp[-4].pset), &bar, &sd, 0);
                switch (yyvsp[0].pset) {
                case AVG:;
	            yyval.val = bar;
                    break;
                case SD:
                    yyval.val = sd;
                    break;
                }
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 700:
#line 3805 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(cg, yyvsp[-4].pset), &bar, &sd, 0);
                switch (yyvsp[0].pset) {
                case AVG:;
	            yyval.val = bar;
                    break;
                case SD:
                    yyval.val = sd;
                    break;
                }
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 701:
#line 3824 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(cg, curset), &bar, &sd, 0);
                switch (yyvsp[0].pset) {
                case AVG:;
	            yyval.val = bar;
                    break;
                case SD:
                    yyval.val = sd;
                    break;
                }
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 702:
#line 3843 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val + yyvsp[0].val;
	}
break;
case 703:
#line 3846 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val - yyvsp[0].val;
	}
break;
case 704:
#line 3849 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val * yyvsp[0].val;
	}
break;
case 705:
#line 3853 "pars.yacc"
{
	    if (yyvsp[0].val != 0.0) {
		yyval.val = yyvsp[-2].val / yyvsp[0].val;
	    } else {
		yyerror("Divide by Zero");
		return 1;
	    }
	}
break;
case 706:
#line 3861 "pars.yacc"
{
	    yyval.val = fmod(yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 707:
#line 3864 "pars.yacc"
{
	    yyval.val = pow(yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 708:
#line 3867 "pars.yacc"
{
	    yyval.val = fabs(yyvsp[-1].val);
	}
break;
case 709:
#line 3870 "pars.yacc"
{
	    yyval.val = acos(yyvsp[-1].val);
	}
break;
case 710:
#line 3873 "pars.yacc"
{
	    yyval.val = acosh(yyvsp[-1].val);
	}
break;
case 711:
#line 3876 "pars.yacc"
{
	    yyval.val = asin(yyvsp[-1].val);
	}
break;
case 712:
#line 3879 "pars.yacc"
{
	    yyval.val = asinh(yyvsp[-1].val);
	}
break;
case 713:
#line 3882 "pars.yacc"
{
	    yyval.val = atan(yyvsp[-1].val);
	}
break;
case 714:
#line 3885 "pars.yacc"
{
	    yyval.val = atanh(yyvsp[-1].val);
	}
break;
case 715:
#line 3888 "pars.yacc"
{
	    yyval.val = atan2(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 716:
#line 3891 "pars.yacc"
{
	    yyval.val = ceil(yyvsp[-1].val);
	}
break;
case 717:
#line 3894 "pars.yacc"
{
	    yyval.val = cos(yyvsp[-1].val);
	}
break;
case 718:
#line 3897 "pars.yacc"
{
	    yyval.val = cosh(yyvsp[-1].val);
	}
break;
case 719:
#line 3900 "pars.yacc"
{
	    yyval.val = 180.0 / M_PI;
	}
break;
case 720:
#line 3903 "pars.yacc"
{
	    yyval.val = erf(yyvsp[-1].val);
	}
break;
case 721:
#line 3906 "pars.yacc"
{
	    yyval.val = erfc(yyvsp[-1].val);
	}
break;
case 722:
#line 3909 "pars.yacc"
{
	    yyval.val = exp(yyvsp[-1].val);
	}
break;
case 723:
#line 3912 "pars.yacc"
{
	    yyval.val = floor(yyvsp[-1].val);
	}
break;
case 724:
#line 3915 "pars.yacc"
{
	    yyval.val = my_hypot(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 725:
#line 3918 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.xv1;
	}
break;
case 726:
#line 3921 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.xv2;
	}
break;
case 727:
#line 3924 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.yv1;
	}
break;
case 728:
#line 3927 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.yv2;
	}
break;
case 729:
#line 3930 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.xg1;
	}
break;
case 730:
#line 3933 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.xg2;
	}
break;
case 731:
#line 3936 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.yg1;
	}
break;
case 732:
#line 3939 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.yg2;
	}
break;
case 733:
#line 3942 "pars.yacc"
{
	    yyval.val = g[cg].v.xv1;
	}
break;
case 734:
#line 3945 "pars.yacc"
{
	    yyval.val = g[cg].v.xv2;
	}
break;
case 735:
#line 3948 "pars.yacc"
{
	    yyval.val = g[cg].v.yv1;
	}
break;
case 736:
#line 3951 "pars.yacc"
{
	    yyval.val = g[cg].v.yv2;
	}
break;
case 737:
#line 3954 "pars.yacc"
{
	    yyval.val = g[cg].w.xg1;
	}
break;
case 738:
#line 3957 "pars.yacc"
{
	    yyval.val = g[cg].w.xg2;
	}
break;
case 739:
#line 3960 "pars.yacc"
{
	    yyval.val = g[cg].w.yg1;
	}
break;
case 740:
#line 3963 "pars.yacc"
{
	    yyval.val = g[cg].w.yg2;
	}
break;
case 741:
#line 3966 "pars.yacc"
{
	    yyval.val = g[cg].w.xg2 - g[cg].w.xg1;
	}
break;
case 742:
#line 3969 "pars.yacc"
{
	    yyval.val = g[cg].w.yg2 - g[cg].w.yg1;
	}
break;
case 743:
#line 3972 "pars.yacc"
{
	    yyval.val = setindex;
	}
break;
case 744:
#line 3975 "pars.yacc"
{
	    yyval.val = setsetno;
	}
break;
case 745:
#line 3978 "pars.yacc"
{
	    yyval.val = (long) yyvsp[-1].val;
	}
break;
case 746:
#line 3981 "pars.yacc"
{
	    yyval.val = invnorm(yyvsp[-1].val);
	}
break;
case 747:
#line 3984 "pars.yacc"
{
	    yyval.val = invt(yyvsp[-3].val, (int) yyvsp[-1].val);
	}
break;
case 748:
#line 3987 "pars.yacc"
{
	    yyval.val = lrand48() % (long) (yyvsp[-1].val);
	}
break;
case 749:
#line 3990 "pars.yacc"
{ /* yr, mo, day */
	    yyval.val = julday((int) yyvsp[-3].val, (int) yyvsp[-1].val, (int) yyvsp[-5].val, 12, 0, 0.0);
	}
break;
case 750:
#line 3994 "pars.yacc"
{ /* yr, mo, day, hr, min, sec */
	    yyval.val = julday((int) yyvsp[-9].val, (int) yyvsp[-7].val, (int) yyvsp[-11].val, (int) yyvsp[-5].val, (int) yyvsp[-3].val, (double) yyvsp[-1].val);
	}
break;
case 751:
#line 3997 "pars.yacc"
{
	    yyval.val = lgamma(yyvsp[-1].val);
	}
break;
case 752:
#line 4000 "pars.yacc"
{
	    yyval.val = log(yyvsp[-1].val);
	}
break;
case 753:
#line 4003 "pars.yacc"
{
	    yyval.val = log10(yyvsp[-1].val);
	}
break;
case 754:
#line 4007 "pars.yacc"
{
	    yyval.val = 1.0 / (1.0 + exp(-(yyvsp[-5].val - yyvsp[-3].val)/ yyvsp[-1].val));
	}
break;
case 755:
#line 4010 "pars.yacc"
{
	    yyval.val = yyvsp[-3].val >= yyvsp[-1].val ? yyvsp[-3].val : yyvsp[-1].val;
	}
break;
case 756:
#line 4013 "pars.yacc"
{
	    yyval.val = yyvsp[-3].val <= yyvsp[-1].val ? yyvsp[-3].val : yyvsp[-1].val;
	}
break;
case 757:
#line 4016 "pars.yacc"
{
	    yyval.val = fmod(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 758:
#line 4019 "pars.yacc"
{
	    yyval.val = fx(yyvsp[-1].val);
	}
break;
case 759:
#line 4022 "pars.yacc"
{
	    double tmp;
	    yyval.val = normp(yyvsp[-1].val, &tmp);
	}
break;
case 760:
#line 4026 "pars.yacc"
{
	    yyval.val = M_PI;
	}
break;
case 761:
#line 4029 "pars.yacc"
{
	    yyval.val = M_PI / 180.0;
	}
break;
case 762:
#line 4032 "pars.yacc"
{
	    yyval.val = (double) drand48();
	}
break;
case 763:
#line 4035 "pars.yacc"
{
	    yyval.val = rnorm(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 764:
#line 4038 "pars.yacc"
{
	    yyval.val = sin(yyvsp[-1].val);
	}
break;
case 765:
#line 4041 "pars.yacc"
{
	    yyval.val = sinh(yyvsp[-1].val);
	}
break;
case 766:
#line 4044 "pars.yacc"
{
	    yyval.val = pow(yyvsp[-1].val, 2.0);
	}
break;
case 767:
#line 4047 "pars.yacc"
{
	    yyval.val = sqrt(yyvsp[-1].val);
	}
break;
case 768:
#line 4050 "pars.yacc"
{
	    yyval.val = tan(yyvsp[-1].val);
	}
break;
case 769:
#line 4053 "pars.yacc"
{
	    yyval.val = tanh(yyvsp[-1].val);
	}
break;
case 770:
#line 4056 "pars.yacc"
{
	    if ((int) yyvsp[-4].val) {
		yyval.val = yyvsp[-2].val;
	    } else {
		yyval.val = yyvsp[0].val;
	    }
	}
break;
case 771:
#line 4063 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val > yyvsp[0].val;
	}
break;
case 772:
#line 4066 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val < yyvsp[0].val;
	}
break;
case 773:
#line 4069 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val <= yyvsp[0].val;
	}
break;
case 774:
#line 4072 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val >= yyvsp[0].val;
	}
break;
case 775:
#line 4075 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val == yyvsp[0].val;
	}
break;
case 776:
#line 4078 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val != yyvsp[0].val;
	}
break;
case 777:
#line 4081 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val && yyvsp[0].val;
	}
break;
case 778:
#line 4084 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val || yyvsp[0].val;
	}
break;
case 779:
#line 4087 "pars.yacc"
{
	    yyval.val = !(yyvsp[0].val);
	}
break;
case 780:
#line 4090 "pars.yacc"
{
	    yyval.val = yyvsp[-1].val;
	}
break;
case 781:
#line 4093 "pars.yacc"
{
	    yyval.val = -yyvsp[0].val;
	}
break;
#line 11346 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yyss + yystacksize - 1)
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
